1997-02-19 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* compile.el (compile-mouse-goto-error): Move to end of line
	before calling `compile-reinitialize-errors', so that it always
	sees the entire filename.
	(grep-process-setup): New function, sets up the exit message
	function in a way that works when async processes aren't
	supported.
	(grep): Use `grep-process-setup'.

1997-02-06 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* compile.el (compilation-process-setup-function): New variable.
	(compile-internal): Call compilation-process-setup-function if
	it is non-nil.

	* diff.el (diff-process-setup): New function, sets up the
	compilation-exit-message-function so that it works with both
	asynchronous and synchronous sub-processes.
	(diff): Bind compilation-exit-message-function.  Run
	compilation-finish-function when compile-internal returns if async
	processes aren't supported.

1997-02-02 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* man.el (Man-build-man-command): When async processes aren't
	supported, don't redirect stderr via the shell.
	(Man-getpage-in-background, Man-bgproc-sentinel): Support for
	systems where async processes don't work.

1997-01-01 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* sh-script.el (sh-shell-file): On MSDOS, collapse $SHELL to lower
	case and remove the executable extension, if any.
	(sh-other-keywords): Define an entry for `sh' and make `bourne'
	inherit from that.

1996-11-28 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/pc-win.el (iconify-or-deiconify-frame): Define to be a
	no-op, so commands that call it (like viper.el) work.

Wed Sep 25 12:29:39 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (auto-mode-alist): Add lower-case varieties of
	ChangeLog filenames, for case-insensitive MSDOS and MS-Windows.

Wed Aug 21 03:51:42 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.34 released.

Thu Aug 15 02:54:13 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* mouse.el (mouse-drag-region): Don't call mouse-set-region-1
	if mark is gone or no longer active or if we changed buffers.

Sun Aug 11 03:36:03 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.33 released.

	* cc-mode.el (c-fill-paragraph): Fix regexp for finding C++ comment
	paragraphs.

Sat Aug 10 20:19:06 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* isearch.el (isearch-whitespace-chars): If isearch-invalid-regexp,
	insert just a space.

Wed Aug  7 15:44:08 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* iso-acc.el (iso-languages, french): Remove non-French combinations.
	Add ~c, "e, "i, `u.

	* simple.el (normal-auto-fill-function): New variable.
	(auto-fill-mode): Use that instead of constant 'do-auto-fill.

	* bibtex.el (bibtex-mode): Set normal-auto-fill-function locally;
	don't set auto-fill-function.  Don't turn on Auto Fill mode.

Tue Aug  6 14:28:51 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* rmail.el (rmail-reply-regexp, rmail-message-filter): Doc fix.
	(rmail-reply-regexp): Match Re[2].

Mon Aug  5 03:19:02 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* help.el (help-font-lock-keywords): Fully undo rms July 26 change.

Mon Aug  5 00:14:17 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* dabbrev.el (dabbrev--last-case-pattern): New variable.
	(dabbrev-expand): Set it for ordinary expansions;
	use it when copying successive words.

Sat Aug  3 17:26:41 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* imenu.el (imenu-update-menubar): Fix code to install the new menu.

	* info.el (Info-find-node): Use pop-to-buffer.

Fri Aug  2 22:53:56 1996  Paul Eggert  <eggert@twinsun.com>

	* rmail.el (rmail-unix-mail-delimiter): Allow space or tab as
	first character in mailbox part of `From ' line.

Thu Aug  1 18:36:15 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.32 released.

	* gud.el (gdb): Undo previous change.

Thu Aug  1 10:16:04 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* comint.el (comint-file-name-chars): Was comint-file-name-regexp.
	Give it a non-nil default value.

	* shell.el (shell-file-name-chars): Was shell-file-name-regexp.
	(shell-mode): Set comint-file-name-chars to this variable.

Wed Jul 31 12:34:47 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* dabbrev.el (dabbrev-expand): When snarfing consecutive words,
	if previous one was upcased, upcase this one too.
	(dabbrev--substitute-expansion): When snarfing consecutive words,
	don't case convert here.

	* help.el (help-font-lock-keywords): Undo July 26 change.

	* term/x-win.el: Delete code to disable f10 if motif.

	* gud.el (gdb): Bind comint-file-name-regexp.

Tue Jul 30 17:53:46 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* emerge.el (emerge-files-with-ancestor, emerge-files):
	Use add-hook to add to QUIT-HOOKS.

Mon Jul 29 19:31:37 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* help.el (help-fontify-buffer-function): Function deleted.
	(help-mode): Set font-lock-defaults in simple way again.

Mon Jul 29 00:00:00 1996  Erik Naggum  <erik@naggum.no>

	* ange-ftp.el (ange-ftp-read-passwd): Let first input override
	default, and let RET use the default value.
	(ange-ftp-get-passwd): Make prompt clearer.

Sat Jul 27 00:14:21 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* complete.el (PC-complete): When command is repeated,
	scroll the completion buffer.

	* gud.el (gud-display-line): Don't crash if BUFFER is nil.

	* font-lock.el (font-lock-mode): Don't add to after-change-functions
	if font-lock-fontify-region-function is `ignore'.

Fri Jul 26 17:22:04 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* help.el (help-font-lock-keywords): Use font-lock-function-name-face
	for variables, too.

	* dabbrev.el (dabbrev--substitute-expansion): Use just ABBREV, not OLD,
	in previous change.

	* vc.el (vc-do-command): Bind win32-quote-process-args.

Fri Jul 26 14:14:22 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* help.el (help-mode): Set font-lock-defaults to provide bindings for
	local fontification functions.
	(help-fontify-buffer-function): New function.

Tue Jul 23 23:53:53 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* edebug.el (edebug-trace-display): Save and restore current buffer.

Tue Jul 23 18:30:56 1996  Erik Naggum  <erik@psilocin.gnu.ai.mit.edu>

	* etags.el (tag-exact-file-name-match-p): Fix previous change.

Tue Jul 23 15:07:47 1996  Andrew Innes  <andrewi@harlequin.co.uk>

	* winnt.el (file-name-buffer-file-type-alist): Load TAGS files as
	text, not binary.

Tue Jul 23 15:07:47 1996  Paul Eggert  <eggert@twinsun.com>

	* completion.el (cmpl-hours-since-origin): Fix bug:
	microseconds count was being used instead of seconds count.

Tue Jul 23 14:17:40 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* loaddefs.el (ctl-x-map): Bind C-x M-:.

Tue Jul 23 12:17:42 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	Fixes from Robert Praetorius <robert@aspenres.com>:
	* etags.el (etags-goto-tag-location): New local variable LINE; use it.
  	Fix typo in direct-file-tag case: position -> startpos.
	(tag-word-match-p, tag-exact-file-name-match-p): Fix off-by-one errors.

Tue Jul 23 09:56:21 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* shadow.el (list-load-path-shadows): Doc fix.

Mon Jul 22 15:06:08 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* gud.el (perldb-command-name): New variable.
	(perldb): Use it.

Sun Jul 21 20:31:10 1996  Ralf Fassel  <ralf@natlab.research.philips.com>

	* files.el (dabbrev-case-fold-search, dabbrev-case-replace): Set
	`risky-local-variable' property, since these get eval'ed.

	* dabbrev.el (dabbrev-case-fold-search, dabbrev-case-replace):
	Undo previous change.

Sun Jul 21 15:47:16 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* dabbrev.el (dabbrev--search): Don't downcase the result here.
	(dabbrev-completion): Bind completion-ignore-case.
	(dabbrev--substitute-expansion): Downcase the expansion here,
	but not if case pattern matches start of original expansion.

	* executable.el (executable-find): Doc fix.

	* time.el (display-time): Fix prev change: use display-time-update.

Sun Jul 21 15:19:24 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* viper-util.el (vip-ms-style-os-p, vip-vms-os-p): Moved here from
	viper.el.

	* rmail.el (rmail-next-same-subject): Don't set search-regexp
	until after adjusting subject string.

Sun Jul 21 14:38:08 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* browse-url.el (browse-url-choose-browser): New function.
	(browse-url-browser-function): Use browse-url-choose-browser
	as the initial value.

	* time.el (display-time): Call display-time-event-handler directly
	to make the time appear right away.

Sun Jul 21 13:52:09 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* executable.el (executable-find): Doc fix.

Sat Jul 20 13:19:50 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* viper.el (vip-ms-style-os-p): Doc fix.

Sat Jul 20 02:14:40 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* view.el (view-mode-auto-exit): Doc fix.

Sat Jul 20 02:11:53 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* shadow.el (list-load-path-shadows): Fix ambiguous wording.

Sat Jul 20 02:07:36 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* gnus-cus.el: Don't test X colors unless using X.

Fri Jul 19 15:23:12 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* gnus-cus.el: If no dark magenta, use maroon.
 	(gnus-face-dark-name-list): If no dark blue, use royal blue.

Wed Jul 17 15:54:40 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* viper-util.el (vip-get-filenames-from-buffer): Add &optional.

	* time.el (display-time): Starting time should be future, not past.

Tue Jul 16 19:29:03 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* message.el (message-send): Don't use mail-hist by default.

Mon Jul 15 16:22:45 1996  Paul Eggert  <eggert@twinsun.com>

	* appt.el (appt-check, appt-make-list): Avoid race condition
	by getting current time only once.
	* texinfmt.el (texinfo-format-today): Likewise.

Mon Jul 15 16:17:26 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* sh-script.el (sh-mode): Call sh-set-shell only for a writable
	empty buffer.

	* executable.el (executable-set-magic): Don't put a space at end
	if user says no.

Mon Jul 15 16:00:03 1996  Andrew Innes  <andrewi@harlequin.co.uk>

	* smtpmail.el (smtpmail-send-data-1): Escape "." at the start of
	any line of data, not just lines containing nothing else.

Sun Jul 14 10:31:02 1996  Lars Magne Ingebrigtsen  <larsi@wombat.gnu.ai.mit.edu>

	* gnus-cache.el: Make sure byte-compilation doesn't trip on
	the undefined `gnus-add-shutdown'.

	* gnus.el: Make sure `gnus-directory' is defined
	when byte-compiling.

Sat Jul 13 14:14:09 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* allout.el (outline-auto-activation, outline-layout)
	(outline-primary-bullet, outline-plain-bullets-string)
	(outline-distinctive-bullets-string, outline-old-style-prefixes)
	(outline-stylish-prefixes, outline-file-xref-bullet)
	(outline-use-hanging-indents, outline-bullets-string)
	(outline-write-file-hook, outline-mode, outline-prefix-data)
	(outline-before-change-protect, outline-make-topic-prefix)
	(outline-rebullet-current-heading, outline-rebullet-heading)
	(outline-listify-exposed, outline-expose-topic)
	(outline-old-expose-topic, outline-exposure)
	(outline-latex-verbatim-quote-curr-line)
	(outline-show-current-subtree, outline-hide-current-subtree)
	(outline-hide-current-leaves, outline-new-exposure): Doc fix.

Sat Jul 13 13:57:13 1996  Francois Pinard  <pinard@iro.umontreal.ca>

	* allout.el (outline-resolve-xref): Do not mistake a blank line
	following an xref (@) bullet as part of the rerefenced file name.

Sat Jul 13 13:53:31 1996  Christopher J. Madsen  <ac608@yfn.ysu.edu>

	* time.el (display-time): Fix start time for run-at-time.

Fri Jul 12 20:51:32 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-next-labeled-message)
	(rmail-summary-previous-labeled-message):
	Call rmail-summary-goto-msg to move point in the summary.

	* mouse.el (mouse-major-mode-menu-1): No need to copy the top
	levels of structure.

	* browse-url.el (browse-url-netscape-program): New variable.
	(browse-url-mosaic-program): New variable.
	(browse-url-mosaic, browse-url-netscape): Use them.

Fri Jul 12 03:34:21 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* font-lock.el (font-lock-comment-start-regexp): New variable.
	(font-lock-fontify-syntactically-region): Use it.
	When matching comments, use (match-end 1) as the start, if non-nil.
	(font-lock-defaults-alist): Provide value for Lisp/C/C++ modes.
	Remove obsolete entry for bibtex-mode.  Doc fix.
	(font-lock-match-c++-style-declaration-item-and-skip-to-next): Don't
	treat a ; character as a declaration item separator.

	* comint.el (comint-truncate-buffer): Count lines from process-mark,
	not point-max, as the input may span lines.
	(comint-postoutput-scroll-to-bottom): Don't subtract from process-mark,
	use comint-last-output-start, since the buffer string may have changed.
	(comint-dynamic-complete-as-filename): Don't bind
	file-name-handler-alist to nil, it interferes with directory tracking.
	(comint-dynamic-list-filename-completions): Likewise.
	(comint-replace-by-expanded-history): Only match leading ^ in input.
	(comint-file-name-regexp): New variable.
	(comint-mode): Make it buffer-local.
	(comint-match-partial-filename): Use it.

	* shell.el (shell-file-name-quote-list): Default to nil on MSDOS/NT.
	(shell-file-name-regexp): New variable.
	(shell-mode): Set comint-file-name-regexp to its value.

Thu Jul 11 20:31:10 1996  Ralf Fassel  <ralf@natlab.research.philips.com>

	* dabbrev.el (dabbrev-case-fold-search, dabbrev-case-replace): Set
	`risky-local-variable' property, since these get eval'ed.

Thu Jul 11 20:09:27 1996  Ronan Waide  <waider@autodealing.com>

	* smtpmail.el (smtpmail-deduce-address-list): Handle RESENT-* fields.

Thu Jul 11 19:26:18 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* startup.el (normal-top-level-add-to-load-path):
	Use directory-file-name since load-path elements don't end in /.

	* rmailsum.el (rmail-make-basic-summary-line):
	If user-mail-address is nil, use alternative.

	* tex-mode.el (tex-validate-region): Skip fwd over whitespace
	and punctuation, to find point of mismatch.
	(validate-tex-buffer): Don't include the blank lines
	before a paragraph in the paragraph being checked.

	* mouse.el (mouse-drag-region): Cope if stop-point is nil.

	* mouse.el (mouse-major-mode-menu-compute-equiv-keys): Deleted.
	(mouse-major-mode-menu-1): Copy the top levels of structure,
	if we use all of MENUBAR.
	Set mouse-major-mode-menu-prefix.
	(mouse-major-mode-menu): Total rewrite.

Thu Jul 11 19:07:52 1996  Stefan Schoef  <schoef@OFFIS.Uni-Oldenburg.DE>

	* bibtex.el (bibtex-reference-head): Allow spaces and tabs between
	opening brace or paren and key.  Simplify regexp.
	(bibtex-type-in-head, bibtex-key-in-head): Decrement.
	(bibtex-mode): Use new function run-with-idle-timer instead of
	auto-save-hook for periodically parsing keys.
	(bibtex-mode-syntax-table, bibtex-autokey-name-change-strings,
	bibtex-autokey-titleword-change-strings): Support non-escaped
	double-quoted characters (as with german styles).
	(bibtex-field-string-quoted): Disallow lines like
	author = "Stefan Sch"of"
	until BibTeX supports them.

Sun Jul  7 20:17:11 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* mouse.el (mouse-major-mode-menu-1): Always return just a keymap;
	never (STRING . KEYMAP).
	(mouse-major-mode-menu): Discard the `keymap' from the front of
	the keymap we get from mouse-major-mode-menu-1.
	Construct the menu name string from major-mode.

Sun Jul  7 18:28:35 1996  Dave Love  <d.love@dl.ac.uk>

	* gud.el (gud-irix-p): Exclude Irix6.1 up.
	(gud-dbx-use-stopformat-p): New variable.
	(dbx): Use it to send $stopformat for Irix6.
	(gud-irixdbx-marker-filter): Cast $curline to int, not long (see
	added comments).
	(dbx): Likewise.

Sun Jul  7 13:29:05 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* ps-print.el (ps-article-subject): Don't die if header is missing.
	(ps-article-author, ps-info-file, ps-info-node): Likewise.

Sun Jul  7 00:00:00 1996  Francois Pinard  <pinard@iro.umontreal.ca>

	* timezone.el (timezone-parse-date): Handle ISO 8601 dates, so
	rmailsort does the right thing with them.

Sat Jul  6 16:03:13 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* mouse.el (mouse-show-mark): In transient mark mode,
	delete mouse-drag-overlay.
	(mouse-undouble-last-event): New function.
	(mouse-show-mark): Call mouse-undouble-last-event.

Sat Jul  6 16:03:13 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* tar-mode.el (tar-mode-map): Bind up and down like C-p, C-n.

Sat Jul  6 21:05:11 1996  Erik Naggum  <erik@psilocin.gnu.ai.mit.edu>

	* files.el (insert-directory): Fix previous change.

Fri Jul  5 22:04:17 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus-cus.el (()): Make sure that calling `gnus-visual-p' during
	byte-compilation doesn't bug out.

Fri Jul  5 09:35:58 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* mail-utils.el (mail-strip-quoted-names): Removed debugging code.

Thu Jul  4 13:22:28 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* simple.el (newline): Don't do the optimization if the newline before
	point is intangible or read-only or invisible.

Wed Jul  3 11:13:42 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* subr.el (unfocus-frame, focus-frame): Define as no-ops.

Wed Jul  3 11:13:42 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* scheme.el (scheme-mode-variables): Set comment-start-skip
	to ignore backslash-quoted semicolons.

	* lisp-mode.el (lisp-mode-variables): Set comment-start-skip
	to ignore backslash-quoted semicolons.

Wed Jul  3 11:13:42 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* files.el (insert-directory): When converting SWITCHES
	string to a list, put back in original order.

Thu Jul  4 00:15:19 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-summary-prepare-threads): Would infloop under
	certain obscure conditions.

Wed Jul  3 11:13:42 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* smtpmail.el (smtpmail-send-it): Ignore `To:' if there is a
	`Resent-to':.

Mon Jul  1 10:58:01 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* winnt.el (using-unix-filesystems): Doc fix.

Tue Jul  2 17:13:04 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* reporter.el (mail-user-agent): Add autoload cookie.

Tue Jul  2 17:12:20 1996  Barry A. Warsaw  <reporter@python.org>

	* reporter.el: Major rewrite.
	The variable `reporter-prompt-for-summary-p' can take a string value.

	The variable `mail-user-agent' provides configuration to the end
	user.  This variable contains a symbol indicating which Emacs mail
	package the user would like for composing outgoing mail.

	Mail package authors now use `define-mail-user-agent' to define
	symbols appropriate for use with `mail-user-agent'.  Three such
	symbols are predefined: `sendmail-user-agent' (for Emacs
	sendmail.el), `vm-user-agent' (for Kyle Jones' VM package), and
	`mh-e-user-agent' (for the MH-E package).

Tue Jul  2 19:36:28 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus-cache.el (gnus-cache-possibly-alter-active): Check for
	gnus-cache-active-hashtb before using it.

Mon Jul  1 10:58:01 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* tcl-mode.el (tcl-imenu-generic-expression): Add nil as 1st elt.

	* mail-hist.el (mail-hist-current-header-name):
	Use buffer-substring-no-properties.

Mon Jul  1 00:00:00 1996  Francois Pinard  <pinard@iro.umontreal.ca>

	* rmailsum.el (rmail-make-basic-summary-line): Accept ISO 8601
	dates as well.

Fri Jun 30 22:38:46 1996  Michael Kifer  <kifer@cs.sunysb.edu>

        * viper-util.el (vip-read-key): inhibit quit added.

Sun Jun 30 14:06:36 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* score-mode.el: Renamed from "gnus-scomo.el".

Sun Jun 30 04:10:54 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* info.el (Info-next-preorder): After we move up, move forward again.
	(Info-last-preorder): After we move down or to the prev,
	move down again.

Sat Jun 29 15:50:40 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* userlock.el (ask-user-about-supersession-help): Change help text.
	(ask-user-about-supersession-threat): Add new `r' alternative.

	* files.el (set-visited-file-name): New optional arg NO-QUERY.

Sat Jun 29 09:20:29 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* nnheaderems.el: Deleted.

Fri Jun 28 16:03:05 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* view.el (view-mode): Doc fix.

Fri Jun 28 15:49:41 1996  Ethan Bradford  <ethanb@phys.washington.edu>

	* ispell.el (ispell-message): Support message-mode.

Fri Jun 28 11:21:42 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* mouse.el (mouse-start-end): Support selecting strings by double
	clicking on a character with quote syntax.

Fri Jun 28 02:55:21 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* cal-french.el (french-calendar-accents): New variable.
	(french-calendar-month-name-array): Check that variable.
	(french-calendar-special-days-array): Likewise.
	(calendar-french-date-string): Likewise.
	(calendar-goto-french-date): Likewise.

	* rmail.el (rmail-get-new-mail): Run rmail-before-get-new-mail-hook.

	* files.el (abbreviate-file-name): Ignore automount-dir-prefix if nil.

	* rmail.el (rmail-send-actions-rmail-buffer): Mark as permanent-local.
	(rmail-send-actions-rmail-msg-number): Likewise.

	* sendmail.el (mail-reply-buffer, mail-send-actions):
	Mark them as permanent-local.
	(mail-mode): Don't set mail-reply-buffer to nil.

	* files.el (auto-mode-alist): Treat .pm like .pl.

	* term/x-win.el (x-handle-name-switch): Renamed from
	x-handle-name-rn-switch.

	* startup.el (command-line-x-option-alist): Don't handle -rn.
	x-handle-name-rn-switch renamed to x-handle-name-switch.

	* tmm.el (tmm-add-prompt): If tmm-completion-prompt is nil,
	don't insert it; instead delete the usual completion helptext.
	(tmm-completion-prompt): Doc fix.

	* mh-utils.el (mail-user-agent): Replaces mua-paradigm.
	(mh-find-path): Set mail-user-agent.

Thu Jun 27 17:53:34 1996  Francesco Potorti`  <F.Potorti@cnuce.cnr.it>

	* profile.el (profile-functions): No need to assume that the
	current buffer is writable.
	(profile-print, profile-results): Changed to display number of
	calls and average time per call.
	(profile-update-function): Update the number of calls.
	(profile-a-function): Init the number of calls.

Thu Jun 27 18:00:13 1996  Paul Eggert  <eggert@twinsun.com>

	* rmail.el (rmail-unix-mail-delimiter):
	Accept more user names, since they can be
	mangled badly by modern Unix mailers (e.g. Solaris 2.5 mail.local).
	Be a little more picky about dates to compensate.
	Match all the digits of a year, as per RFC 1123 section 5.2.14.
	(rmail-nuke-pinhead-header): Adjust to regexp renumbering in
	rmail-unix-mail-delimiter.

Thu Jun 27 01:54:01 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* bibtex.el (bibtex-reference-head): Allow whitespace after the open
	paren.

	* make-mode.el (makefile-gnumake-functions-alist): Add `addprefix'.

	* comint.el (comint-send-input): Use insert-before-markers
	for all the insertions.

Wed Jun 26 14:03:20 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* mail-extr.el (mail-extract-address-components): Rename ,-pos
	to comma-pos.

	* noutline.el (outline-minor-mode): No longer permanent local.

Tue Jun 25 18:35:27 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* tex-mode.el (tex-common-initialization):
	Set skeleton-further-elements.
	(tex-latex-block): Define as a skeleton.

Tue Jun 25 18:22:54 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* nnvirtual.el, nntp.el, nnspool.el, nnml.el, nnmh.el, nnmbox.el,
	* nnmail.el, nnkiboze.el, nnheader.el, nnfolder.el, nneething.el,
	* nndoc.el, nndir.el, nnbabyl.el, gnus.el, gnus-vm.el,
	* gnus-vis.el, gnus-uu.el, gnus-score.el, gnus-msg.el, gnus-mh.el,
	* gnus-kill.el, gnus-ems.el, gnus-edit.el, gnus-cite.el,
	* gnus-cache.el, custom.el: New versions installed.

	* nnsoup.el, nnoo.el, nnheaderems.el, nndb.el, message.el,
	* mailheader.el, gnus-topic.el, gnus-srvr.el, gnus-soup.el,
	* gnus-setup.el, gnus-scomo.el, gnus-salt.el, gnus-nocem.el,
	* gnus-gl.el, gnus-demon.el: New files.

Tue Jun 25 14:46:53 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* executable.el (executable-set-magic): Add space at end of line
	if user says no to adding the shell's usual arguments.
	Don't clear the buffer's modified-flag.

	* skeleton.el (skeleton-proxy-new): New function.
	(define-skeleton): Define the skeleton as a defun
	using skeleton-proxy-new.

Tue Jun 25 15:01:46 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-mode-map): Add rmail-summary-by-senders.

Tue Jun 25 01:13:11 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* noutline.el (outline-minor-mode): Using change-major-mode-hook,
	turn this mode off if we change major modes.

Mon Jun 24 00:47:28 1996  <Daniel.Pfeiffer@Informatik.START.db.de>

	* skeleton.el (local-variables-section): Adapted comment to outline
	minor mode.
	(skeleton-pair-insert-maybe): Rewritten to support autowrapping.
	(mirror-mode): Fixed change of pair-* to skeleton-pair-*.  Also pairs
	8 bit characters.

Mon Jun 24 02:43:03 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* mail-extr.el (mail-extract-address-components): Quote the comma
	in ,-pos.

	* rmail.el (rmail-summary-by-senders): FIx typo in fn name.

	* goto-addr.el (goto-address-url-face, goto-address-mail-face)
	(goto-address-url-mouse-face): New variables.
	(goto-address-fontify): Use them.

	* files.el (set-auto-mode): Run multiple mode: specs
	in left-to-right order.

Mon Jun 24 01:45:37 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* font-lock.el (font-lock-verbose): Default to 0.  Doc fix.
	(font-lock-default-fontify-buffer): Interpret numeric value.
	(font-lock-fontified): Don't make it permanent-local.
	(font-lock-mode): Remove before-revert-hook and after-revert-hook code.
	Call font-lock-turn-on-thing-lock before font-lock-mode-hook.  Doc fix.
	(font-lock-revert-setup, font-lock-revert-cleanup): Deleted.
	(turn-on-font-lock): Don't test font-lock-defaults et. al here again.
	(turn-on-font-lock-if-enabled): Do it here again.
	(font-lock-support-mode): New variable.
	(font-lock-turn-on-thing-lock): New function.  Use it.
	(font-lock-turn-off-thing-lock): Renamed font-lock-thing-lock-cleanup.
	(font-lock-change-major-mode): Turn off Font Lock mode if it is on.
	Add font-lock-change-major-mode to change-major-mode-hook at top level.

	* fast-lock.el: New version.  Barf if loaded on 8+3 filename pseudo-OS.
	(fast-lock-mode): Wrap font-lock-support-mode not font-lock-mode-hook.
	(fast-lock-save-cache): Use font-lock-value-in-major-mode.
	(fast-lock-set-face-properties): Wrap with save-buffer-state.

	* lazy-lock.el: New file.

	* rmail.el (rmail-variables): Include font-lock-maximum-size in
	font-lock-defaults.

	* mailalias.el (mail-complete): Reread mail aliases if necessary.

Sun Jun 23 15:00:42 1996  Erik Naggum  <erik@naggum.no>

	* term.el (term-exec-1): Run process on pty if possible.

Sun Jun 23 01:56:15 1996  Noah Friedman  <friedman@prep.ai.mit.edu>

	* rlogin.el (rlogin): make comint-output-filter-functions local
        before adding hooks.

Sat Jun 22 00:49:00 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* gnus-ems.el (gnus-background-mode): Set threshold for "light color"
	at .6 of the total for white.

	* font-lock.el (font-lock-make-faces):  Set threshold for "light color"
	at .6 of the total for white.

	* faces.el (x-create-frame-with-faces): Set threshold for "light color"
	at .6 of the total for white.

	* simple.el (choose-completion-string): Don't exit the minibuffer
	when a directory name is chosen.

Sat Jun 22 00:56:36 1996  <Daniel.Pfeiffer@Informatik.START.db.de>

	* skeleton.el (skeleton-autowrap): New variable.
	(skeleton-abbrev-cleanup): Added variable documentation.
	(skeleton-proxy): Added optional autowrappping feature.
	(skeleton-proxy, skeleton-abbrev-cleanup): Use `post-command-hook'
	instead of someday to be obsolete defer.

Fri Jun 21 22:05:06 1996  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-diff.el (ediff-setup-fine-diff-regions):
	allow diff options to be passed to the diff program.
	(ediff-make-diff2-buffer): Don't run Posix diff on remote files.
	(ediff-make-diff2-buffer): Refuses to diff remote files.
	(ediff-make-diff2-buffer,ediff-setup-diff-regions): Changed functions.
	(ediff-make-diff2-buffer): New function.
	Added ^\C-m$ to ok-lines regexps

	* ediff-ptch.el: New file.

	* ediff-util.el (ediff-verify-file-buffer): No longer reverts
	buffers that have file name handlers.

	* ediff-mult.el (ediff-meta-insert-file-info): Write `remote file'
	in the file size/modtime positions, if a file is remote.

	* ediff-wind.el (ediff-make-base-title): New function.
	(ediff-refresh-control-frame): Modified.

Fri Jun 21 21:05:06 1996  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-ex.el: Fixed the :e command for NT

	* viper.el: replaced all checks for (or (numberp ...)
	(characterp ...)) with vip-characterp
	(vip-change): Now hides replace overlay even for multiline changes.
	(vip-paren-match): Goes to closing paren first.

	* viper.el (vip-find-char-forward,vip-find-char-backward,
	vip-goto-char-forward,vip-goto-char-backward):
	(viper-mode): Don't delete the startup message.
	(vip-set-hooks): Added fortran-mode to viper.

	* viper-util.el (vip-ex-nontrivial-find-file-unix)
	(vip-ex-nontrivial-find-file-ms,vip-get-filenames-from-buffer)
	(vip-wildcard-to-regexp,vip-glob-ms-windows-files): New functions.

Fri Jun 21 01:16:36 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* asm-mode.el (asm-mode-map): Bind C-c ; to comment-region.

	* mouse.el (mouse-drag-region): Be smart about which end
	gets point and which end gets the mark.

	* hilit19.el (LaTeX-mode): Change handling of escaped $.

	* mouse.el (mouse-buffer-menu): Use aref rather than string-match.

Wed Jun 19 18:12:09 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-bury): New function.
	(rmail-summary-mode-map): Put rmail-summary-bury on b.

	* paths.el (Info-default-directory-list): Doc fix.

Wed Jun 19 18:55:02 1996  Dave Love  <d.love@dl.ac.uk>

	* gud.el (gud-irixdbx-marker-filter): Use %1ld, not %1d,
	when printing $curline.
	(dbx, irix case): Likewise in arg of gud-down.

Tue Jun 18 13:14:11 1996  Brian D. Carlstrom  <bdc@ai.mit.edu>

	* smtpmail.el (smtpmail-send-it): Don't handle FCC fields until after
	determining FROM field.
	Delete code that converted "S:" to "Subject:".
	Insert FROM field unless it already exists (code from sendmail.el).

Tue Jun 18 13:14:11 1996  Andrew Innes  <andrewi@harlequin.co.uk>

	* smtpmail.el (smtpmail-smtp-service): Use port 25 as default.
	(smtpmail-send-it): Require mail-utils upon entry.
	Don't invoke sendmail-synch-aliases.
	(smtpmail-deduce-address-list): Only use text matched in regexp group,
	not the whole regexp.

	* smtpmail.el (smtpmail-read-response): Goto smtpmail-read-point
	on every iteration to deal with multiple line banners.

	* smptmail.el (smtpmail-via-smtp): Bracket names in FROM
        and RCPT TO commands.

Tue Jun 18 12:50:58 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-kill-ftp-process): Really use the BUFFER arg.
	Make it optional.

	* vc-hooks.el (vc-mode-line): If user is root,
	verify file really has user-writable bit.

Tue Jun 18 13:23:29 1996  Kim F. Storm  <storm@olicom.dk>

	* hippie.el (he-concat-directory-file-name): Directory part may be nil.
	(he-file-name-nondirectory): Referenced external variable.

Tue Jun 18 11:47:00 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* pp.el (pp-to-string): Treat #( like (.

Tue Jun 18 11:06:32 1996  Francesco Potorti`  <F.Potorti@cnuce.cnr.it>

	* files.el (auto-mode-alist): Add uppercase version of archive
	mode file name extensions ARC, ZIP, LXH, ZOO.

Mon Jun 17 23:46:40 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* noutline.el (outline-up-heading): Fix error message.
	(outline-backward-same-level, outline-forward-same-level): Likewise.

Sun Jun 16 14:22:58 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* font-lock.el (global-font-lock-mode): Set up find-file-hooks.
	(font-lock-default-fontify-buffer, font-lock-fontify-block)
	(font-lock-mode): Fix syntax of msgs such as Fontifying...done.

	* skeleton.el (local-variables-section): Deleted.

	* undigest.el (unforward-rmail-message): In summary buffer,
	switch temporarily to Rmail buffer.

Sat Jun 15 19:54:54 1996  Paul Eggert  <eggert@twinsun.com>

	* mail-utils.el (mail-strip-quoted-names):
	`"' is not special inside an RFC 822 comment.

Sat Jun 15 19:05:06 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* sgml-mode.el (html-list): Definition deleted.
	(html-headline): Definition deleted.
	(html-ordered-list, html-unordered-list): New definitions.
	(html-headline-1 ... html-headline-6): New definitions.
	(html-mode-map): Use new commands.

Fri Jun 14 17:29:30 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* rlogin.el (rlogin): Doc fix.

Fri Jun 14 14:34:54 1996  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * cal-tex.el (cal-tex-mini-calendar): Add optional paramter COLSEP.
        (cal-tex-cursor-filofax-year): Use it.  Also, adjust other sizes.

Thu Jun 13 16:33:15 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* simple.el (set-fill-column): Error if no argument.

	* easymenu.el (easy-menu-create-keymaps): Add menu-alias property.

	* lmenu.el (make-lucid-menu-keymap): Add menu-alias property.

Tue Jun 11 13:11:08 1996  Andrew Innes  <andrewi@harlequin.co.uk>

	* nnmail.el (nnmail-move-inbox): Prompt for POP3 password if
	required, and include on the movemail command line.

Wed Jun 12 00:26:30 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* imenu.el (imenu--mouse-menu): Don't check imenu-use-keymap-menu.

	* files.el (find-alternate-file): Don't clear buffer-file-truename
	and friends until after calling unlock-buffer.

Wed Jun 12 05:32:05 1996  enami tsugutomo  <enami@ba2.so-net.or.jp>

	* rmailsum.el (rmail-new-summary): Fix typo; (concat ": "
	description) should be eval'ed.

Tue Jun 11 15:44:21 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* tar-mode.el (tar-mode-revert): Cope if user cancels the revert.

Mon Jun 10 17:35:58 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* term.el (term-terminal-menu): Don't make a self-recursive keymap.

	* rmail.el (rmail-retry-failure): Nicer error message
	if can't find mail-unsent-separator.

	* hexl.el (hexl-mode): Run hexl-mode-hook.

Sun Jun  9 13:08:37 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/pc-win.el (msdos-face-setup): Use `terminal-frame' for
	initial frame setup.
	(make-msdos-frame): New MSDOS-specific frame creation function.
	(focus-frame, unfocus-frame): Don't set to 'ignore.
	(auto-raise-mode, auto-lower-mode): Likewise.
	(set-background-color, set-foreground-color): Definitions deleted.

	* loadup.el: On MSDOS, don't assume that `make-frame'
	is only bound under an X emulator; use `x-create-frame' instead.

	* frame.el (frame-initialize): Don't count MSDOS neither as
	window-system nor as a terminal frame here.

	* dos-fns.el: No need to require 'faces and set menu-bar-mode.
	(window-frame): Remove; it is now on `frame.c'.
	(raise-frame, select-frame): Likewise.

Mon Jun 10 12:59:12 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* hexl.el (hexl-mode): Set hexl-max-address early on
	and call hexl-goto-address afterward.
	And call hexlify-buffer even earlier.

Sat Jun  8 16:03:24 1996  Geoff Voelker  <voelker@joker.cs.washington.edu>

	* comint.el (comint-substitute-in-file-name): New function.
	(comint-match-partial-filename): Use comint-substitute-in-file-name
	to handle system-specific syntax.

	* shell.el (shell-directory-tracker): Use
        comint-substitute-in-file-name to handle system-specific syntax.

	* comint.el (comint-dynamic-complete-as-filename)
	(omint-dynamic-simple-complete)
	(comint-dynamic-list-filename-completions) [ms-dos, windows-nt]:
	Set completion-ignore-case to t for these systems.

	* shell.el (shell-chdrive-regexp): New variable.
	(shell-mode): Update doc string.
	(shell-directory-tracker): Update doc string.
	Detect drive changes.

Sun Jun  9 15:10:44 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* frame.el (make-frame-command): Treat msdos like no window system.

Sun Jun  9 08:51:17 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* comint.el (comint-file-name-quote-list): Doc fix.
	* texnfo-upd.el (texinfo-find-pointer): Doc fix.
	(texinfo-sequentially-find-pointer): Doc fix.
	(texinfo-copy-menu): Use double backslash to quote regexp.

Sat Jun  8 14:24:36 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* etags.el (etags-list-tags): When there is an explicit tag name, skip
	the \177 before it.

Fri Jun  7 20:55:32 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* facemenu.el (facemenu-complete-face-list): Doc fix.

Fri Jun  7 13:06:53 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* etags.el (tag-lines-already-matched): Remove defvar.
	(initialize-new-tags-table): Don't make that var local.
	(tag-lines-already-matched): Add docless defvar near find-tag-in-order
	defun; this is a global state variable for that one function.
	(find-tag-in-order): Move clearing of tag-lines-already-matched out of
	loop.  Make it a list of markers and search it with member; it is now
	global, not buffer-local in the tags table, and records all matches in
	any tags table during a single find-tag loop.  When we run out of
	matches, clear it and null out the markers.

Fri Jun  7 10:21:52 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* imenu.el (imenu--mouse-menu): Always use nested keymaps.
	(imenu-use-keymap-menu): Variable deleted.

	* cmacexp.el (c-macro-preprocessor): New clause for Solaris.

	* winnt.el (x-set-selection, x-get-selection): Define them
	to really use TYPE.

	* smtpmail.el: New file.
	(smtpmail-send-it): Fix error messages.
	(smtpmail-deduce-address-list): Bind recipient-address-list with let.
	(smtpmail-via-smtp): Bind greeting, n, process-buffer.

Thu Jun  6 10:34:19 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* files.el (hack-local-variables-prop-line): Bind enable-local-eval.

	* hexl.el (hexl-mode-map): Bind prior, home, deletechar, deleteline,
	insertline, S-delete, and DEL.  Don't bind prev.

Mon Jun  3 20:58:42 1996  Geoff Voelker  <voelker@joker.cs.washington.edu>

	* comint.el (comint-dynamic-complete-filename) [ms-dos, windows-nt]:
	Always use backslash as a directory separator when completing
	in shell mode on these systems.

	* winnt.el (shell-mode-hook): Set comint-completion-addsuffix
	so that the directory suffix is backslash and the file suffix is space.

Wed Jun  5 13:18:37 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* comint.el (comint-unquote-filename): Handle quoted backslashes.

	* vc.el (vc-cancel-version): Fix paren error.

	* imenu.el (imenu): In interactive spec, pass the entire
	index item, not just the string.

Tue Jun  4 17:30:07 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* xt-mouse.el (xterm-mouse-event): Adjust for minibuffer prompt
	width.

Tue Jun  4 12:37:13 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* dired.el (dired-chown-program): Try /usr/sbin/chown.

	* frame.el (make-frame-command): New function.
	(ctl-x-5-map): Change C-x 5 2 to make-frame-command.

	* hippie-exp.el (he-file-name-chars): Check windows-nt, not ms-windows.

Tue Jun 04 14:50:26 1996  Kim F. Storm  <storm@olicom.dk>

	* files.el (buffer-file-numbers-unique): New variable;
	initialize to nil for windows-nt.
	(find-buffer-visiting): Skip search for buffer based
	on buffer-file-number if these are not unique.

Tue Jun  4 11:27:36 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* replace.el (occur): Avoid "1 lines" in echo area.

	* shell.el (shell-match-partial-variable): Doc fix.

Mon Jun  3 10:38:45 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* mouse.el (mouse-show-mark): Use temporary highlighting if possible
	instead of a pause.
	(mouse-drag-region): Use mouse-show-mark to do temp highlighting.
	(mouse-save-then-kill): Call mouse-show-mark for a new selection
	if we have a window system.

	* reporter.el (reporter-submit-bug-report):
	Bind same-window-regexps, same-window-buffer-names, to nil.

Sun Jun  2 17:55:45 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* rmail.el (rmail-get-new-mail): If conversion to BABYL fails
	for the default inboxes, rename them so they won't be tried again.

Sun Jun  2 11:27:13 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/pc-win.el (msdos-color-aliases): Define more colors.
	(msdos-color-translate): Fix `substring' arguments.  Recognize
	``medium'' prefix.

Fri May 31 17:04:19 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* loaddefs.el (debug-ignored-errors): Don't use concat inside
	quoted list.

Fri May 31 00:16:17 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* ehelp.el (electric-helpify): Allow NAME to be given as arg.
	(electric-command-apropos): Specify *Apropos* as buffer name.

	* fill.el (fill-individual-paragraphs): Don't get stuck
	if no newline at the end of the region.

Thu May 30 19:13:40 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* ispell.el (ispell-region): Handle ispell-skip-sgml properly
	with an re-search.

	* reporter.el (reporter-submit-bug-report):
	Use display-buffer to re-show the original buffer.

Thu May 30 15:44:36 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): In output buffer, display
	first page by setting point, not window-start (which can leave
	point in an unexpected place).

	* info.el (Info-insert-dir): Fix default directory.

Thu May 30 13:11:29 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* custom.el (event-point): Fix fboundp test surrounding this.

Wed May 29 13:10:04 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* debug.el, edebug.el, icomplete.el, macros.el, simple.el:
	Use executing-kbd-macro, not executing-macro.

Tue May 28 11:46:10 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* add-log.el (change-log-font-lock-keywords): Require colon after
	parenthesized function name.

Tue May 28 11:21:40 1996  Paul Eggert  <eggert@twinsun.com>

	* gnus.el (gnus-article-date-ut): Avoid race condition.
	* gnus-msg.el (gnus-inews-date): Likewise.

	* gnus.el (gnus-gmt-to-local): When rewriting a date to local time,
	use the UTC offset in effect then, not the current UTC offset.

Sun May 26 19:12:21 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* mailabbrev.el (mail-abbrev-expand-hook): Disable abbrev mode
	temporarily while working, to avoid recursion in indent-relative
	expanding part of the abbrev expansion as an abbrev itself.

Sat May 25 15:30:10 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Version 19.31 released.

Tue May 21 13:18:31 1996  Marc Fleischeuers  <marc@mpi.nl>

	* files.el (make-backup-file-name): Check msdos-long-file-names.
	(basic-save-buffer-1, make-auto-save-file-name): Likewise.

Tue May 21 11:40:54 1996  Scott M. Meyers  <spirit2@shellus.com>

	* cmacexp.el (c-macro-expansion): Delete ??! trigraph in uniquestring.
	Use same syntax table in outbuf as in inbuf.
	Insert newline instead of space at end, for proprocessors which
	don't like truncated lines.

Tue May 21 10:50:56 1996  Francesco Potorti`  <F.Potorti@cnuce.cnr.it>

	* cmacexp.el (c-macro-expansion): Correct bug in creating tempname.

Tue May 21 10:38:53 1996  Andrew Innes  <andrewi@harlequin.co.uk>

	* scroll-bar.el (scroll-bar-maybe-set-window-start): Always set
	window start, to ensure scroll bar position is updated.

	* term/win32-win.el (win32-handle-scroll-bar-event): Restore
	original window selection after scrolling.

Tue May 21 10:30:53 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* mh-e.el (mh-version): Use mh-e-RCS-id rather than mh-e-version
	and mh-e-time-stamp.

	* simple.el (do-auto-fill): Return t if real work was done.

Mon May 20 11:36:08 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* cal-persia.el: Renamed from cal-persian.el to avoid 14-character
	limitation.
	* calendar.el, diary-lib.el: Fix autoload references.

Sat May 18 16:44:10 1996  Erik Naggum  <erik@naggum.no>

	* sun-curs.el (sc::menu): Fix typo.

Fri May 17 17:15:18 1996  Per Bothner  <bothner@deneb.cygnus.com>

	* term.el (term-send-raw-string):  send-string -> process-send-string.
	(term-arguments):  Remove unused local `values'.
	(term-handle-deferred-scroll):  Fix off-by-one bug.

Fri May 17 17:02:04 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* f90.el: Delete the hilit19 support--it doesn't work.
 	(f90-face-*, f90-auto-hilit19, f90-hilit-patterns): Vars deleted.
	(f90-mode, f90-update-line): Delete the hilit19 support code.

Wed May 15 10:47:32 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* tex-mode.el (latex-imenu-create-index):
	Change the regexp to match the * versions of commands.
	(latex-mode): Make imenu-create-index-function buffer-local.

	* enriched.el: Several doc fixes.
	(enriched-mode-hook): Renamed from enriched-mode-hooks.

	* cc-mode.el (c++-mode): Set c-recognize-knr-p locally to nil.

Mon May 13 16:48:54 1996  Espen Skoglund  <espensk@tklab3.cs.uit.no>

	* pascal.el (pascal-end-of-statement, pascal-calculate-indent):
	Set parse-sexp-ignore-comments to t before parsing.
	(pascal-indent-case): Save position of cursor, and restores it
	after reindenting the code.

Sat May 11 16:54:59 1996  Geoff Voelker  <voelker@cs.washington.edu>

	* winnt.el (using-unix-filesystems): Update doc string.

Sat May 11 14:29:44 1996  Andrew Innes <andrewi@harlequin.co.uk>

	* scroll-bar.el (scroll-bar-drag-position): New function.
	(scroll-bar-maybe-set-window-start): New function.

	* term/win32-win.el (win32-handle-scroll-bar-event):
	Use scroll-bar-maybe-set-window-start.

Sat May 11 12:58:43 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* tex-mode.el (latex-imenu-create-index): New function.
	(latex-mode): Use latex-imenu-create-index.
	(latex-imenu-generic-expression): Variable deleted.

Fri May 10 17:19:51 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el (term-emulate-terminal):  On CR, set term-current-column
	to term-start-line-column, not 0.

Fri May 10 18:41:10 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* f90.el (f90-hilit-patterns): Avoid using undefined variables.

	* vc.el (vc-rename-file): After renaming, update VC info and modeline.
	Preserve buffer-read-only.

Thu May  9 13:35:20 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* gud.el (gud-filter): Cal gud-display-frame even
	if process-window is nil.

	* vc-hooks.el (vc-find-file-hook): Follow multiple links all the way.

	* ispell.el (ispell-check-comments): Default is now t.

Wed May  8 17:03:41 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* bookmark.el (bookmark-bmenu-delete-backwards)
	(bookmark-write, bookmark-relocate, bookmark-insert-buffer-name)
	(bookmark-insert-current-bookmark, bookmark-send-edited-annotation)
	(bookmark-read-annotation, bookmark-read-annotation-text-func)
	(bookmark-send-annotation, bookmark-insert-file-format-version-stamp):
	Doc fix.

Wed May  8 14:43:02 1996  Karl Fogel  <kfogel@floss.red-bean.com>

	* bookmark.el (bookmark-locate): ;;;###autoload this alias.
	(bookmark-bmenu-mode-map): bind C-c C-c to
	bookmark-bmenu-this-window, analogously to other Emacs listing
	modes such as *grep* and *occur*.
	(bookmark-version): upped to 2.6.4.

Wed May  8 00:33:52 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* gud.el (gud-filter): Move the call to gud-display-frame
	outside of the save-excursion.

Tue May  7 21:57:00 1996  Karl Fogel  <kfogel@floss.red-bean.com>

	* bookmark.el (bookmark-make): take optional arg `info-node', pass
	it on to bookmark-make-cell.
	(bookmark-make-cell): if new optional arg `info-node' is non-nil,
	make it be the bookmark's info-node.
	(bookmark-info-current-node): new func.
	(bookmark-set): call bookmark-make, passing result from above
	bookmark-info-current-node.
	(bookmark-send-annotation): same as above.
	(bookmark-locate): defalias to bookmark-insert-location for
	backward compatibility.
	(bookmark-version): upped to 2.6.3.

Tue May  7 19:55:04 1996  Noah Friedman  <friedman@prep.ai.mit.edu>

	* rlogin.el (rlogin): Call rlogin-mode after adding
	rlogin-carriage-filter to output filter functions, so user can
	remove it if desired.

Mon May  6 19:17:04 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* gulp.el: New file.

	* info.el (Info-enable-active-nodes): Default to nil.  Mark it risky.

	* ediff-diff.el (ediff-setup-fine-diff-regions):
	Use ediff-diff3-options or ediff-diff-options.

Sun May  5 00:33:20 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* mouse.el (mouse-drag-region): Set the region before reading a
	character, so the selection exists while we wait.

	* dos-fns.el (convert-standard-filename): Test msdos-long-file-names.
	Return "." or ".." unchanged.

	* iso-acc.el (iso-accents-compose): Don't insert in the buffer
	if this is not the start of the key sequence.

	* hideif.el (hide-ifdef-mode): Doc fix.

	* term/win32-win.el (win32-handle-scroll-bar-event):
	Look for `up' and `down' instead of `up-arrow' and `down-arrow'.

Sat May  4 23:50:40 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* ps-print.el (ps-print-preprint): Special handling if
	file entered in the minibuffer is a directory.

	* sendmail.el (mail-mode): Line starting with ---- is par separator.

	* vc-hooks.el (vc-follow-link, vc-find-file-hook):
	Use file-chase-links instead of file-truename.
	(vc-find-file-hook): Follow a link without asking
	if the target is already visited.

Fri May  3 20:50:17 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* apropos.el (apropos-print): If command has no key bindings,
	say how to run it with M-x.

Fri May  3 14:25:02 1996  Andrew Innes <andrewi@harlequin.co.uk>

	* winnt.el (original-make-auto-save-file-name): New symbol bound
	to old value of make-auto-save-file-name.
	(make-auto-save-file-name): New function overriding old.

	* term/win32-win.el (win32-handle-scroll-bar-event): New function.

Thu May  2 23:18:04 1996  Erik Naggum  <erik@naggum.no>

	* dired-aux.el (dired-handle-overwrite): `find-backup-file-name'
	may return nil, so handle that.

Thu May  2 02:07:15 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* gud.el (gud-display-line): Switch to gud buffer before
	calling gud-find-file.

	* info.el (Info-find-node): Don't treat file name `dir' specially
	if it comes with a directory name.

Wed May  1 19:50:42 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* ps-print.el (ps-print-preprint): If user enters a directory name,
	use a suitable file in that directory.

Tue Apr 30 12:11:39 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* mouse.el (mouse-drag-region): Doc fix.

Mon Apr 29 23:17:34 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): Start of region to keep is
	min of endpoints, not max.

Mon Apr 29 14:46:45 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* cal-x.el (diary-frame-parameters, calendar-frame-parameters)
	(calendar-and-diary-frame-parameters): Take out font, auto-lower
	and auto-raise.

Sun Apr 28 19:40:30 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* indent.el (indent-for-tab-command): Pass prefix arg to indent-tab.
	(insert-tab): Handle prefix arg.

Fri Apr 26 20:13:13 1996  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* solar.el (diary-sabbath-candles): Don't correct for DST a second
	time.

Fri Apr 26 22:15:40 1996  Andrew Innes <andrewi@harlequin.co.uk>

	* compile.el (compilation-error-regexp-alist): Add regexp
	for Microsoft VC++ error messages containing drive letters.

	* loadup.el [windows-nt]: Load disp-table.

	* rmail.el (rmail-insert-inbox-text): When required, prompt for
	pop password and pass on to movemail.
	(rmail-pop-password, rmail-pop-password-required): New variables.
	(rmail-read-password): New function.

Fri Apr 26 15:10:07 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* mouse.el (mouse-drag-region): Leave region highlighted
	until the next input event.

Thu Apr 25 23:03:17 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* window.el (walk-windows): Doc fix.

Wed Apr 24 19:35:23 1996  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* cal-persian.el: Doc fix.

	* cal-julian.el (calendar-print-astro-day-number): Doc fix.

	* cal-menu.el (calendar-mouse-print-dates): Doc fix.

Tue Apr 23 11:30:15 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* doctor.el (doctor-doc): Add period.

Sat Apr 20 21:33:08 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): .F gets fortran mode.

	* simula.el (simula-submit-bug-report): Use emacs-version.
	(simula-version): Function and variable deleted.

	* window.el (walk-windows): Doc fix.

Fri Apr 19 23:16:42 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info.el (Info-next-reference, Info-prev-reference): Add optional
	argument RECUR to avoid infinite recursion on malformed nodes.

Fri Apr 19 21:30:25 1996  Hans Henrik Eriksen  <hhe@ifi.uio.no>

	* simula.el (simula-tab-always-indent, simula-indent-level)
 	(simula-substatement-offset, simula-continued-statement-offset)
	(simula-label-offset, simula-if-indent, simula-inspect-indent)
	(simula-electric-indent, simula-abbrev-keyword, simula-abbrev-stdproc):
	Added default constants.
	(simula-emacs-features): new constant to hold information
	on which flavor if emacs is running (from cc-mode.el).
	(simula-mode-menu): Menu definition for Lucid Emacs
	(simula-mode-map): Bound new command simula-indent-exp to C-M-q
	and added lots of commands to [menu-bar].
	(simula-popup-menu): New function for Lucid menus.
	(simula-keep-region-active): New function for Lucid menus.
	(simula-indent-exp): New command that indents a whole expression.
	(simula-indent-line): New strategies for finding the right amount
	to indent.
	(simula-skip-comment-backward): Added optional parameter stop-at-end
	to stop at the first END statement.
	(simula-expand-stdproc): Added abbrev expansion to verbatim copy
	of abbrev table, same for function simula-expand-keyword.
	(simula-search-backward): Added Doc string, and lots of error checking.
	(simula-search-forward): Added Doc string, and lots of error checking.
	Added hilit19 config code.
	(simula-version): New variable and function to report value.
	(simula-submit-bug-report): New function to submit bug report.

Fri Apr 19 16:49:43 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* term/x-win.el [motif]: Make f10 undefined.

Fri Apr 19 15:53:36 1996  Torbjorn Einarsson  <T.Einarsson@clab.ericsson.se>

	* f90.el (f90-keywords-re): Added operator and result.
	(f90-keywords-level-3-re): Added operator and result.
	(f90-match-end, f90-looking-at-program-block-start): Fixed bug
	with false matching in comments/strings.
	(f90-looking-at-program-block-start, f90-imenu-generic-expression):
	Added knowledge of pure and extrinsic subroutines.
	(f90-abbrev-start): Fixed bug using next-command-event.
	(f90-keywords-level-3-re): Added keyword "nullify".
	(f90-else-like-re): Fixed indentation of case() statements.
	(f90-font-lock-keywords-2): Changed highlighting of case() statements.

Fri Apr 19 05:30:53 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* metamail.el (metamail-mailer-name): New variable.
	(metamail-environment): Add MM_QUIET.
	(metamail-switches): Delete -m emacs.
	(metamail-interpret-header, metamail-interpret-body): New functions.
	(metamail-region, metamail-buffer): New arg VIEWMODE.

	* Optional argument which value is passed to the environment
	variable EMACS_VIEW_MODE is added to the function metamail-buffer
	and metamail-region.
	* files.el (after-find-file): Mention file name in
	"auto save is newer" message.

Thu Apr 18 22:40:24 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/win32-win.el (x-select-text):  Remember selected text.
	(x-get-selection-value): Return nil if the clipboard data is
	is the same as the remembered selected text.

Thu Apr 18 08:09:41 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-summary-pipe-output, gnus-buffer-configuration,
	gnus-window-to-buffer): Pop up the shell buffer after piping
	articles through a filter.

	* gnus-ems.el: Make invisible text intangible as well.

Wed Apr 17 06:22:40 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* replace.el (occur): Fix up interactive code.
	Strip text properties from regexp.

Tue Apr 16 14:52:53 1996  Francesco Potorti`  <F.Potorti@cnuce.cnr.it>

	* vc.el (vc-comment-ring): Initialise using make-ring.
	(vc-clear-context): Initialise vc-comment-ring using make-ring.
	(vc-finish-logentry): Don't initialise vc-comment-ring here.

Mon Apr 15 15:38:48  Eric Ding <ericding@mit.edu>

	* goto-addr.el (goto-address-send-using-mh-e):
 	Renamed from goto-address-send-using-mhe.  Require `mh-comp'.

Mon Apr 15 17:16:12 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-while-getopts): Punctuate help message better.

	* cl-extra.el (isqrt): Support expanded range of Lisp integers.
	(cl-expt): Bug fix for (expt -1 -N).
	(cl-macroexpand-all): Change to support `labels'.
	* cl-macs.el (defstruct): Treat multi-nested :include properly.
	(flet): Warn when flet rebinds a macro name.
	(labels): Rewrite to be fully CL-compliant.

Sat Apr 13 15:40:51 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* completion.el: Provide `completion'.
	(cmpl-make-standard-completion-syntax-table): Initialize
	all chars (to whitespace if nothing else).
	(c-mode-map, fortran-mode-map): Add defvars to avoid warnings.

Fri Apr 12 14:42:11 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (interpreter-mode-alist): Recognize perl5.

Thu Apr 11 01:09:21 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mail-utils.el (mail-fetch-field): Use skip-chars-backward
	to back over whitespace; don't back up past opoint.

	* files.el (auto-mode-alist): Handle `.java'.

	* startup.el (command-line-x-option-alist):
	--title or -T sets only the title.  Allow -title as alias too.

Wed Apr 10 01:39:01 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el (x-handle-display): Set DISPLAY envvar too.

Mon Apr  8 11:36:28 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* disass.el (disassemble-internal): Graceful error if compile failed.

Sun Apr  7 18:30:15 1996  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* diary-lib.el (fancy-diary-display): Fix length of separator
	string.

Sat Apr  6 22:21:06 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cal-menu.el (calendar-mouse-goto-date): New function.
	Call it instead of calendar-goto-date throughout this file.
	(calendar-event-to-date): Switch buffers based on the event.

Fri Apr  5 15:20:12 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* ehelp.el (electric-help-mode): Use add-hook mouse-leave-buffer-hook.
	(electric-help-retain): Use remove-hook.

Fri Apr  5 01:54:09 1996  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* gomoku.el (gomoku-click): Position on nearest square.  Adapt keymap
	accordingly.
	(gomoku-mouse-play): Use it to play nearest to mouse click.
	(gomoku-terminate-game): Factorize messages.
	(gomoku): Allow interactive passing of board size.  Don't make a fuss
	about restarting a game that hasn't progressed.
	(gomoku-offer-a-draw): Give user the choice it pretended to give.
	(gomoku-point-x): Deleted function.
	(gomoku-point-y, gomoku-point-square): Simplified because point is
	always on a square.
	(gomoku-goto-xy, gomoku-plot-square): Fix line count due to intangible
	newlines.
	(gomoku-init-display): Once again fairly fast due to minimization of
	characters in buffer and text-property operations.  Cursor cannot be
	be off a square.
	(gomoku-display-statistics): Simplified equivalently.
	(gomoku-winning-qtuple-beg, gomoku-winning-qtuple-end)
	(gomoku-winning-qtuple-dx, gomoku-winning-qtuple-dy): Pseudo variables
	only used for non-functional argument passing deleted.
	(gomoku-cross-winning-qtuple): Accordingly deleted function and
	(gomoku-check-filled-qtuple): Accordingly adapted.
	(gomoku-cross-qtuple): Don't be confused by tabs.
	(gomoku-move-down, gomoku-move-up): Simplified because point is always
	on square.
	(gomoku-beginning-of-line, gomoku-end-of-line): New commands necessary
	because intangible newlines perverted these.

Thu Apr  4 19:22:23 1996  Erik Naggum  <erik@naggum.no>

	* dired.el (dired-noselect): Resolve symbolic links in argument.

Thu Apr  4 17:05:43 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* electric.el (Electric-command-loop):
	Set universal-argument-other-key to 0.

Thu Apr  4 11:38:34 1996  Richard Stallman  <rms@lucy.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-scroll-between-messages): New var.
	(rmail-summary-scroll-msg-down, rmail-summary-scroll-msg-up):
	Obey that var.

	* isearch.el (isearch-mode): Use add-hook for mouse-leave-buffer-hook.
	(isearch-done): Use remove-hook.

Thu Apr  4 17:33:08 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* timer.el (run-at-time): Allow floating REPEAT values.

Wed Apr  3 17:04:58 1996  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* calendar.el (general-holidays): Spelling fix.

Wed Apr  3 14:08:10 1996  Richard Stallman  <rms@lucy.gnu.ai.mit.edu>

	* gud.el (gud-mode): Doc fix.

Wed Apr  3 01:22:49 1996  Erik Naggum  <erik@naggum.no>

	* gnus.el (gnus-summary-prepare-threads): Call `gnus-message'
	instead of `message'.

	* startup.el (command-line-1): Document the C- and M- conventions
	more completely.

Tue Apr  2 22:07:06 1996  Noah Friedman  <friedman@prep.ai.mit.edu>

	* files.el (file-newest-backup): Return the newest backup for the
	exact file name specified, not the newest backup of all files
	whose names start with that substring.

Tue Apr  2 23:42:32 1996  Richard Stallman  <rms@lucy.gnu.ai.mit.edu>

	* sendmail.el (mail): Once again set default dir to home dir.

Tue Apr  2 10:14:03 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* timer.el (timer-event-handler): Save copies of events too.

Sun Mar 31 20:41:37 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* hexl.el (hexlify-buffer, dehexlify-buffer): Clear out the undo
	info, and don't record undo info for the conversion.

Fri Mar 29 19:07:36 1996  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* solar.el: Misc fixes to arc-trig functions.

Fri Mar 29 17:39:33 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-forward): Put the "end" line right after the
	forwarded message; the signature goes after.

Fri Mar 29 12:34:40 1996  Ed Reingold  <reingold@mole.gnu.ai.mit.edu>

	* cal-persian.el: New file.

	* diary-lib.el, calendar.el: Add Persian calendar.

	* cal-menu.el (calendar-mode-map,calendar-mouse-print-dates): Add
 	Persian calendar.

Thu Mar 28 19:37:29 1996  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper.el and related files: copyright message updated.
	Also, added eval-when-compile's to reduce the number of warnings.
	* viper.el (vip-add-newline-at-eob-if-necessary):
	don't add newline for read-only files.
	* viper-util.el (vip-set-replace-overlay): made non-detachable
	under XEmacs.
	* viper-ex.el (ex-next): bug fix.
	* viper-macs.el (vip-events-to-macro):
	discard events represented as lists in macro
	definitions.
	* viper-mous.el (vip-mouse-click-insert-word): fixed a typo.

Thu Mar 28 13:10:24 1996  Richard Stallman  <rms@charlie-brown.gnu.ai.mit.edu>

	* tmm.el (tmm-define-keys): New arg MINIBUFFER.
	(tmm-add-prompt): Pass new arg in both calls.

Wed Mar 27 23:40:01 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* facemenu.el (list-text-properties-at): Display category's properties.

Wed Mar 27 23:36:01 1996  Geoff Voelker  <voelker@cs.washington.edu>

	* makefile.nt: Change uses of del to $(DEL).

Wed Mar 27 17:18:19 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* rmail.el (rmail-fontify-message, rmail-unfontify-buffer-function):
	Reset the buffer modified state if necessary.

Wed Mar 27 16:29:55 1996  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* avoid.el (mouse-avoidance-old-pointer-shape): New vbl.
	(mouse-avoidance-mode): Save old pointer shape when entering
	protean mode; restore when exiting.

Tue Mar 26 19:13:13 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-alias-alist): Recognize lignux.

	* dired.el (dired-chown-program): Recognize lignux.

	* gnus-cus.el (gnus-make-face, custom-declare):
	Rename custom-asis to custom:asis.

Mon Mar 25 11:28:42 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (set-visited-file-name): Don't call find-buffer-visiting
	if filename is nil.

	* custom.el (custom:asis): Renamed from custom-asis.

	* mouse.el (mouse-buffer-menu): Keep the order of buffers straight.

	* timer.el (timer-event-handler): Record the last few events.

Sun Mar 24 07:38:34 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-shell-arg): Add no options for bash, ksh, or wksh.

	* ange-ftp.el (ange-ftp-wait-not-busy): New subroutine.
	Kill ftp process if user quits.
	(ange-ftp-raw-send-cmd): Use that.
	(ange-ftp-fix-dir-name-for-cms): Fix error message.

	* timer.el (timer-event-handler): Inhibit quitting.

Sun Mar 24 06:02:54 1996  Jonathan Kamens  <jik@cam.ov.com>

	* terminal.el (te-terminal-name-prefix): Change from
 	"emacs-virtual" to "emacs-em", so that things will work on systems
 	which allow only short terminal-type names.
	(terminal-emulator): Delete the hyphen between
 	te-terminal-name-prefix and the width and height of the window.
	(te-create-terminfo): Reformat the terminfo entry slightly.

	* terminal.el (te-terminfo-directory): New variable.
	(te-create-terminfo, te-tic-sentinel): Use te-terminfo-directory.

Sat Mar 23 10:46:03 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* timer.el (timer-set-time): Don't set usecs to nil.
	(timer-duration): Return nil if junk at end of string.
	Handle just a number--treat it as number of seconds.

	* ange-ftp.el (ange-ftp-dired-call-process): Return 1 if error.
	(ange-ftp-call-chmod): If ftp chmod cmd fails, try rsh.
	(ange-ftp-remote-shell): New variable.

	* timer.el (timer-event-handler): Catch errors when running the event.

	* ange-ftp.el (ange-ftp-call-chmod): Return proper value.

Sat Mar 23 00:32:19 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* custom.el (custom-type-properties):
	Use custom-asis instead of as-is.
	(custom-asis): Set it to itself.
	* gnus-cus.el: Use custom-asis instead of as-is.

Fri Mar 22 18:25:21 1996  Michelangelo Grigni  <mic@mathcs.emory.edu>

	* ffap.el: Doc fixes.  Reorganized.  Retired v18 support.
	(ffap-bindings): Offers a default installation.
	(ffap-string-at-point): Modified arguments.
	(ffap-gnus-hook): Updated for Gnus 5.
	(ffap-tex-init): Delayed initialization of `ffap-tex-path'.
	(ffap-dired): New entry in `ffap-alist'.
	(ffap-menu-rescan): May fontify the choices in buffer.
	(ffap-read-file-or-url): `PC-completion-as-file-name-predicate'
 	used if available, to work with complete.el.

Fri Mar 22 08:20:31 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (x-frob-font-slant): Properly handle a match against
	x-font-regexp-head.
	(x-frob-font-weight): Separate two cond cases by analogy with
	x-frob-font-slant.

	* vc.el (vc-update-change-log): Use add-log-full-name and
	add-log-mailing-address only if non-nil.

	* add-log.el (add-log-full-name, add-log-mailing-address):
	Add autoload cookies.

Fri Mar 22 03:32:41 1996  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* gomoku.el: Ancient leading comment removed.
	(gomoku-mode-map): Added numeric keypad for 8 directions, changed
	comments to lowercase (C-c rather than C-C), added SPC to play and
	undo's binding to go back.
 	(gomoku-emacs-won, gomoku-font-lock-O-face, gomoku-font-lock-X-face)
	(gomoku-font-lock-keywords):  New variables.
	(gomoku-mode): Use it and make buffer read-only for user.
	(gomoku-terminate-game): Remove (ding) -- maybe should be optonal.
	(gomoku-init-display): Rewritten, makes fields intangible so you
	can't go in between.  Make free fields have mouse-face.
	(gomoku-cross-qtuple): Take account of intangible text, and that
	empty lines are now really empty.
	(gomoku-move-left, gomoku-move-right): Removed thanks to intangibility.
	(gomoku-move-ne, -se, -nw, -sw): Use normal left / right motion.

Fri Mar 22 01:48:22 1996  Lars Magne Ingebrigtsen  <larsi@dain.ifi.uio.no>

	* elp.el (elp-instrument-package): Don't instrument keymaps and
	autoloaded functions.

Thu Mar 21 06:30:59 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cplus-md.el (indent-c++-exp): Use calculate-c-indent-after-brace.
	(c++-mode): Require c-mode.

	* gnus-cus.el (custom-declare): Change `as' to `as-is'.

Thu Mar 21 03:14:12 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* custom.el (custom-type-properties): Add new type `triggle' for
	use with "boolean" face properties.

Wed Mar 20 11:17:21 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-font-lock-keywords): Highlight \ only with
	non-alphanumeric.

Tue Mar 19 15:03:53 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* edebug.el (edebug-eval-defun): Convert defvar to defconst.

	* gnus-cus.el (gnus-make-face): Redo Feb 20 change.

	* custom.el (custom-face-hack): Avoid evalling the args
	in the list that the export function returns.

	* inf-lisp.el (switch-to-lisp): Sometimes turn on pop-up-frames.

	* fill.el (fill-region-as-paragraph): Fix the second check for
	whether we reached the end of the paragraph.

Mon Mar 18 18:58:14 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* window.el (count-windows): Doc fix.

Mon Mar 18 19:43:35 1996  Francesco Potorti`  <F.Potorti@cnuce.cnr.it>

	* simple.el (insert-buffer): Interactive default changed to a more
 	reasonable one.

Sun Mar 17 14:08:22 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (fill-context-prefix): Unused var `eol' deleted.

Sat Mar 16 17:45:39 1996  Geoff Voelker  <voelker@cs.washington.edu>

	* term/win32-win.el: Don't define backspace, M-backspace, delete,
	and M-delete; they are already defined in winnt.el.

Sat Mar 16 05:46:58 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* replace.el (occur): If no matches, just display in echo area.

	* emacsbug.el (report-emacs-bug): Use a different address
	for pretest versions.

	* comint.el (comint-exec-1): Use dumb instead of unknown, for terminfo.

Thu Mar 14 10:32:48 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* compile.el (compilation-find-buffer): Only choose
 	compilation-last-buffer if it is compilation-buffer-p.

Thu Mar 14 07:26:48 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* map-ynp.el (map-y-or-n-p): Fix previous change.
	Delete autoload cookie (file is preloaded).

	* imenu.el (imenu-generic-expression):
	Autoload the make-variable-buffer-local call.

Tue Mar 12 00:20:41 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* lisp-mode.el (lisp-fill-paragraph): Treat code-and-comment
	case specially.

Mon Mar 11 20:28:39 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus-cus.el (gnus-make-face): Undo Feb 20 change.

Fri Mar  8 16:54:19 1996  Ethan Bradford  <ethanb@phys.washington.edu>

	* mailalias.el (mail-get-names): Understand "+username" format for
	/etc/passwd lines.

Fri Mar  8 16:45:28 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* imenu.el (imenu--menubar-select): Handle the "rescan" item.
	(imenu--mouse-menu): Pass proper arg to x-popup-menu.

Fri Mar  8 14:25:35 1996  Gregory Neil Shapiro  <gshapiro@scooter.WPI.EDU>

	* mailabbrev.el (mail-abbrev-modtime): New variable.
	(mail-abbrevs-sync-alaises): New function. Updates mail-abbrevs if
	modtime of mail-personal-alias-file is different than
	mail-abbrev-modtime.
	(mail-abbrevs-setup): Call mail-abbrevs-sync-aliases.

Fri Mar  8 18:29:27 1996  Erik Naggum  <erik@naggum.no>

	* cl-extra.el (equalp): Use string-equal on strings.

Fri Mar  8 12:40:49 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* menu-bar.el (menu-bar-tools-menu): Delete ediff-doc and
	eregistry items.

	* help.el (describe-mode): Handle minor mode w/o mode line indicator.

	* bibtex.el (bibtex-version): Variable deleted.
 	(bibtex-submit-bug-report): Don't use that.

Thu Mar  7 13:14:22 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailsum.el (rmail-make-basic-summary-line): Limit line count
	to reformatted header if we have reformatted it.

	* ehelp.el (with-electric-help): Make buffer read-only as last thing.

Thu Mar  7 05:40:24 1996  Simon Marshall  <simon@spiff.gnu.ai.mit.edu>

	* font-lock.el (font-lock-set-defaults): Also test font-lock-keywords
	against compiled null keywords.

	* rmail.el (rmail-fontify-buffer-function): Fontify any message here.

Thu Mar  7 02:09:13 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* font-lock.el (font-lock-fontify-block):
	Use facemenu-keymap to make the binding.

Wed Mar  6 20:04:42 1996  Espen Skoglund  <espensk@tklab3.cs.uit.no>

	* pascal.el (pascal-declaration-end): Now locates the end of a
	parameterlist correctly.
	(electric-pascal-tab): Never indented a line when
	pascal-tab-always-indent was set to nil.
	(pascal-indent-case): Now locates the end of a case-statement
	correctly.

Wed Mar  6 02:47:59 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tar-mode.el (tar-subfile-mode): Doc fix.
	(tar-extract): Call tar-subfile-mode after setting buffer-read-only
	and the buffer modified flag.

Wed Mar  6 08:03:18 1996  Stefan Schoef  <schoef@OFFIS.Uni-Oldenburg.DE>

	* bibtex.el (bibtex-pop): New generic function which unifies the
 	functionality of bibtex-pop-previous and bibtex-pop-next.  Now,
 	bibtex-pop moves to the end of field after the pop.  Concatenated
 	strings are now handled correctly.  Delimiters are not added to
 	non-delimited entries.  Changed occurences of
 	bibtex-text-in-cfield to bibtex-text-in-field.
	(bibtex-pop-previous, bibtex-pop-next): Call bibtex-pop.
	(bibtex-complete-string): Fixed bug that removed delimiters
	around the following field if current field is already
	undelimited on completion.
	(bibtex-complete-string, bibtex-remove-double-quotes-or-braces):
	Only remove delimiters if field text is not concatenated.
	(bibtex-font-lock-keywords): Use the same regexps used
	in all other places of bibtex.el to parse the buffer.
	(bibtex-mode): Changed the definition of font-lock-defaults,
	so that quote-delimited entries aren't fontified as strings anymore.
	(bibtex-parse-keys): Changed the regexp used for finding
	crossref entries.
	(bibtex-field-const, bibtex-reference-key): Fixed the regexp
	to match more of the characters allowed here by BibTeX/LaTeX.
	(bibtex-field-name): Made it less restrictive.
	(bibtex-field-string): Changed so that quote-delimited entries
	with quotes inside aren't a problem anymore.  Changed nesting
	level of braces in entries to support three inner braces.
	(bibtex-validate-buffer): By giving an optional argument, the
	user can now let it not validate the whole buffer, but only
	the portion starting at point.  Small modification in strategy
	used to find next entry.
	(bibtex-print-help-message): Ignore case in field name when
	searching for help text.
	(bibtex-submit-bug-report): New function.

Wed Mar  6 00:11:07 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* saveplace.el (save-place-kill-emacs-hook):
	Always call save-places-to-alist.

	* profile.el (profile-convert-byte-code): New function.
	(profile-a-function): Use profile-convert-byte-code.

	* bytecomp.el (post-command-idle-hook, post-command-idle-delay):
	Mark obsolete.

	* complete.el (PC-completion-as-file-name-predicate):
	Replace PC-do-completion-filename-completers.
	(PC-do-completion): Use that.

Tue Mar  5 16:40:05 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cl-extra.el (equalp): Correctly compare last elt of two lists.

	* mailabbrev.el (mail-abbrevs-setup): Doc fix.

	* texinfo.el (texinfo-section-types-regexp)
	(texinfo-section-level-regexp, texinfo-subsection-level-regexp)
	(texinfo-subsubsection-level-regexp): Add defvars.

Tue Mar  5 16:40:33 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* texinfo.el (texinfo-section-list): New variable.
	(texinfo-outline-level): New function.
	(texinfo-mode): Use them.

Tue Mar  5 11:32:49 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* complete.el (PC-do-completion-filename-completers): New variable.
	(PC-do-completion): Use it.

	* desktop.el: Global vars mam, fn, bn, misc renamed.
	(desktop-buffer-misc): Renamed from misc.  Add defvar.
	(desktop-buffer-major-mode): Renamed from mam.  Add defvar.
	(desktop-buffer-file-name): Renamed from fn.  Add defvar.
	(desktop-buffer-name): Renamed from bn.  Add defvar.
	(desktop-create-buffer, desktop-buffer): Use new names.

Mon Mar  4 14:59:29 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* desktop.el (desktop-list*): New function.
	(desktop-internal-v2s): Generate output using desktop-list*.

	* saveplace.el (save-place-kill-emacs-hook): Don't save
	if we never loaded the save-place-file.

	* rmail.el (unforward-rmail-message): Add autoload declaration.
	* undigest.el (unforward-rmail-message): Delete autoload cookie.

	* rmail.el (rmail-unix-mail-delimiter): Don't accept newlines in month.

Sun Mar  3 18:32:37 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* indent.el (beginning-of-line-text):
	Check adaptive-fill-regexp is non-nil.

	* dunnet.el: Require cl only when compiling.
 	(scroll-step): Don't set it globally.
	(dun-mode): Set scroll-step locally.

Sun Mar  3 20:03:16 1996  Per Abrahamsen  <abraham@dina.kvl.dk>

	* texinfo.el (texinfo-font-lock-keywords): Fixed regexp for `@end'
	and `@item'.

Sun Mar  3 00:53:01 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired-aux.el (dired-compress-file-suffixes): New variable.
	(dired-compress-file): Use that to control file naming.

Sat Mar  2 14:54:00 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* font-lock.el (global-map): Change C-M-g to M-g M-g.

	* cc-mode.el (set-c-style): Autoload the definition.
	(c-set-style): Add autoload cookie.

Fri Mar  1 20:31:29 1996  Johan Vromans  <jvromans@squirrel.nl>

	* forms.el (forms-insert-after):
	New variable. Non-nil means: inserts of new
	records go after current record, also initial position is at last
	record.
	(forms-mode, forms-insert-record): Use it.

Fri Mar  1 10:37:20 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (set-visited-file-name): Query if there's already another
	buffer visiting this file.

	* startup.el (command-line-normalize-file-name): Do save-match-data.

	* imenu.el (imenu--menubar-select): No longer interactive.
	(imenu-create-submenu-name): Function deleted.
	(imenu-example--create-lisp-index): Don't use it.
	(imenu--generic-function): Don't use imenu-create-submenu-name.
	(imenu-submenu-name-format): Variable deleted.
	(imenu--split-menu): Use TITLE as the head of the new list.
	Don't split if everything fits in one level.
	(imenu--split-submenus): New function.
	(imenu-update-menubar): Use imenu--split-submenus.
	(imenu--mouse-menu): Use imenu--split-submenus.

	* imenu.el (imenu-submenu-name-format): Delete the `...'.

	* skeleton.el: Add provide call.

Thu Feb 29 17:00:29 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (backward-delete-char-untabify):
	Don't handle overwrite-mode here (done in delete-backward-char).

Thu Feb 29 03:20:58 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* lisp-mode.el (emacs-lisp-byte-compile-and-load): Correct logic.

Wed Feb 28 13:19:29 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* server.el (server-process-filter):
	Use command-line-normalize-file-name.

	* startup.el (command-line-normalize-file-name):
	Convert /// at beginning to just /.

	* iso-acc.el (iso-languages): Add ~? and ~!.

Wed Feb 28 04:22:25 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (turn-on-font-lock-if-enabled): Bind inhibit-quit.
	(font-lock-value-in-major-mode): New function to process alists.
	(font-lock-mode, font-lock-set-defaults): Use it.
	(font-lock-choose-keywords): Don't process alists here.
	(global-font-lock-mode): Show message if extra arg MESSAGE is non-nil.

	* subr.el (get-buffer-window-list): Take args like next-window not
	get-buffer-window.

	* timer.el (timer-set-time, timer-set-time-with-usecs): Doc fix.
	(run-at-time, with-timeout): Doc fix.
	(run-with-timer): Just call run-at-time.
	(timer-set-idle-time): New function.
	(run-with-idle-timer): Use it to set the idle time.
	Doc fix.  Fix interactive code.

	* time.el (display-time): Just use run-at-time to start the timer.

	* paren.el: (show-paren-delay): New variable.
	(show-paren-mode): New command.  Use it.  Call it at the top-level.
	(show-paren-mode, show-paren-idle-timer): New variables.
	(show-paren-function): Renamed from show-paren-command-hook.

Tue Feb 27 17:41:32 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* levents.el (timeout-event-p): Function deleted.

	* compile.el (compilation-parse-errors):
	Collapse //'s using command-line-normalize-file-name.

	* startup.el (command-line-normalize-file-name):
	Don't collapse // at start of file name.

	* server.el (server-process-filter):
	Don't collapse // at start of file name.

	* frame.el (handle-delete-frame): Use save-buffers-kill-emacs.

	* time.el (display-time): Use rmail-after-get-new-mail-hook.

	* rmail.el (rmail-get-new-mail): Run rmail-after-get-new-mail-hook.

Tue Feb 27 11:31:50 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* iso-transl.el (iso-transl-dead-key-alist): Fix syntax for ?^.

Mon Feb 26 14:16:12 1996  Mark Osbourne  <marko@lexis-nexis.com>

	* hexl-mode.el (hexl-mode-exit, hexl-maybe-dehexlify-buffer):
	Corrected write-contents-hook to write-contents-hooks.

Mon Feb 26 14:33:01 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tpu-edt.el (tpu-load-xkeys): Fix previous change.

	* make-mode.el (makefile-runtime-macros-list): Add + to the list.

Mon Feb 26 13:40:41 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* cal-china.el, cal-islam.el: Renamed from cal-chinese.el and
	cal-islamic.el to avoid 14-character limitation.
	* calendar.el, diary-lib.el, holidays.el: Fix autoload references.

Mon Feb 26 00:48:36 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* iso-acc.el (iso-acc-minibuf-setup): New function.
	Add it to minibuf-setup-hook.

Mon Feb 26 03:53:52 1996  Erik Naggum  <erik@naggum.no>

	* rmailsum.el (rmail-make-basic-summary-line): Fix previous change.

	* rmail.el (rmail-clear-headers): Bind case-fold-search to t
 	across the whole function.

Sun Feb 25 19:59:04 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sendmail.el (mail-mode-map): Bind M-TAB to mail-complete.

	* mailalias.el (mail-complete): Add autoload cookie.

	* undigest.el (unforward-rmail-message): Add autoload cookie.

Mon Feb 26 00:53:13 1996  Paul Eggert  <eggert@twinsun.com>

	* vc-hooks.el (vc-find-cvs-master): Don't require a "/" after the
	modification time in CVS/Entries, since the time may be followed
	by a conflict notice (in CVS 1.7) or by some other value (in CVS 1.3).

Sun Feb 25 13:28:56 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc-hooks.el (vc-follow-link): Kill buffer before creating new one.

	* finder.el (finder-compile-keywords-make-dist): New function.

	* emerge.el (emerge-combine-versions-template): Make the
	generated comments on the #else and #endif follow the GNU standards.

	* ps-print.el (ps-generate): Bind inhibit-read-only.

	* info.el (Info-index): If fail, go back to original node.
	(Info-find-node): Make error messages consistent.
	(Info-insert-dir): Fix error message.

Sat Feb 24 07:54:23 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* mail-utils.el (rmail-dont-reply-to): Allow parsing lists of
	addresses with comment fields.

Fri Feb 23 19:36:08 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* imenu.el (imenu-add-to-menubar): Add menu item for current buf only.
	(imenu-update-menubar): Never add menu item here.

	* undigest.el (unforward-rmail-message):
	Handle any kind of forwarding delimiters.

Fri Feb 23 19:31:51 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* nntp.el (nntp-request-post): Clear the server buffer before
	sending text to the server.

Fri Feb 23 01:39:49 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* decipher.el: Load cl within eval-when-compile.
	(decipher-font-lock-keywords): Fix doc patching error.

	* sendmail.el (mail-mode): Treat `-- ' line as paragraph separator.

	* vc-hooks.el (vc-follow-link): Simplify by taking advantage
	of Feb 21 change in find-file-noselect.

Thu Feb 22 22:49:13 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* man.el (man): Don't call Man-init-defvars here.
	Do it at top level instead.
	(Man-init-defvars): Now a defun, not a defsubst.
	Don't set Man-uses-untabify-flag.
	(Man-uses-untabify-flag): Add doc string.  Make default value t.
	(Man-filter-list): Add doc string.

	* rmailsum.el (rmail-make-basic-summary-line): Less space before subj.

Thu Feb 22 08:15:06 1996  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el: (vc-follow-link): New function.
	(vc-find-file-hook): Use it.

Thu Feb 22 02:49:22 1996  Erik Naggum  <erik@naggum.no>

	* fill.el (fill-region-as-paragraph): Doc fix.

	* comint.el (make-comint, comint-run): Fix autoload cookie.

Wed Feb 21 20:02:34 1996  Christopher J. Madsen  <ac608@yfn.ysu.edu>

	* decipher.el (decipher-mode): Removed nonstandard font-lock support.
	(decipher-make-checkpoint, decipher-resync): Removed special
 	support for font-lock.
	(decipher-resync): Removed `$' from regexps.
	(decipher-set-map): Use font-lock-fontify-region-function.
	(decipher-font-lock-keywords): Removed newlines from regexps.
	(decipher-use-font-lock): Deleted.
	(decipher-toggle-font-lock, decipher-turn-on-font-lock): Deleted.

Wed Feb 21 16:17:43 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* vc-hooks.el: Move all the put's for menu-enable props to top level.
	(vc-next-action, vc-toggle-read-only): Enable whenever vc-mode.

	* startup.el (before-init-hook, after-init-hook): Doc fix.
	(term-setup-hook): Doc fix.
	(emacs-startup-hook): New defvar.

	* paren.el: Use run-with-idle-timer, not post-command-idle-hook.

	* rnewspost.el (news-reply-mode-map): Delete news-reply-signature.
	(news-reply-signature): Improve the message.

	* ps-print.el (ps-generate-postscript-with-faces):
	Handle buffer-invisibility-spec when interpreting the invisible prop.

	* lisp-mode.el (lisp-fill-paragraph): When filling a comment,
	find paragraph bounds by hand, and pass the SQUEEZE-AFTER arg
	to fill-region-as-paragraph.

	* fill.el (fill-region-as-paragraph): New arg SQUEEZE-AFTER.

	* doctor.el: More censorship.

	* undigest.el (unforward-rmail-message): New command.

	* cplus-md.el (c++-mode-syntax-table): Don't use c-mode-syntax-table.

	* timer.el (run-with-idle-timer): New function.
	(timer-create, timerp): Leave a slot for idle-delay.
	(timer-activate-when-idle): New function.
	(timer-event-handler): Handle idle-delay timers specially.
	(cancel-timer, cancel-function-timers): Handle idle-delay timers.

	* perl-mode.el (perl-imenu-generic-expression): Recognize packages.

	* rnewspost.el (news-reply-yank-message-id, news-reply-yank-from):
	Fix swapped args in defvars.

	* simple.el (shell-command): Call file name handler.

	* imenu.el (imenu-buffer-menubar): Add defvar.
	(imenu-update-menubar): Make a buffer-specific copy of the local map.

	* ange-ftp.el (dired-call-process): Put on ange-ftp property.
	* dired-aux.el (dired-call-process): Call file name handler.

	* files.el (find-file-noselect): If after-find-file switches buffers,
	return the buffer that it leaves current.

	* derived.el (derived-mode-merge-syntax-tables): Use inheritance.

	* dunnet.el (dun-urinate): Renamed.
	(dun-verblist): Indecent word deleted.
	(dunnet): Print "censored" message.

	* time.el (display-time-update): New subroutine broken out from
	display-time-event-handler.

	* time.el (display-time): Add hook to rmail-get-new-mail-hook.

	* rmail.el (rmail-get-new-mail): Don't mess with display-time here.

Wed Feb 21 16:17:11 1996  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* fill.el (canonically-space-region): Use insert-before-markers
	when inserting spaces at end of line.

Wed Feb 21 12:16:39 1996  Anders Lindgren  <andersl@csd.uu.se>

	* follow.el: Update some doc string.  Call `add-minor-mode'.
 	(follow-windows-start-end-cache, follow-cache-command-list):
	New variables.
	(follow-cache-valid-p, follow-invalidate-cache): New functions.
	(follow-windows-start-end, follow-post-command-hook,
	follow-generic-filter): Cache support added.
	(follow-avoid-tail-recenter): Problem with minibuffer-only
	frames corrected.
	(follow-windows-aligned-p): Minor change.

Wed Feb 21 02:29:28 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* compile.el (compilation-minor-mode): Run compilation-minor-mode-hook.

	* c-mode.el: Added provide.

Tue Feb 20 14:15:14 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus-msg.el (gnus-inews-insert-headers): Check whether Sender
	and From are equal before inserting a Sender header.

	* nnheader.el (nnheader-insert-head): Make sure the entire head of
	the article is inserted.

	* gnus-cus.el (gnus-make-face):
	Use `as-is' parameters to `custom-face-lookup'.

Tue Feb 20 13:38:52 1996  Erik Naggum  <erik@naggum.no>

	* finder.el: Removed (require 'picture).
	(finder-insert-at-column): New function.
	(finder-list-keywords, finder-list-matches): Use it.

Mon Feb 19 03:08:54 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* files.el (interpreter-mode-alist): Add mawk.
	(set-auto-mode): Allow either space or tab in #! line.

Mon Feb 19 02:51:34 1996  Christopher J. Madsen  <ac608@yfn.ysu.edu>

	* decipher.el (decipher-mode): Added special support for font-lock.
	(decipher-set-map, decipher-insert): Likewise.
	(decipher-make-checkpoint, decipher-resync): Likewise.
	(decipher-use-font-lock, decipher-font-lock-keywords): New vars.
	(decipher-toggle-font-lock, decipher-turn-on-font-lock): New funcs.

Fri Feb 16 21:33:19 1996  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-mous.el (vip-mouse-click-insert-word): Fixed a typo.

	* viper-macs.el (ex-map-read-args,ex-unmap-read-args): Fixed messages.
	(vip-events-to-macro): Delete nil in macro definitions.
	(vip-events-to-macro): Discard events represented as lists in
 	macro definitions.

	* menu-bar.el: Added [ediff-doc] and [eregistry] to
 	menu-bar-tools-menu.

	* ediff-util.el: Changed file name length from 8 to 7 under DOS.
	(ediff-make-temp-file): Should work with DOS now.
	(ediff-copy-list): Made cl-independent.

	* ediff-util.el, ediff-diff.el, ediff-wind.el:
	Added face support for XEmacs TTY and DOS.

	* ediff-util.el, ediff-wind.el, ediff-init.el
	(ediff-prefer-long-help-message): renamed into
 	ediff-use-long-help-message.

	* ediff-init.el, ediff-wind.el: Fixed make-ctl-frame for xemacs.

	* ediff-wind.el (ediff-setup-control-frame): Control frame's
 	surrogate minibuffer changes without the need to delete the frame.

	* ediff-merg.el: Changed some defaults.

	* ediff-mult.el (ediff-show-meta-buffer): Protected against errors
 	when meta-buffer is invisible.

	* ediff-wind.el (ediff-skip-unsuitable-frames): Won't select small
 	frames any more.
	(ediff-setup-control-frame): Won't grab mouse on quit.

	* ediff-hook.el: Added Ediff Manual.

	* ediff.el, ediff-util.el (ediff-make-temp-file): Preserves buffer
 	file names as much as possible.

	* ediff-util.el (ediff-compute-custom-diffs-maybe): Now handles
 	temp file names correctly.
	(ediff-intersection, ediff-union, ediff-set-difference,
 	ediff-copy-list): Functions modified.
	(ediff-union, ediff-intersection, ediff-set-difference): New
 	functions.  Moved ediff-documentation to ediff.el.

	* ediff.el: Made all Ediff faces hidden from facemenu.

	* ediff-init.el (ediff-hide-face): New function.
	(ediff-collect-diffs-metajob): Fixed.
	(ediff-check-for-cl-seq): Function deleted
	(ediff-abbreviate-file-name): Now a defun.
	(ediff-has-face-support-p): New function.  Ediff now supports
	faces whenever possible.
	(ediff-force-faces): New variable.

	* ediff-diff.el (ediff-set-diff-overlays-in-one-buffer): Takes
 	advantage of advance-front/rear features of overlays.  Works
 	synchronously for DOS, Windows.

	* ediff-util.el (ediff-copy-diff,ediff-pop-diff,
 	ediff-make-bullet-proof-overlay): These now take advantage of
 	advance-front/rear features of overlays.

	* ediff.el (ediff-patch-file): Epatch now ignores VERSION_CONTROL
 	environment variable and prevents the use of the -V option in GNU
 	diff.
	(run-ediff-from-cvs-buffer): New function.  Moved all
 	version-control-related stuff to a new file, ediff-vers.el.

	* ediff-util.el (ediff-save-buffer-in-file): New function
	(ediff-visible-region): No longer narrows the merge buffer.
	(ediff-status-info): Now tells if we are focusing on regions where
 	both buffers differ from the ancestor.
	(ediff-jump-to-difference, ediff-get-diff-posn): Changed message.
	(ediff-compute-custom-diffs-maybe): Now works for merge jobs.

	* ediff-mult.el: Now uses ediff-check-for-cl-seq to make sure
 	cl-seq is loaded.
	(ediff-append-custom-diff): Finds custom diffs in more cases.
  	Ediff is no longer dependent on cl.el.  Added ediff-union to
 	smooth out the possible differences between common emacs
 	intersection/union and cl.el.

	* viper.el: Added face support for devices that have faces.
	(vip-forward-paragraph,vip-backward-paragraph): Now work
	corretly when they are used as motion specs in other commands.
	(vip-set-hooks): Added viper to tcl-mode-hook.

	* viper-util.el (vip-has-face-support-p,vip-abbreviate-file-name):
 	New functions.
	(vip-force-faces): New variable.

	* viper-keym.el: Added special binding (vip-handle-!) for `!' in
 	ex-read-filename-map.

	* viper-ex.el (vip-handle-!): New function.
	(vip-ex-read-file-name): Now handles SPC correctly in :r !cmd
	and :w !cmd.

Thu Feb 15 20:12:34 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* imenu.el (imenu--generic-function): Ignore text properties.

	* files.el (auto-mode-alist): Recognize GNUmakefile.
	Recognize .itcl and .itk suffixes.

	* ange-ftp.el (ange-ftp-default-user): Doc fix.

Thu Feb 15 19:57:50 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (info-insert-file-contents-1) [MSDOS]: Remove leading
	dot only from non-empty suffixes.

Thu Feb 15 19:36:27 1996  Christopher J. Madsen  <ac608@yfn.ysu.edu>

	* decipher.el: Doc changes.
	(decipher-char): Added defvar (and also for following variables).
	(decipher--prev-char): Renamed from decipher-prev-char.
	(decipher--digram): Renamed from digram.
	(decipher--digram-list): Renamed from digram-list.
	(decipher--before): Renamed from before-array.
	(decipher--after): Renamed from after-array.
	(decipher--freqs): Renamed from freq-array.

Thu Feb 15 19:11:30 1996  Francesco Potorti`  <pot@cnuce.cnr.it>

	* hanoi.el (hanoi): Compute height and width of the window in the
 	correct way, give the correct error message if the window is too
 	small.  Make rings only with numerical characters.  Set default
 	number of rings to 7 (was 3 before).

Thu Feb 15 15:51:56 1996  Erik Naggum  <erik@naggum.no>

	* gnus-kill.el (gnus-kill-file-kill-by-thread): Correct
	interactive declaration.

Thu Feb 15 10:12:58 1996  Ed Reingold  <reingold@mole.gnu.ai.mit.edu>

	* cal-coptic.el (ethiopic-calendar-epoch): Correct value.
	(ethiopic-calendar-month-name-array): Fix spelling.
	(coptic-calendar-month-name-array): Fix spelling.

Tue Feb 13 23:25:19 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* vc-hooks.el (vc-consult-rcs-headers): Ignore text properties.

	* startup.el (command-line-1): Don't explain recover-session if
	auto-save-list-file-prefix is nil.

Tue Feb 13 23:08:05 1996  Francesco Potorti`  <pot@cnuce.cnr.it>

	* hanoi.el (hanoi): Don't show line and column numbers.

Mon Feb 12 22:05:22 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* compile.el (compilation-parse-errors): Detect doubled slashes in
	file names matched and fix them up in the buffer.

Mon Feb 12 00:17:08 1996  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* mailalias.el (mail-names, mail-local-names, mail-directory-names)
	(mail-address-field-regexp, mail-complete-alist)
	(mail-complete-function, mail-directory-function)
	(mail-directory-requery, mail-directory-process, mail-directory-stream)
	(mail-directory-parser): New variables.
	(expand-mail-aliases): Use `mail-address-field-regexp'.
	(build-mail-aliases): Use space in buffer-name semantics.
	(define-mail-alias): Reset `mail-names' to t.
	(mail-complete): New command.
	(mail-get-names, mail-directory, mail-directory-process)
	(mail-directory-stream, mail-sentto-newsgroups): New functions.

Sun Feb 11 20:16:56 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (command-line): On windows NT, look for .emacs or _emacs.

Sun Feb 11 12:26:28 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* paren.el (show-paren-command-hook): Position show-paren-overlay-1
	properly when first creating it (just like when moving it).

Sat Feb 10 13:43:14 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-find-index-name): New subroutine, from Info-index-next.
	Match any type of definition, not just Function and Command.
	(Info-index-next): Use Info-find-index-name.
	(Info-find-node, Info-index, Info-index-next): Use `...' in err msgs.

	* doctor.el (doctor-mode): State that file has been censored.

Fri Feb  9 22:09:55 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* picture.el (picture-mode-map): Install picture-self-insert
	where completion has put its own self-insert commands.

	* cc-mode.el (c++-mode):
	Delete duplicate setq of imenu-generic-expression.

Fri Feb  9 18:18:15 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* f90.el (f90-indent-subprogram): Fix message.

Fri Feb  9 15:50:27 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gnus-ems.el: File censored.

Fri Feb  9 08:08:41 1996  Lars Magne Ingebrigtsen  <larsi@eistla.ifi.uio.no>

	* nntp.el (nntp-send-region-to-server): Use a temporary buffer to
	send text to the server.

	* ediff-init.el: Make sure `facemenu-unlisted-faces' is bound.

Fri Feb  9 01:36:14 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (info): Doc fix.

	* add-log.el (add-log-current-defun): In Lisp, if we don't find a
	real defun, return nil, not "".

	* term-nasty.el: Censored.

	* decipher.el: Load cl only when compiling.

Thu Feb  8 20:37:45 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-find-all-files): In a directory, ignore `.' and `..'.

Thu Feb  8 18:26:55 1996  Christopher J. Madsen  <ac608@yfn.ysu.edu>

	* decipher.el: New file.

Thu Feb  8 15:00:16 1996  Simon Leinen  <simon@lia.di.epfl.ch>

	* sgml-mode.el (html-tag-alist): Within the <ADDRESS> tag
 	generated with an <HTML> tag, use `user-mail-address'.

Thu Feb  8 13:23:16 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/pc-win.el (x-display-pixel-height, x-display-pixel-width):
	Make the returned value consistent with one-pixel-per-character.

Thu Feb  8 05:05:10 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* subr.el (get-buffer-window-list): New function.

	* font-lock.el (turn-on-font-lock): Turn on only if supported.
	(turn-on-font-lock-if-enabled): Don't test if supported here.
	Renamed from turn-on-font-lock-if-supported.

Wed Feb  7 23:12:19 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lisp-mnt.el: Change defconst into defvar.
	Many doc fixes.

Wed Feb  7 11:54:54 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* timer.el (run-at-time): Handle numbers as relative times in
	seconds, as the original code did.

Tue Feb  6 22:35:36 1996  Barry Warsaw  <bwarsaw@anthem (Barry Warsaw)>

	* cc-mode.el (c-common-init): Fix typo.

	* cc-mode.el (c++-mode-map, objc-mode-map, java-mode-map):
	In XEmacs, use set-keymap-parents if it is fboundp.

	* cc-mode.el (c-delete-backslash):
	Sync with old-c-mode.el.  Given by Ben Wing <wing@666.com>.

	* cc-mode.el (c-emacs-features):
	Determine which paragraph filling regexp suite to use based on the
	Emacs version number.

	(c-fill-paragraph): Use the paragraph filling regexp suite as
	determined in c-emacs-features.

	* cc-mode.el:
	imenu is required in Emacs 19, but doesn't exist in XEmacs

	* cc-mode.el (c-site-default-style): New variable.

	* cc-mode.el:
	(java-mode, java-syntax-table, java-mode-map, java-mode-abbrev-table):
	New in support of Java.

	* cc-mode.el (c-common-init): Make comment-multi-line a local variable.

	* cc-mode.el (c-set-style):
	Conditional up-casing of stylename for backwards compatibility.

	* cc-mode.el (c-backward-to-start-of-do):
	Eliminate infinite loop in perverse cases.

	* cc-mode.el (c-electric-lt-gt): New command.

	* cc-mode.el (c-mode-map):
	Only rebind M-q if fill-paragraph-function doesn't exist, as in
	pre-Emacs 19.30.

	(c-common-init): Set fill-paragraph-function if it exists.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 5B.3: ansi-funcdecl-cont could include legal C++ `throw'
	declaration.

	* cc-mode.el (c-offsets-alist): ansi-funcdecl-cont => +

	* cc-mode.el (c-beginning-of-statement-1):
	Restore old CASE 3 logic -- checking for at a c-conditional-key.

	(c-guess-basic-syntax): CASE 5A.2: watch out for enum function
	return types. CASE 15D: check for landing on a brace that opens a
	nested function.

Tue Feb  6 18:54:36 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (text-read-only): New error symbol.
	(kill-region): Use it when text has read-only text property.
	(yank-pop): Turn on inhibit-read-only.

Mon Feb  5 16:41:28 1996  Jari Aalto  <ssjaaa@uta.fi>

	* lisp-mnt.el (lm-header-prefix): New variable.
	(lm-comment-column): defvar moved.
	(lm-history-header, lm-commentary-header):  New variables.
	(lm-get-header-re, lm-get-package-name): New functions.
	(lm-code-mark):	defun --> defsubst.
	(lm-history-mark, lm-commentary-mark): New functions.
	(lm-header): Now accepts RCS ident style headers.
	(lm-summary): Now accepts unix `what' commands prefix @(#).
	(lm-crack-address, lm-authors, lm-maintainer, lm-insert-at-column):
	(lm-creation-date, lm-last-modified-date, lm-version):
	(lm-keywords, lm-adapted-by): Comments made into doc strings.
	(lm-commentary): Added more tolerant 'cond' case.
	Now uses functions lm-commentary-mark, lm-... to get points.
	(lm-verify): Made interactive. Added more check points in the last
	prog1 statement.
	(lm-synopsis): Made interactive.

Mon Feb  5 17:35:07 1996  Lars Magne Ingebrigtsen  <larsi@eistla.ifi.uio.no>

	* mail-extr.el (mail-extract-address-components): Accept strings
	that end with double trailing quote marks.

Sun Feb  4 16:11:00 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lisp-mnt.el (lm-insert-at-column): Renamed from insert-at-column.
	All callers changed.
	(lm-synopsis): Add interactive spec.

	* view.el (View-search-last-regexp-forward)
	(View-search-last-regexp-backward): Nice error if no prev regexp.

Sun Feb  4 15:33:40 1996  Lars Magne Ingebrigtsen  <larsi@eistla.ifi.uio.no>

	* gnus.el (gnus-update-read-articles): Remove duplicated article
	numbers on group exit.
	(gnus-request-accept-article): Make sure there's a newline at the
	end of the buffer.
	(gnus-adjust-marked-articles): Don't remove illegal ticked
	articles (for forwards compatability).

Sat Feb  3 14:51:36 1996  Lars Magne Ingebrigtsen  <larsi@aegir.ifi.uio.no>

	* gnus.el (gnus-gnus-to-newsrc-format): Turn off version-control
	before saving the .newsrc files.

	* gnus-msg.el (gnus-mail-reply-using-mail): Use the local keymap
	instead of `mail-mode-map'.

Sat Feb  3 08:38:42 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* shell.el (shell-mode): Set shell-dirstack-query for the ksh.
	(shell-resync-dirs): Set shell-last-dir for the ksh.

Fri Feb  2 22:07:54 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* view.el (view-mode-map): Don't call suppress-keymap.

	* ehelp.el (with-electric-help):
	Bind inhibit-read-only around the erase-buffer.
	(electric-help-form-to-execute): Renamed from to-be-executed.
	Add defvar for it.
	(electric-help-mode): Turn off view-mode.

Fri Feb  2 16:00:33 1996  Morten Welinder  <terra@diku.dk>

	* timer.el (run-with-timer): Set repetition interval.

	* time.el (display-time): Rewrite to use built-in timers.
	(display-time-event-handler): Renamed from display-time-filter;
 	now takes no parameters.
	(display-time-sentinel): Function deleted.
	(display-time-process): Variable deleted.
	(display-time-timer): New variable.

Fri Feb  2 13:46:11 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): .ksh suffix means sh-mode.
	(write-file): Interactively, prefix arg means don't confirm.

Fri Feb  2 05:38:08 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-keywords): Doc fix.
	(font-lock-defaults-alist): Use alists.
	(font-lock-set-defaults, font-lock-unset-defaults): Cope with alists.
	(font-lock-mark-block-function): New variable for block fontification.
	(font-lock-fontify-block): New function.  Use it here.
	(font-lock-fontify-window): Deleted.
	(font-lock-fontify-syntactically-region): Don't widen here.
	(font-lock-default-fontify-region): Do it here.
	(font-lock-default-fontify-buffer): Use font-lock-unfontify-buffer.

	* rmail.el (rmail-mode): Use alists for font-lock-defaults.
	(rmail-fontify-buffer-function): Flag the buffer as fontified.
	(rmail-unfontify-buffer-function): Remove all text properties.

Fri Feb  2 01:13:32 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-default-user): Doc fix.

	* edmacro.el (edmacro-original-buffer, edmacro-finish-hook)
	(edmacro-store-hook): Add defvars.

Thu Feb  1 02:21:33 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lisp-mode.el (lisp-mode-variables): Locally clear adaptive-fill-mode.

	* ange-ftp.el (ange-ftp-netrc-default-user): New variable.
	(ange-ftp-netrc-default-password):
	(ange-ftp-netrc-default-account):
	(ange-ftp-get-user): Use ange-ftp-netrc-default-user.
	(ange-ftp-get-passwd): Use ange-ftp-netrc-default-...
	(ange-ftp-get-account): Likewise.
	(ange-ftp-parse-netrc-group): Set ange-ftp-netrc-default-...
	(ange-ftp-write-region): executing-macro -> executing-kbd-macro.

	* compile.el (compilation-filter): Run compilation-filter-hook.

Wed Jan 31 16:01:53 1996  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* format.el (format-deannotate-region): Fixed bug that created
	double marking of multi-annotation text-properties (eg, bold-italic).

Wed Jan 31 15:06:50 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* timer.el (run-at-time): Support relative time specs again.
	(timer-duration): New function.
	(timer-duration-words): New variable.
	(timer-relative-time): New subroutine.
	(timer-inc-time): Use timer-relative-time.
	(timer-set-time, timer-set-time-with-usecs): Allow floating DELTA.

Wed Jan 31 08:54:52 1996 Caleb Deupree <cdeupree@cincom.com>

	* winnt.el (mode-line-format): Include column-number-mode.

Tue Jan 30 16:09:03 1996  David Kegedal  <davidk@lysator.liu.se>

	* sendmail.el (mail-setup): For mail-self-blind, use user-mail-address.

Mon Jan 29 18:44:50 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* timer.el (timer-create): Init slot 0 to t.

Mon Jan 29 18:21:15 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* ada-mode.el (ada-indent-region, ada-check-matching-start,
	ada-check-defun-name): Fix error format string.
	* allout.el (outline-process-exposed): Likewise.
	* bookmark.el (bookmark-load): Likewise.
	* cpp.el (cpp-parse-error): Likewise.
	* ediff-init.el (ediff-event-point, ediff-event-buffer):
	Likewise.
	* etags.el (visit-tags-table-buffer, tags-loop-scan,
	complete-tag): Likewise.
	* forms.el (forms--process-format-list): Likewise.
	* gnus-ems.el (gnus-summary-insert-pseudos-xemacs): Likewise.
	* hexl.el (hexl-hex-char-to-integer, hexl-oct-char-to-integer):
	Likewise.
	* info.el (Info-extract-pointer): Likewise.
	* mh-seq.el (mh-read-seq): Likewise.
	* mh-utils.el (mh-handle-process-error): Likewise.
	* msb.el (msb--choose-menu): Likewise.
	* nntp.el (nntp-send-strings-to-server, nntp-async-send-strings):
	Likewise.
	* reporter.el (reporter-dump-variable): Likewise.
	* tq.el (tq-process-buffer): Likewise.
	* vip.el (vip-execute-ex-command, ex-write): Likewise.
	* viper-ex.el (vip-ex, ex-expand-filsyms, vip-execute-ex-command):
	Likewise.
	* viper-macs.el (vip-register-macro): Likewise.
	* viper.el (vip-brac-function): Likewise.

Mon Jan 29 00:29:16 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-shell-variables-initialized): New variable.
	(sh-mode): Make sh-shell-variables and
 	sh-shell-variables-initialized local.
	(sh-set-shell): Don't scan the buffer for variable assignments.
	Set sh-shell-variables-initialized to nil.
	(sh-shell-initialize-variables): New function.
	(sh-add-completer): New function.  Initialize sh-shell-variables
	here if not yet done.
	(sh-add): Use sh-add-completer for completion.

	* timer.el (timer-event-handler): Timer event is now a list,
	not just a cons.

	* faces.el (face-color-gray-p): Return nil if x-color-values does.

	* timer.el (with-timeout): New macro.
	(with-timeout-handler): New function.
	(y-or-n-p-with-timeout): New function.
	(add-timeout, timeout-event-p): New functions.
	(run-with-timer): Renamed from run-after-delay.
	(run-at-time, run-with-timer): Return the timer.

Sun Jan 28 20:55:10 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* timer.el (run-after-delay): Add autoload cookie.
	Delete USECS arg.  Let REPEAT be a float.

	* timer.el (timer-inc-time): New function.
	(run-at-time): Use that.
	(run-after-delay): New function.

	* timer.el: Add a usecs slot to each timer.
	Almost all functions changed.

Sun Jan 28 17:31:11 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* cmacexp.el (c-macro-preprocessor): Define a preprocessor name
	which is valid on MS-DOS.
	(c-macro-expansion): Do not rely on ``/tmp/'' being present; use
	environment variables as alternatives (MSDOS).  Use
	`shell-file-name' rather than ``sh''.  Redirect `stderr' with
	`call-process-region' option, not from the shell.  Handle shells
	which don't return exit code from `cpp' (MSDOS).  Put messages
	from `cpp' inside a comment, to avoid messing up syntax
	highlighting.

Sun Jan 28 16:47:55 1996  Morten Welinder  <terra@diku.dk>

	* timer.el: Complete rewrite to use built-in timer feature.

Sun Jan 28 14:26:49 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (list-directory): Set default-directory better if the
	argument is a directory's file name.

Sun Jan 28 02:11:02 1996  Erik Naggum  <erik@naggum.no>

	* apropos.el (apropos-print): Fix previous change.

Sat Jan 27 17:44:39 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* edmacro.el (edit-kbd-macro): Reject empty cmd name.

	* macros.el (name-last-kbd-macro): Reject empty cmd name.

	* apropos.el (apropos-print): Omit key sequences that contain a frame.

Fri Jan 26 18:56:59 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ispell.el (ispell-help): Use set-minibuffer-window.

	* dired.el (dired-get-filename): When quoting " chars,
	handle all of them, including one at start of file name.

	* startup.el (command-line-normalize-file-name): New function.
	(command-line-1): Call it to handle foo//bar in non-Emacs fashion.

	* server.el (server-process-filter):
	In file name, collapse multiple slashes to one.

Fri Jan 26 18:26:28 1996  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper.el, viper-macs.el, viper-util.el, viper-mous.el:
	Moved functions around to minimize compiler warnings.

Fri Jan 26 14:36:19 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (tex-face-alist, tex-latex-face-alist): New variables.
	(tex-common-initialization): Set facemenu-add-face-function,
	facemenu-end-add-face, facemenu-remove-face-function.

	* vc.el (vc-diff): Make NOT-URGENT default to t.

Fri Jan 26 03:19:39 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-after-unfontify-buffer): New function.
	(font-lock-default-unfontify-buffer): Use it.
	(font-lock-fontify-buffer-function):
	(font-lock-unfontify-buffer-function):
	(font-lock-fontify-region-function):
	(font-lock-unfontify-region-function):
	(font-lock-inhibit-thing-lock): New variables for Local Fontification.
	(font-lock-set-defaults): Set them here.
	(font-lock-fontify-buffer, font-lock-unfontify-buffer):
	(font-lock-fontify-region, font-lock-unfontify-region): Use them.
	(font-lock-default-fontify-buffer):
	(font-lock-default-unfontify-buffer):
	(font-lock-default-fontify-region):
	(font-lock-default-unfontify-region): Renamed as `default' functions.

	* fast-lock.el: New version 3.09 from author.
	(fast-lock-save-cache): Cope if fast-lock-minimum-size is a list.
	(fast-lock-minimum-size): Doc fix.
	(fast-lock-mode): Respect the value of font-lock-inhibit-thing-lock.
	(fast-lock-after-unfontify-buffer): New function.

	* rmail.el (rmail-mode): Setup font-lock-defaults local fontification.
	(rmail-fontify-buffer-function):
	(rmail-unfontify-buffer-function):
	(rmail-fontify-message): New functions.

Fri Jan 26 10:23:48 1996  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* make-mode.el (makefile-font-lock-keywords): Improve highlighting
	of variable references inside other highlighted regions.

Thu Jan 25 18:52:26 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* sendmail.el (mail-yank-original): Doc fix.

Thu Jan 25 15:14:19 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-start-mail): Set mail-dedicated-frame frame param.

	* sendmail.el (mail-bury): Check mail-dedicated-frame frame param.

	* browse-url.el (browse-url-netscape):
	Check for call-process returning a string.

Thu Jan 25 12:35:39 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* dos-fns.el (mode25): Moved from `src/dosfns.c' for backward
	compatibility.
	(mode4350): Moved from `src/dosfns.c' for backward compatibility.

Thu Jan 25 05:44:47 1996  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-unfontify-buffer): New function.
	(font-lock-unset-defaults): New function.
	(font-lock-mode): Use them.  Doc fix.
	Don't make font-lock-fontified buffer local here.
	(font-lock-set-defaults): Do it here.
	(font-lock-compile-keyword): New function.  Recognise `eval' keywords.
	(font-lock-compile-keywords): Use it.
	(global-font-lock-mode): New command for Global Font Lock mode.
	(font-lock-global-modes): New variable.
	(font-lock-change-major-mode, turn-on-font-lock-if-supported): New
	functions.

	* perl-mode.el (perl-font-lock-keywords-1, perl-font-lock-keywords-2):
	New variables.
	(perl-mode): Use them.

	* texinfo.el (texinfo-font-lock-keywords): Tweaked command regexp.

	* sendmail.el (mail-font-lock-keywords): Use `eval' keyword.

	* rmailsum.el (rmail-summary-mode): Use make-local-hook for
	post-command-hook.
	(rmail-summary-disable, rmail-summary-enable): Respect hook localness.

Thu Jan 25 01:22:52 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gnus.el (read-news): Define as alias for gnus.

	* rmail.el (rmail-start-mail): Set unsplittable frame parameter
	and make the window dedicated.

Thu Jan 24 23:59:21 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* saveplace.el (toggle-save-place): Fix message text.
	* forms.el (forms-mode, forms-toggle-read-only): Fix message text.
	(forms-search-forward, forms-search-backward): Likewise.
	* info.el (Info-goto-emacs-command-node): Fix error text.
	* bookmark.el (bookmark-alist-from-buffer): Fix error text.
	(bookmark-maybe-upgrade-file-format, bookmark-set): Likewise.
	(bookmark-send-annotation, bookmark-send-edited-annotation): Likewise.
	(bookmark-load): Delete redundant format call.

Wed Jan 24 19:43:04 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* cookie1.el (cookie-snarf): Pass proper format string to message.
	* diary-lib.el (simple-diary-display, fancy-diary-display):
	Likewise.
	* dired.el (dired-internal-noselect): Likewise.
	* ebuff-menu.el (Electric-buffer-menu-undefined): Likewise.
	* edebug.el (edebug-next-breakpoint): Likewise.
	* edt.el (edt-display-the-time): Likewise.
	* ehelp.el (electric-help-command-loop): Likewise.
	* f90.el (f90-indent-subprogram, f90-match-end): Likewise.
	* facemenu.el (list-text-properties-at): Likewise.
	* finder.el (finder-summary): Likewise.
	* flow-ctrl.el (enable-flow-control): Likewise.
	* forms.el (forms--help, forms-search-forward,
	forms-search-backward): Likewise.
	* help-macro.el (make-help-screen): Likewise.
	* hippie-exp.el (hippie-expand): Likewise.
	* holidays.el (calendar-cursor-holidays): Likewise.
	* info.el (Info-edit, Info-goto-emacs-command-node): Likewise.
	* ispell.el (ispell-command-loop, ispell-region): Likewise.
	* ispell4.el (start-ispell, ispell-next): Likewise.
	* lisp-mnt.el (lm-report-bug): Likewise.
	* macros.el (kbd-macro-query): Likewise.
	* medit.el (medit-save-define): Likewise.
	* nnmail.el (nnmail-move-inbox): Likewise.
	* picture.el (picture-mode): Likewise.
	* rmail.el (rmail-insert-inbox-text): Likewise.
	* rmailedit.el (rmail-edit-current-message): Likewise.
	* server.el (server-process-filter): Likewise.
	* sgml-mode.el (sgml-tag-help): Likewise.
	* shadow.el (list-load-path-shadows): Likewise.
	* shadowfile.el (shadow-shadows, shadow-add-to-todo): Likewise.
	* shell.el (shell-dirstack-message): Likewise.
	* simula.el (simula-electric-keyword): Likewise.
	* solar.el (sunrise-sunset): Likewise.
	* term.el (term-read-noecho): Likewise.
	* terminal.el (te-edit): Likewise.
	* type-break.el (type-break-demo-life): Likewise.
	* view.el (view-mode-enter, View-scroll-lines-forward): Likewise.
	* viper-ex.el (ex-pwd, vip-info-on-file): Likewise.
	* viper-macs.el (ex-map-read-args, ex-unmap-read-args,
	vip-record-kbd-macro): Likewise.
	* viper-util.el (vip-save-setting): Likewise.

	* ada-mode.el (ada-adjust-case-region, ada-indent-region): Delete
 	format call inside message.
	* array.el (array-what-position): Likewise.
	* bookmark.el (bookmark-write-file, bookmark-load): Likewise.
	* bytecomp.el (byte-compile-log-1): Likewise.
	* edt.el (edt-y-or-n-p): Likewise.
	* enriched.el (enriched-next-annotation): Likewise.
	* ispell4.el (ispell-point): Likewise.
	* mh-e.el (mh-get-new-mail): Likewise.
	* saveplace.el (toggle-save-place, save-place-alist-to-file,
	load-save-place-alist-from-file): Likewise.
	* shadow.el (list-load-path-shadows): Likewise.
	* shadowfile.el (shadow-cancel, shadow-copy-file): Likewise.
	* subr.el (read-quoted-char): Likewise.
	* tpu-edt.el (tpu-y-or-n-p): Likewise.
	* vip.el (vip-replace-string, vip-search-forward,
	vip-search-backward): Likewise.
	* viper-ex.el (ex-set): Likewise.

Wed Jan 24 17:01:42 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* startup.el (command-line-1): Update copyright in startup banner.

Wed Jan 24 17:00:05 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* tmm.el (tmm-prompt): Set last-command-event before calling the
	selected function.

Wed Jan 24 14:00:31 1996  Erik Naggum  <erik@naggum.no>

	* emacsbug.el (report-emacs-bug): Insert newlines only in the
 	inserted key descriptions.

	* viper.el (vip-ask-level): Prefix \ to ( at start of line.

	* term.el (term-exec-hook): Doc fix.

	* solitaire.el (solitaire): Doc fix.

	* solar.el (solar-moment, solar-ephemeris-time,
 	solar-equatorial-coordinates, solar-horizontal-coordinates): Doc
 	fixes.

	* lunar.el (lunar-new-moon-on-or-after): Doc fix.

	* dabbrev.el (dabbrev-abbrev-skip-leading-regexp): Doc fix.

Wed Jan 24 10:52:34 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* make-mode.el (makefile-browser-toggle): Use delete-region,
	not kill-line.

Wed Jan 24 12:34:06 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* f90.el (f90-face-*): Reinstalled code deleted on Sep 22.
	(f90-hilit-patterns): New variable.
	(f90-mode): Call hilit-set-mode-patterns if defined.
	(f90-auto-hilit19): New variable.
	(f90-fill-region): Bind f90-auto-hilit19 to nil.
	(f90-update-line): Rehilight if appropriate.

Wed Jan 24 01:01:14 1996  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* sgml-mode.el (sgml-quick-keys): New variable.
	(sgml-mode-map): Use it, defined additional long keys to compensate.
	(sgml-tag-alist): Added <![ ]>
	(sgml-tag): Special treatment for previous construct.
	(sgml-auto-attributes): Deleted variable covered by sgml-quick-keys,
	changed function of same name.
	(sgml-delete-tag): Newline also counts as whitespace before tag.
	(html-quick-keys): Use sgml-quick-keys as default, thus changed to nil.
	(html-mode-map): Added C-c C-c char combinations for when
 	html-quick-keys is nil.
	(html-tag-alist): Added /cgi-bin/ to href completions, submit (spelling
	fixed) button to form.
	(html-checkboxes): New skeleton.

Wed Jan 24 10:44:43 1996  Ed Reingold  <reingold@mole.gnu.ai.mit.edu>

	* cal-x.el: Fix doc strings at top of file.

	* cal-tex.el (cal-tex-preamble): Add \hfuzz=1000pt to get rid of
	overfull box messages.

	* solar.el (calendar-latitude, calendar-longitude,
 	calendar-location-name, solar-sunrise-and-sunset): Fix doc strings.
	(solar-exact-local-noon, solar-sunrise-sunset): Refer to
 	(calendar-longitude) and (calendar-latitude) instead of
 	calendar-longitude and

Wed Jan 24 00:40:09 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* iso02-acc.el: File deleted.

	* font-lock.el (turn-on-font-lock): Test window-system.

Tue Jan 23 16:01:57 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* lisp-mode.el (lisp-fill-paragraph): Use fill-paragraph once again
	for filling a comment.

	* paragraphs.el (forward-paragraph): Comment change.

Tue Jan 23 14:22:35 1996  Ralf Fassel  <ralf@natlab.research.philips.com>

	* iso-acc.el (iso-languages): Restructure the list to remove
	redundancy in list elements.
	(iso-accents-compose-key): Function deleted.
	(iso-accents-compose, iso-accents-customize, iso-accentuate,
	iso-accent-rassoc-unit, iso-unaccentuate, iso-deaccentuate): Adapt
	for new structure of `iso-languages'.

Tue Jan 23 12:50:00 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* compile.el (compilation-handle-exit): Undo previous change.
	Don't reference `proc' object.
	Pass current buffer to `compilation-finish-function'.

Mon Jan 22 20:15:41 1996  Paul Eggert  <eggert@twinsun.com>

	* version.el (emacs-build-time): Record (current-time),
	not (current-time-string).
	(emacs-version): Use new form of emacs-build-time.
	This lessens confusion when the dumped Emacs starts up in a
	different time zone.

Sun Jan 21 16:54:08 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* iso-acc.el (iso-accents-customize): Extract accent chars
	properly from iso-accents-list.

	* rmailsum.el (rmail-summary-goto-msg):
	Pass along args NOWARN and SKIP-RMAIL in recursive call.

Sun Jan 21 15:20:51 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* autoload.el (update-file-autoloads): Only give "up to date" msg
	if (interactive-p).
	(update-autoloads-from-directory): Call expand-file-name on arg.

Sat Jan 20 20:42:06 1996  Paul Eggert  <eggert@twinsun.com>

	* vc-hooks.el (vc-utc-string): Remove; it wasn't reliable near DST
	or leap-second transitions.
	(vc-find-cvs-master): Convert UTC string to encoded time and compare
	the results to the file attributes, rather than attempting to convert
	file attributes to UTC string (which wasn't reliable).

Sat Jan 20 07:03:29 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* isearch.el (isearch-other-meta-char): Avoid error if lookup in
	function-key-map gives another keymap.

	* vc.el (vc-backend-checkout): Use let to restore default-directory.
	(vc-next-action-dired): Likewise.

	* msb.el (msb--toggle-menu-type): Call menu-bar-update-buffers
	with no argument.

	* iso02-acc.el: File deleted.
	* iso-acc.el (iso-languages): Rename "default" to "latin-1".
	Add a new element "latin-2" copied from iso02-acc.el.

	* type-break.el: Move defsubsts before defuns.

Sat Jan 20 02:41:05 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* compile.el (compilation-handle-exit): If process-status doesn't
	exist (e.g. on MSDOS), use an empty string.

	* rmailsort.el: Add (require 'rmail).

Sat Jan 20 01:41:56 1996  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper.el (vip-auto-indent,vip-electric-mode): Are now local
	variables.
	(vip-open-line,vip-Open-line,vip-autoindent): Are now electrified
 	functions.
	(vip-set-hooks): Viperized awk, ksh, makefile, and html-helper modes.
	(vip-custom-file-name): Adapted to non-Unix systems.
	(vip-move-minibuffer-overlay): Removed.
	(vip-read-string-with-history): Now accepts correct defaults when
 	called to read a shell command.

Fri Jan 19 17:49:51 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Recognize ".exp" suffix.

Fri Jan 19 17:42:44 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* tpu-edt.el (tpu-load-xkeys): Use `convert-standard-filename' to
	set the name of the key mapping file.
	* tpu-mapper.el: Likewise.

Fri Jan 19 12:22:10 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* menu-bar.el (menu-bar-search-menu): Clean up key symbols.
	(menu-bar-tools-menu): Rename vc-menu key symbol to just vc.

	* unrmail.el (unrmail): Default the directory of TO-FILE based on FILE.

	* pc-select.el (pc-selection-mode): Don't mess with c-mode-map.

	* tar-mode.el (tar-summarize-buffer): Fix "done" message.
	(tar-summarize-buffer):
	Insert summary lines in same order as tar-parse-info.

	* files.el (find-file-noselect): Fix error message style.

	* lisp-mode.el (emacs-lisp-mode-map): Avoid duplicate in menu bindings.

Fri Jan 19 06:23:49 1996  Erik Naggum  <erik@naggum.no>

	* pp.el (pp-eval-expression): Use `frame-width' instead of
 	`screen-width'.

Thu Jan 18 19:09:54 1996  Erik Naggum  <erik@naggum.no>

	* sh-script.el (sh-mode): Add autoload cookie.

Thu Jan 18 14:38:59 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* rmailsum.el (rmail-make-basic-summary-line): Include msg line number.

	* uniquify.el: Several doc fixes.

Thu Jan 18 02:00:28 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-buffer-menu): Delete debugging code.

Wed Jan 17 17:24:03 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ls-lisp.el (ls-lisp-support-shell-wildcards): Add autoload cookie.

	* cc-mode.el: Load imenu when compiling.

	* dos-fns.el (convert-standard-filename): Preserve ~ as last char.

	* make-mode.el (makefile-mode): Fix criterion for calling
	makefile-define-space-face.

	* goto-addr.el (goto-address-at-point, goto-address-at-mouse):
	Add autoload cookies.

Wed Jan 17 20:24:59 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* dos-fns.el (convert-standard-filename): Don't do anything if the
	argument is empty, or isn't a string; leave alone characters with
	ASCII codes above 127 and special characters legal in DOS filenames.

Wed Jan 17 14:12:06 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Use "\\`" instead of "^".

Wed Jan 17 11:19:20 1996  Michael Staats <michael@thp.Uni-Duisburg.DE>

	* pc-select.el: Add some keybindings.
 	(next-line-mark, next-line-nomark): Set this-command.
	(previous-line-mark, previous-line-nomark): Likewise.
	(end-of-line-mark, end-of-line-nomark): Likewise.

Tue Jan 16 20:27:48 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-indent-line): Cope if no previous noncomment line.

Tue Jan 16 23:33:21 1996  Lars Magne Ingebrigtsen  <larsi@narfi.ifi.uio.no>

	* nntp.el (nntp-accept-response): Add a timeout parameter to
	`accept-process-output'.

	* nnkiboze.el (nnkiboze-close-group): Should only be run from
	summary buffers.

	* gnus.el (gnus-group-make-help-group): Check whether
	`installation-directory' is nil before using it.

Tue Jan 16 19:08:06 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sh-script.el (sh-shell-variables): New variable.
	(sh-set-shell, sh-remember-variable):
	Set sh-shell-variable, not process-environment.
	(sh-mode): Don't make process-environment local.
	Add a mode-class property.
	(sh-add): Use sh-shell-variable in completion.
	Compute alist properly from process-environment.

Tue Jan 16 12:05:04 1996  Stefan Schoef  <schoef@OFFIS.Uni-Oldenburg.DE>

	* bibtex.el (bibtex-font-lock-keywords, bibtex-mode):
	Use word-syntax in patterns.

	* bibtex.el (bibtex-font-lock-keywords): Allow a more relaxed format
	of the buffer and use more appropriate faces.

Tue Jan 16 08:13:55 1996  Erik Naggum  <erik@naggum.no>

	* autoload.el (update-file-autoloads): Fix message.

Mon Jan 15 17:30:57 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dos-fns.el (ps-lpr-switches, ps-lpr-command): Just setq them;
	duplicate defvar is a bad idea.

	* cc-mode.el (c-common-init): Make comment-multi-line buffer-local.

Mon Jan 15 18:08:07 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* dos-fns.el (dos-printer): New variable, the local printer device.
	(dos-print-region-function): New function, used for
	`print-region-function'.
	(dos-ps-printer): New variable; if a string, it's the name of the
	local printer device.
	(ps-lpr-command, ps-lpr-switches): Set them properly for Ghostscript.
	(lpr-headers-switches): Set to non-nil, to disable page headers'
	support under MS-DOS.

	* lpr.el (print-region): Make pipes use binary mode if file is binary.

	* ps-print.el (ps-do-despool): On MS-DOS, allow both the usual and
	the alternative printing methods.

Mon Jan 15 00:48:56 1996  Erik Naggum  <erik@naggum.no>

	* autoinsert.el (auto-insert-alist): Use FSF's new address.

Sun Jan 14 14:38:33 1996  Morten Welinder  <terra@diku.dk>

	* desktop.el (desktop-read): Do nothing in batch mode.
	Clear desktop-delay-hook after use.  Simplify.

	* tar-mode.el (tar-summarize-buffer): Speed-up for large files.

Sun Jan 14 01:10:15 1996  Erik Naggum  <erik@naggum.no>

	* all files: Update FSF's address in, and unify formatting of,
 	comment preambles.

Sat Jan 13 00:43:52 1996  Erik Naggum  <erik@naggum.no>

	* files.el (auto-mode-alist): Add sgml-mode and html-mode.

Fri Jan 12 18:22:05 1996  Erik Naggum  <erik@naggum.no>

	* sgml-mode.el: Remove redundant auto-mode-alist hacking.
	Removed auto-mode-alist hacking for html-mode to files.el.

	* cc-mode.el (c-add-style): Fix typo.

Fri Jan 12 16:14:25 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* page.el (forward-page): Simplify how we avoid getting stuck
	when moving backwards.

Fri Jan 12 02:36:47 1996  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* sgml-mode.el: Also load for .sgm and .dtd files.
	(sgml-specials, sgml-name-8bit-mode, sgml-char-names)
	(sgml-font-lock-keywords, sgml-face-tag-alist, sgml-tag-face-alist)
	(sgml-display-text, sgml-tag-alist, sgml-tag-help)
	(sgml-auto-attributes): New variables.
	(sgml-mode-common): New function.
	(sgml-mode): Most code moved to it.
	(sgml-name-char, sgml-name-self, sgml-maybe-name-self)
	(sgml-name-8bit-mode, sgml-tag, sgml-attributes, sgml-auto-attributes)
	(sgml-tag-help, sgml-maybe-end-tag, sgml-skip-tag-backward)
	(sgml-skip-tag-forward, sgml-tags-invisible): New commands.
	(sgml-beginning-of-tag, sgml-value): New functions.

	(html-*): All these functions and variables are new.
	Mostly they parametrize everything preceding.

	* autoinsert.el (auto-insert-alist): For html-mode, use `sgml-tag'.

	* facemenu.el (facemenu-add-face): Adding default to no region
	once again sets it for following typed in text.

Fri Jan 12 00:15:10 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* hideshow.el: Many doc fixes.
 	(hs-hide-hook): Renamed from hs-hide-hooks.
	(hs-show-hook): Renamed from hs-show-hooks.

Thu Jan 11 23:50:44 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (write-contents-hooks): Doc fix.

Thu Jan 11 20:49:54 1996  Erik Naggum  <erik@naggum.no>

	* apropos.el (apropos-print): Fix previous change to mouse message.

Thu Jan 11 11:34:16 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired.el (dired-ls-F-marks-symlinks): Doc fix.

Wed Jan 10 10:55:20 1996  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc.el (vc-cancel-version): Use search-forward to scan error
	message. Added comments.

	* vc-hooks.el (vc-follow-symlinks): New variable.
	(vc-find-file-hook): Use it.

Wed Jan 10 17:04:08 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* sh-script.el (sh-mode): Don't move point.
	(sh-set-shell): New args NO-QUERY-FLAG and INSERT-FLAG.
	Pass them to executable-set-magic.
	Really set font-lock-syntax-table.  Slight cleanups.

	* cc-mode.el (c-add-style): Downcase STYLE before use.

Wed Jan 10 10:03:53 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* diff.el (diff): Fix local compilation-exit-message-function to
 	take the proper arguments; remove gratuitous use of if around
 	cond; return useful mode line messages for normal completion.

Tue Jan  9 19:14:56 1996  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* imenu.el (imenu--create-keymap-2): Delete debugging line.

	* ange-ftp.el (ange-ftp-name-format): Don't match "/:" or "/.:".

Mon Jan  8 17:46:13 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* man.el (Man-filter-list): Recognize "Rev" footers.

Mon Jan  8 17:41:16 1996  Michael Ernst  <mernst@asia.cs.rice.edu>

	* uniquify.el (uniquify-rationalize-file-buffer-names): If
	newbuffile is nil, don't call expand-file-name on it.

Mon Jan  8 17:23:39 1996  Dave Love  <d.love@dl.ac.uk>

	* vc.el (vc-update-change-log): Use add-log-full-name and
	add-log-mailing-address if they are defined.

Mon Jan  8 10:36:02 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* edt.el (edt-emulation-on): system-type is a symbol.

	* apropos.el (apropos-print): Fix message about mouse command.

	* tmm.el (tmm-menubar-mouse): Add autoload cookie.

	* make-mode.el (makefile-space-face): Don't work on
	facemenu-unlisted-faces if it isn't bound.

	* iso-acc.el (iso-accents-accent-key): Check iso-accents-enable here.
	(iso-accents-customize): Define all possible accent keys with
	translations, not just the enabled ones.
	Don't bind iso-accents-enable around the initial call to this function.
	(iso-accents-enable): Make the default once again include all prefixes.

	* term/x-win.el (x-cut-buffer-or-selection-value): Don't print messages
	about failure to get selection or cut buffer.

	* ediff-hook.el: Delete spaces before `...' in menu strings.

	* emerge.el (menu-bar-emerge-menu): Delete spaces before `...'.

Sun Jan  7 08:41:01 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* executable.el (executable-find): Renamed from `executable'.
	(executable-set-magic): Use new name `executable'.  Fix messages.
	Add save-excursion.  Don't test this-command--use interactive
	to get the information.  Simplify considerably.

	* winnt.el (using-unix-filesystems):
	Don't do anything to write-contents-hooks.

	* mh-utils.el (mh-display-msg): Use kill-local-variable
	to clear out write-contents-hooks.

	* files.el (write-contents-hooks): Call make-variable-buffer-local.
	Doc fix.
	(local-write-file-hooks, write-file-hooks): Doc fixes.

	* lisp-mode.el (emacs-lisp-byte-compile): Fix error message.
	(emacs-lisp-compile-and-load): New function.
	(emacs-lisp-mode-map): Add emacs-lisp-compile-and-load to menu bar.

	* imenu.el (imenu--create-keymap-2): Fix bug in constructing
	the lambda expression.  Use backquote.  Don't use incf.

	* sh-script.el (sh-alias-alist): Don't map sh to bash.
	(sh-canonicalize-shell): New function.
	(sh-shell-file): Renamed from sh-shell-path.
	(sh-set-shell): Don't set local-abbrev-table.
	(sh-abbrevs): Variable and function definition commented out.

	* diff.el (diff): Set compilation-exit-message-function.

Sat Jan  6 08:11:49 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* dos-fns.el (convert-standard-filename): Make sure firstdot
	is not nil.

	* easymenu.el (easy-menu-define): Doc fix.

Sat Jan  6 16:20:55 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist, grep-regexp-alist
	compilation-mode-font-lock-keywords): Allow leading "[a-zA-Z]:" in file
	name regexps, for DOS drive letters.

Mon Nov  6 18:01:01 1995  Dave Love  <d.love@dl.ac.uk>

	* compile.el (compilation-error-regexp-alist): Add MIPS lint
	regexps.

Sat Jan  6 13:38:53 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist): Broaden GNAT regexp
	to match column numbers.

	* compile.el (compilation-handle-exit): New function, broken out
	of compilation-sentinel.
	(compilation-sentinel, compile-internal): Use it.
	(compilation-exit-message-function): Doc fix for protocol change: take
	process status and exit-code args instead of process object.
	(grep): Use new protocol for compilation-exit-message-function.

	* autoload.el (update-file-autoloads): Fix placement of new
	sections.

	* autoload.el (update-file-autoloads): Notice when searching found
	nothing at all.
	(update-autoloads-from-directory): New function.
	(batch-update-autoloads): Use it.
	(update-directory-autoloads, update-autoloads-here): Functions removed.

Fri Jan  5 20:02:55 1996  Stephen Gildea  <gildea@x.org>

	* time-stamp.el (time-stamp-line-limit): negative value counts
	from end of file.

Fri Jan  5 19:24:21 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* fill.el (fill-region-as-paragraph): Check again for reaching
	the end of the paragraph, after we adjust for places we can't break
	and make sure to keep at least one word.

	* dired.el (dired-standard-move-to-filename-regexp): New variable.
	(dired-insert-directory): Don't alter environment if would use the
	C locale anyway, or if dired-move-to-filename-regexp has been
	changed from the default value.
	When changing the environment, avoid need for setenv.

Fri Jan  5 16:29:38 1996  Karl Eichwalder  <ke@ke.Central.DE>
	                  and Karl Fogel <kfogel@floss.red-bean.com>

	* bookmark.el: "cyclic.com" addresses changed to "red-bean.com".
	(bookmark-bmenu-mode-map): Don't bind C-k.
	(bookmark-bmenu-mode): Better key description.
	(bookmark-bmenu-execute-deletions): Display message while working.
	(bookmark-version): Upped to 2.6.20.
	(bookmark-load): Fixed "done" message, duh.

Fri Jan  5 02:13:37 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-retry-failure): Bind inhibit-read-only.

	* mail-extr.el (mail-extr-nuke-outside-range): Fix error message.
	(mail-extract-address-components, what-domain): Fix error messages.

Thu Jan  4 21:08:04 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (interpreter-mode-alist): Add most shells, with sh-mode.
	Add tail, more, less, pg with text-mode.
	(auto-mode-alist): Recognize extensions that indicate
	shell scripts, as well as common init file names.
	* executable.el (interpreter-mode-alist): Don't alter this here.
	* sh-script.el (interpreter-mode-alist, auto-mode-alist):
	Don't alter this here.

	* autoload.el (batch-update-autoloads): Use error-message-string.

Thu Jan  4 18:54:22 1996  Paul Eggert  <eggert@twinsun.com>

	Spelling corrections.

	* ediff-wind.el (ediff-mouse-pixel-threshold): Renamed from
	ediff-mouse-pixel-threshhold.
	* gnus.el (gnus-cache-removable-articles): Renamed from
	gnus-cache-removeable-articles.
	(gnus-newsgroup-savable-name): Renamed from
	gnus-newsgroup-saveable-name.
	(gnus-bugaboo): Renamed from gnus-boogaboo.
	* sendmail.el (sendmail-sync-aliases): Renamed from
	sendmail-synch-aliases.
	* type-break.el (type-break-guesstimate-keystroke-threshold):
	Renamed from type-break-guestimate-keystroke-threshold.
	* vi.el (vi-backward-windowful): Renamed from vi-backward-windowfull.
	(vi-forward-windowful): Renamed from vi-forward-windowfull.

	* cc-mode.el (c++-c-mode-syntax-table): Fix misspelling in
	initialization.
	* tex-mode.el (slitex-mode): Fix misspelling in value.

	* dunnet.el (dun-cd): Fix local var misspelling.
	* ediff-diff.el (ediff-exec-process): Likewise.
	* terminal.el (te-process-output): Likewise.

	* custom.el (custom-default-validate): Fix message spelling.
	* debug.el (debug): Likewise.
	* doctor.el (make-doctor-variables, doctor-othermodifierp,
	doctor-strangelove): Likewise.
	* dunnet.el (dun-sauna-heat, dun-login): Likewise.
	* gnus.el (gnus-summary-save-article): Likewise.
	* hideshow.el (hs-hide-block): Likewise.
	* hilit19.el (hilit-submit-feedback): Likewise.
	* mail-extr.el (mail-extr-nuke-outside-range,
	mail-extr-all-top-level-domains): Likewise.
	* simple.el (shell-command): Likewise.
	* term.el (term-process-pager): Likewise.
	* term/sun-mouse.el (describe-mouse-briefly): Likewise.

	* ada-mode.el (ada-case-keyword, ada-auto-case, ada-krunch-args,
	ada-call-pretty-printer): Doc fix.
	* allout.el (outline-primary-bullet, outline-numbered-bullet,
	outline-override-protect, outline-explicitly-deactivated,
	outline-init, outline-chart-subtree, outline-chart-spec,
	outline-make-topic-prefix, outline-open-topic,
	outline-reindent-body, outline-yank-processing, outline-yank,
	outlineify-sticky): Doc fix.
	* apropos.el (apropos-files-scanned): Doc fix.
	* arc-mode.el (archive-summarize-files): Doc fix.
	* bib-mode.el (capitalize-title-stop-words): Doc fix.
	* bibtex.el (bibtex-generate-autokey, bibtex-find-entry-location):
	Doc fix.
	* bookmark.el (bookmark-save-flag, bookmark-read-annotation-text-func,
	bookmark-rename, bookmark-bmenu-mode, bookmark-menu-rename): Doc fix.
	* cc-mode.el (c-file-offsets, c++-mode, c-mode, objc-mode,
	c-postprocess-file-styles): Doc fix.
	* cl-extra.el (cl-copy-tree): Doc fix.
	* comint.el (comint-ptyp, comint-completion-autolist): Doc fix.
	* compile.el (compilation-error-list): Doc fix.
	* cplus-md.el (c++-mode): Doc fix.
	* cpp.el (cpp-unknown-face, cpp-face-mono-list, cpp-face-all-list):
	Doc fix.
	* custom.el (rear-nonsticky, custom-property-set, custom-field-accept,
	custom-repeat-extract, custom-pair-extract, custom-list-extract,
	custom-choice-extract, custom-choice-validate, custom-mode-map):
	Doc fix.
	* dired-x.el (dired-mark-sexp): Doc fix.
	* docref.el (docref-subst): Doc fix.
	* edebug.el (edebug-read): Doc fix.
	* ediff-init.el (ediff-keep-variants): Doc fix.
	* ediff-wind.el (ediff-prefer-iconified-control-frame): Doc fix.
	* edt.el (edt-find-forward, edt-find-backward, edt-find,
	edt-find-next-forward, edt-find-next-backward, edt-find-next): Doc fix.
	* ffap.el (ffap-list-env): Doc fix.
	* files.el (make-directory): Doc fix.
	* fill.el (fill-context-prefix, unjustify-current-line,
	unjustify-region): Doc fix.
	* font-lock.el (font-lock-keywords): Doc fix.
	* format.el (format-annotate-atomic-property-change): Doc fix.
	* forms.el (forms-toggle-read-only, forms-enumerate): Doc fix.
	gnus-cus.el: Doc fix.
	* gnus-edit.el (gnus-score-custom-data): Doc fix.
	* gnus-uu.el (gnus-uu-do-not-unpack-archives): Doc fix.
	* gnus.el (gnus-buffer-configuration,
	gnus-article-hide-headers-if-wanted): Doc fix.
	* hexl.el (hexl-program, hexl-beginning-of-1k-page,
	hexl-end-of-1k-page, hexl-beginning-of-512b-page,
	hexl-end-of-512b-page): Doc fix.
	* hideshow.el (hs-unbalance-handler-method, hs-show-block): Doc fix.
	* hilit19.el (hilit-lookup-face-create): Doc fix.
	* icomplete.el (icomplete-simple-completing-p, icomplete-completions):
	Doc fix.
	* info.el (Info-get-token): Doc fix.
	* isearch.el (isearch-abort, isearch-no-upper-case-p): Doc fix.
	* iso-acc.el (iso-accents-mode): Doc fix.
	* iso-cvt.el (iso-fix-tex2iso): Doc fix.
	* ispell4.el (ispell-gnu-look-still-broken-p, ispell-message-text-end):
	Doc fix.
	* make-mode.el (makefile-insert-special-target,
	makefile-backslash-region): Doc fix.
	* mh-e.el (mh-good-msg-regexp): Doc fix.
	* modula2.el (m2-case, m2-for, m2-if): Doc fix.
	* msb.el (msb-max-file-menu-items, msb-menu-cond): Doc fix.
	* nnmail.el (nnmail-message-id-cache-length): Doc fix.
	* pascal.el (pascal-auto-newline, pascal-mode, electric-pascal-hash):
	Doc fix.
	* rcompile.el (remote-compile-run-before): Doc fix.
	* refbib.el (r2b-additional-stop-words, capitalize-title-stop-words):
	Doc fix.
	* regi.el (regi-interpret): Doc fix.
	* reporter.el (reporter-dont-compact-list): Doc fix.
	* sh-script.el (sh-mode-syntax-table): Doc fix.
	* simple.el (next-completion): Doc fix.
	* skeleton.el (skeleton-insert): Doc fix.
	* supercite.el (sc-citation-nonnested-root-regexp,
	sc-add-citation-level, sc-no-blank-line-or-header): Doc fix.
	* tempo.el (tempo-local-tags, tempo-user-elements, tempo-use-tag-list):
	Doc fix.
	* term.el (term-ptyp, term-termcap-format, term-scroll-region,
	term-completion-autolist): Doc fix.
	* texinfo.el (texinfo-master-menu): Doc fix.
	* texnfo-upd.el (texinfo-master-menu): Doc fix.
	* thingatpt.el (read-from-whole-string): Doc fix.
	* tmm.el (tmm-get-keybind): Doc fix.
	* tpu-edt.el (GOLD-map, GOLD-CSI-map, GOLD-SS3-map, tpu-set-mark):
	Doc fix.
	* type-break.el (type-break-keystroke-threshold, type-break-mode):
	Doc fix.
	* vip.el (vip-shift-width): Doc fix.
	* viper.el (vip-insert-diehard-minor-mode, vip-toggle-search-style,
	vip-del-backward-char-in-replace, vip-query-replace): Doc fix.
	* vmsproc.el (display-subprocess-window): Doc fix.
	* xscheme.el (xscheme-control-g-synchronization-p): Doc fix.

Thu Jan  4 17:52:55 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* browse-url.el (browse-url-usr1-signal): Doc fix.

Thu Jan  4 15:09:01 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* autoload.el (generate-file-autoloads): Preserve whitespace after
	cookie in literal text copied to output; eat only a single space.

Thu Jan  4 14:00:13 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* subr.el (error): Doc fix.

Thu Jan  4 11:02:30 1996  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc.el: Better doc strings for a few variables.
	(vc-cancel-version): Handle versions that start a new branch.
	(vc-backend-checkout): SCCS case: handle empty revision number.
	(vc-diff): Don't pop to the *vc-diff* buffer if file is unchanged.

	* vc-hooks.el: Better doc strings.

Thu Jan  4 03:23:11 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* browse-url.el (browse-url-mosaic): Print "done" message
	after starting mosaic.  Change the message about sending a signal.
	(browse-url-netscape): Print "done" message after starting.
	(browse-url-usr1-signal): Use SIGUSR1 in upper case.
	(browse-url-at-point, browse-url-at-mouse, browse-url-of-buffer)
	(browse-url-of-file, browse-url-of-dired-file): Add autoload cookies.

Wed Jan  3 13:34:47 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired.el (dired-insert-directory): Force use of C locale.

	* sendmail.el (mail-header-separator): Don't put on read-only property.

Tue Jan  2 00:23:10 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* man.el (Man-mode-map): Delete `toggle-truncate-lines' binding.

	* xt-mouse.el (xterm-mouse-translate, xterm-mouse-event):
	Variable `last' renamed to `xterm-mouse-last'.
	(xterm-mouse-last): Add defvar.

	* sendmail.el (sendmail-send-it): Make deletion of empty subject line
	work reliably.

	* tmm.el (tmm-prompt): Major cleanups.  Handle pop-menu case nicely.
	Arg BIND renamed to MENU.
  	Look at MENU to decide whether it is a keymap.
	Arg IN-POPUP now used only in recursive call.
	Use "Menu bar" as the default menu name.
	Delete some debugging code.

	* tmm.el (tmm-menubar-mouse): New function, handles [menu-bar mouse-1].
	(tmm-menubar): New arg x-position.
	(tmm-prompt): New arg default-item specifies item to offer by default.

Mon Jan  1 17:44:54 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (normal-top-level):
	Add ~ at end of auto-save-list-file-prefix.

	* completion.el (save-completions-file-name):
	Use convert-standard-filename.

	* paths.el (abbrev-file-name): Use convert-standard-filename.

	* saveplace.el (save-place-file): Use convert-standard-filename.

	* viper.el (vip-custom-file-name): Use convert-standard-filename.

	* dired-x.el (dired-local-variables-file):
	Use convert-standard-filename.

	* files.el (convert-standard-filename): New function.
	* dos-fns.el (convert-standard-filename): New alternate definition.

Mon Jan  1 15:50:32 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/pc-win.el (x-colors): New variable, a list of colors
	supported by PC color displays under MS-DOS.
 	(msdos-color-translate): Use `x-colors'.
	(x-defined-colors): New alternate definition.

	* facemenu.el (facemenu-read-color, list-colors-display)
	(facemenu-get-face): Treat all non-nil window-system values alike.
	(facemenu-color-equal): Special case for MSDOS.

Sun Dec 31 16:07:49 1995  Eli Zaretskii  <eliz@is.elta.co.il>

	* cpp.el (cpp-config-file): New variable.
	(cpp-edit-load): Use `cpp-config-file'.
	(cpp-edit-save): Use `cpp-config-file'.

	* completion.el (save-completions-file-name): Under MS-DOS set to
	a filename without a leading dot.

	* custom.el (custom-file):  Under MS-DOS set to a filename without
	a leading dot.

	* vip.el (vip-startup-file): New variable.
	(vip-mode): Use `vip-startup-file' for the startup file name.

	* ffap.el (ffap-list-env): Use `path-separator' rather than ":".

	* startup.el (auto-save-list-file-prefix):  Under MS-DOS, use `.s-'.
	(normal-top-level): Under MS-DOS, use `make-temp-name' to produce
	a unique `auto-save-list-file-name' (PID is not unique enough).
	(command-line-1): Delete explicit test for msdos and windowsnt;
	test just `window-system'.

	* files.el (abbrev-file-name): Drive letter can go beyond `Z'
	under MS-DOS/Novell.
	(auto-mode-alist): Support txt and txi like text and texi.
	(backup-buffer): Use convert-standard-filename.
	(basic-save-buffer-1): Make the name of the temporary file (where
	precious files are saved) conform to MS-DOS 8+3 constraints.

Sun Dec 31 11:00:38 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* jka-compr.el (auto-compression-mode): Add `interactive'.
	Put \-newline in doc string.
	(toggle-auto-compression): New arg MESSAGE.  Don't use interactive-p.

	* mouse.el (mouse-drag-region, mouse-drag-secondary):
	Bind echo-keystrokes to 0.

	* hexl.el (hexl-mode): Don't call kill-all-local-variables.
	Save write-contents-hooks, require-final-newline, the syntax table.
	Use make-local-hook for change-major-mode-hook.
	(hexl-mode-exit): Restore those vars; remove our local hooks.

Sat Dec 30 11:43:20 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* find-file.el: Doc fixes.
 	(ff-get-file): Use get-file-buffer to avoid false match.
	(ff-switch-to-buffer): Rename arg FILE to BUFFER-OR-NAME.

	* lpr.el (lpr-page-header-switches, lpr-headers-switches): Doc fixes.

Sat Dec 30 04:22:11 1995  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* facemenu.el (facemenu-add-face-function, facemenu-end-add-face)
	(facemenu-remove-face-function): New variables.
	(list-text-properties-at): Output in echo area when one short prop.
	(facemenu-self-insert-face): Deleted function.
	(facemenu-add-face): 2nd & 3rd arg optional, thus also handles
	`facemenu-self-insert-face'.  Use new variables to potentially do
	something other than set a face under mode (TeX, HTML) control.
	When region is empty, add face to next input.

	* tex-mode.el (tex-face-alist, tex-latex-face-alist): New variables.
	(latex-mode, tex-common-initialization): Use them to set up facemenu.

Fri Dec 29 16:06:28 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el (x-handle-switch, x-handle-numeric-switch)
	(x-handle-args): Use command-line-x-option-alist.
	(x-option-alist, x-switch-definitions, x-long-option-alist): Deleted.

Fri Dec 29 15:49:02 1995  Erik Naggum  <erik@churchy.gnu.ai.mit.edu>

	* vc.el (vc-backend-checkin): Use vc-checkin-switches.

Fri Dec 29 00:42:53 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (command-line-x-option-alist): Use x-handle-geometry
	for geometry options.

	* startup.el (command-line-x-option-alist): New variable.
	(command-line-1): Ignore X options when not using X.

	* jka-compr.el (auto-compression-mode): This is now a stub function
	that calls toggle-auto-compression, and is put bodily into loaddefs.el.
 	(toggle-auto-compression): Renamed from auto-compression-mode.
	Not autloaded.

Thu Dec 28 22:32:53 1995  Karl Eichwalder  <ke@ke.Central.DE>

	* dired.el (dired): Fix typo.

Thu Dec 28 14:22:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ps-print.el (ps-do-despool): Alternative output method for MSDOS.

	* files.el (recover-session): Bind ls-lisp-support-shell-wildcards.

Thu Dec 28 11:49:16 1995  Eli Zaretskii  <eliz@is.elta.co.il>

	* ls-lisp.el (ls-lisp-support-shell-wildcards): New variable.
	(insert-directory): Convert the filename wildcard to an equivalent
	Emacs regexp, when `ls-lisp-support-shell-wildcards' is non-nil.
	Handle file patterns like "/foo*/" as if it were "/foo*", like the
	shell would.  Print zero total for files whose total size is
	exactly zero (in particular, for no files at all).  Say "No match"
	when no files match the given wildcard.
	(ls-lisp-format): Make directory listing format more like POSIX ls.

	* files.el (wildcard-to-regexp): New function.

Thu Dec 28 00:38:40 1995 1995  Marc Fleischeuers  <marc@mpi.nl>

	* files.el (make-auto-save-file-name): Make name always end in #,
	i.e. overwrite third char in extension if required.

Wed Dec 27 12:21:50 1995  Ed Reingold  <reingold@mole.gnu.ai.mit.edu>

	* diary-lib.el: Replaced all uses of get-file-buffer with
	find-buffer-visiting.

	* cal-menu.el (calendar-mouse-print-dates): Put date on top of menu.

	* calendar.el: Fix autoloads for astro functions.

	* solar.el: Rewrote completely for better accuracy.

Tue Dec 26 14:42:31 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-menu-buffer-maxlen): New variable.
	(mouse-buffer-menu): Use it.

Tue Dec 26 07:53:30 1995  Karl Eichwalder  <ke@ke.Central.DE>

	* menu-bar.el (buffers-menu-max-size): Move definition to top of file.

Mon Dec 25 12:34:10 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-buffer-menu): If lots of buffers,
	group them into multiple panes.

	* cc-mode.el: Switch to GNU style only the first time file is loaded.

	* hideif.el: Many doc fixes.
	(hide-ifdefs): New arg NOMSG.  Set hif-outside-read-only here.
	(hif-before-revert-function): New function.  Put on after-revert-hook.

	* files.el (revert-buffer): New arg preserve-modes.
	(after-find-file): New arg nomodes.
	* vc.el (vc-revert-buffer1): Pass t as preserve-modes to revert-buffer.

	* vc.el: Fix error message style.
	(vc-backend-checkout, vc-backend-checkin):
	Allow vc-checkin-switches and vc-checkout-switches to be a string.

Sun Dec 24 23:15:50 1995  Noah Friedman  <friedman@prep.ai.mit.edu>

	* window.el (split-window-vertically): Don't change point in old
	window if both the original point and the end of the buffer are
	visible after splitting, when split-window-keep-point is nil.

Sun Dec 24 21:51:57 1995  Michael Ernst  <mernst@cs.rice.edu>

	* uniquify.el (uniquify-fix-list-filename-lessp):
	Renamed from uniquify-filename-sort.

Sun Dec 24 20:30:43 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-mode.el (makefile-add-log-defun): Rewrite to scan back
 	checking one line at a time.  Notice blank lines and comments.

Sun Dec 24 18:20:23 1995  Karl Fogel  <kfogel@wombat.gnu.ai.mit.edu>

	* bookmark.el: Removed all `bookmark-xemacsp' conditional code
	relating to menus.  Do ";;;###autoloads" the as they were done in
	2.6.13.
	(bookmark-version): new var, set to 2.6.19.
	(baud-rate): set to 19200 if not already bound.
	(bookmark-make): don't call `set-text-properties' on a Lisp string
	if this is XEmacs, because it won't work.
	(buffer-substring-no-properties): if this is not fboundp, then
	fset it to `buffer-substring-without-properties'.

Sun Dec 24 13:43:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* iso-acc.el: When turning on default settings,
	preserve iso-accents-enable if it's already set.

	* rmail.el (rmail-forward): Quote lines with `- ' when necessary.

Sun Dec 24 04:25:39 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* files.el (save-some-buffers): Don't give message if we queried.

Sat Dec 23 20:09:36 1995  Geoff Voelker  <voelker@cs.washington.edu>

	* term/win32-win.el: Disable scrollbars until fully functional.

Sat Dec 23 01:56:42 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ps-print.el (ps-spool-buffer-with-faces): Fix typo in previous chg.
	(ps-spool-region-with-faces): Likewise.

	* cc-mode.el (c-fill-paragraph): Return t if did special filling.
	Otherwise return nil and don't change the buffer.

	* fill.el (fill-paragraph-function): Doc fix.

	* iso-acc.el (iso-languages): Add entry for `irish'.

	* cc-mode.el (c-mode-map): Don't rebind M-q.
	(c-common-init): Set fill-paragraph-function.

	* rmail.el (rmail): Allow nonexistent file as arg.

Fri Dec 22 17:21:11 1995  Eli Zaretskii  <eliz@is.elta.co.il>

	* compile.el (compile-internal): On systems with no asynchronous
	processes: do relevant parts of compilation-sentinel after the
	process exits; make modeline during and after compilation be
	similar to what compilation-sentinel displays.

Fri Dec 22 07:13:45 1995  Erik Naggum  <erik@naggum.no>

	* paths.el (rmail-spool-directory): Append slash to all pathnames.

Thu Dec 21 14:01:38 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* emacsbug.el (report-emacs-bug): Don't die if *Messages* buf is gone.

Thu Dec 21 08:27:43 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* disp-table.el (standard-display-european): Make 160 display as space.

	* files.el (save-buffer): Doc fix.

Thu Dec 21 00:14:36 1995  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* sendmail.el (mail-setup): Put text property on mail-header-separator.
	(mail-header-separator): Set it up for use as a category property.
	(mail, mail-send): Turn on inhibit-read-only temporarily.

Wed Dec 20 14:10:32 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* disp-table.el (standard-display-european): Test code 161, not 160.

	* loaddefs.el (debug-ignored-errors): Set it.

Mon Dec 18 22:02:06 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* startup.el (normal-top-level): Don't set auto-save-list-file-name
	if auto-save-list-file-prefix is nil.

Sun Dec 17 02:07:05 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): If current buffer is
	*Shell Command Output*, use the replacement case.

	* iso-acc.el: Many doc fixes.

	* iso-ascii.el (iso-ascii-convenient): New variable.
	(iso-ascii-display): New function to implement that variable.
	Use it instead of using standard-display-ascii directly.

	* startup.el (normal-top-level): Don't set auto-save-list-file-name
	if it was already set non-nil (by .emacs, for example).
	(auto-save-list-file-prefix): Doc fix.

	* imenu.el (imenu-update-menubar): New function.
	(imenu-add-to-menubar): Use an ordinary menu bar submenu.
	Add imenu-add-to-menubar to menu-bar-update-hook to update the submenu.
	(imenu--make-index-alist): Add noerror argument.
	(imenu--menubar-select): New function.
	(imenu--create-keymap-1, imenu--create-keymap-2): New arg COMMANDS.
	(imenu): Allow a string as arg.

Sat Dec 16 06:04:56 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* emacsbug.el (report-emacs-bug): If `mail' asks for confirmation
	and the user doesn't give it, don't do anything more.
	Explain a way to cancel the message.
	Include recent keys and recent *Messages* messages at end.

Fri Dec 15 00:04:56 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* ps-print.el: Doc fixes.

	* edebug.el (edebug-read-syntax-table): Add backquote.
	(edebug-read-alist): Handle comma and backquote.
	(edebug-read-backquote, edebug-read-comma): New functions.
	(edebug-read-list): Special handling for backquote.

	* rmail.el (rmail-ignored-headers): Add resent-date, nntp-posting-host.

	* make-mode.el (makefile-font-lock-keywords): Fix bad structure
	for the "^\t+#" element.

	* startup.el (command-line-1): Use auto-save-list-file-prefix
	when checking for existing files.

Thu Dec 14 03:01:52 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* calendar.el (calendar-astro-from-absolute): Autoload it.

	* subr.el (add-to-list): Doc fix.

	* supercite.el (sc-attribs-extract-namestring): Do look for
	doublequotes after finding angle brackets.

	* rmail.el (rmail-retry-failure): Fix previous change.
	Combine variables mail-buffer and rmail-buffer.
	Look for an end-delimiter in case where the start-of-bounce
	delimiter looks like -- plus some more text.

Tue Dec 13 02:18:39 1995  Kevin Rodgers <kevinr@ihs.com>

	* ange-ftp.el (ange-ftp-load): Added missing form to `cdr' down
	tryfiles in `while' loop.

Tue Dec 12 21:51:57 1995  Michael Ernst  <mernst@cs.rice.edu>

	* uniquify.el (uniquify-fix-list-filename-lessp): Rename from
	uniquify-filename-sort.
	Correct doc references to Emacses that aren't FSF GNU Emacs 19.

Tue Dec 12 03:05:06 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* flow-ctrl.el (enable-flow-control-on): Try the whole TERM name
	before trying to strip off words from the end.

	* rmail.el (rmail-search): Doc fix.

Mon Dec 11 08:43:36 1995  Ake Stenhoff <etxaksf@aom.ericsson.se>

	* cc-mode.el (cc-imenu-c++-generic-expression): New variable.
	(cc-imenu-c-generic-expression): New variable.
	(c++-mode): Set imenu-generic-expression.
	(c-mode): Set imenu-generic-expression.

Sun Dec 10 04:28:15 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* isearch.el (isearch-done): Use executing-kbd-macro.

	* rmailsum.el (rmail-make-basic-summary-line):
	Recognize user-mail-address in From field means msg is from you.

Thu Dec  7 00:07:38 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* byte-opt.el (byte-compile-unfold-lambda): Recursively optimize body.

	* cc-mode.el (c-style-alist): Downcase the style names.
	(c-set-style): Downcase style names for lookup.
	(cc-mode style): Define with lower-case name.

Wed Dec  6 02:55:33 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-start-process): Bind env var TERM to dumb.

	* lpr.el (lpr-switches, lpr-add-switches): Doc fixes.

Tue Dec  5 08:34:32 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* cc-mode.el (c-progress-fini): Fix "done" message.

Mon Dec  4 03:38:46 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* subr.el (buffer-substring-no-properties): Function deleted.

Sun Dec  3 17:33:37 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* paren.el (window-setup-hook): Clear blink-matching-paren-on-screen;
	don't touch  blink-paren-function.

	* simple.el (blink-matching-paren-on-screen): New variable.
	(blink-matching-open): Obey it.

	* completion.el (symbol-under-point, symbol-before-point)
	(symbol-under-or-before-point, symbol-before-point-for-complete):
	Use unwind-protect to restore syntax table.
	(symbol-before-point, symbol-before-point-for-complete):
	Start the backward scan-sexps from point, not (1+ (point)).

	* bytecomp.el (byte-compile-output-docform): Don't do dynamic doc
	strings if byte-compile-compatibility.

	* isearch.el (isearch-search-and-update): Use isearch-case-fold-search
	around the looking-at call.

Sat Dec  2 22:29:07 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* paths.el (rmail-spool-directory): Try /var/spool/mail.
	(news-path): Use /var/spool/news as last resort.

	* lisp-mode.el (lisp-fill-paragraph): Several changes.
	Change how to recognize partial comment lines,
	how to find start of region to fill.  Use fill-region.
	Use tabs when making comment-fill-prefix.

Fri Dec  1 19:07:00 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* isearch.el (isearch-just-started): New variable.
	(isearch-mode): Set it.
	(isearch-search): Clear it.
	(isearch-repeat): If isearch-just-started, don't test for empty match.
	(isearch-unread): Use store-kbd-macro-event.

Fri Dec  1 13:13:40 1995  Francesco Potorti` <pot@cnuce.cnr.it>

	* gud.el (gud-sdb-marker-filter): Modify the regexp for sysVR3 to
	take care of the asterisk prompt.  Correctly set gud-marker-acc.

Fri Dec  1 12:09:11 1995  Francesco Potorti` <pot@cnuce.cnr.it>

	* make-mode.el: Add faces to menu only if window-system.
	(makefile-mode): Do not check if makefile-define-space-face is
	defined.  Call it only if window-system.

Thu Nov 30 23:46:14 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gnus-msg.el (gnus-post-news): Add autoload.

Wed Dec 20 14:41:38 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-mode): Add autoload cookie.

Tue Dec 19 16:27:22 1995  Noah Friedman  <friedman@prep.ai.mit.edu>

	* yow.el (apropos-zippy): New command.
	(yow-load-message, yow-after-load-message): New constants.
	(yow, read-zippyism): Use them.
	Now KEN and BARBIE are PERMANENTLY ADDICTED to MIND-ALTERING DRUGS..

Tue Dec 19 16:59:38 1995  Daniel Pfeiffer  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* apropos.el (apropos-match-face): Use `secondary-selection' rather
	than `highlight' to distinguish it from mouse-face highlighting of
	hyperlinks.
	(apropos-mode-map): Rename from `apropos-local-map'.
	(apropos-mode): Set it rather than have a local-map that made RET
	locally unusable when copied to other buffer.
	(apropos-print): Use it.  When there is only one property, show
 	what it is.  Remove superfluous `save-excursion', thus making help
 	commands' return-message be correct.
	(apropos-print, apropos-describe-plist): `print-help-return-message'
	like help commands.

Tue Dec 19 16:01:23 1995  Eli Zaretskii  <eliz@is.elta.co.il>

	* time.el (display-time): make it work under ms-dos by setting the
	`dos-display-time' variable instead of invoking `wakeup' as
	asynchronous process (which doesn't work under ms-dos).

Tue Dec 19 15:27:48 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Recognize .S and .asm extensions.

	* files.el (make-backup-file-name, backup-file-name-p): Use ~ even
	on ms-dos.
	* dired.el (dired-flag-backup-files): Undo previous change.

Sat Dec 16 09:52:28 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* nntp.el (nntp-open-server): Enable successful "connectionless"
	server switching.

Fri Dec 15 16:19:43 1995  Eric Ding  <ericding@mit.edu>

	* goto-addr.el: Mouse-click method now bound using text
	properties rather than local-set-key.

Fri Dec 15 16:10:59 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* sendmail.el (mail-bury): Use window-dedicated-p.

	* files.el (set-auto-mode): Recognize `#!/bin/env INTERPRETER' hack.

Thu Dec 14 06:59:16 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-summary-mode-line-format,
	gnus-article-mode-line-format, gnus-group-mode-line-format):
	Include the buffer name in the default mode strings.
	(gnus-mode-non-string-length): Changed the default to not
	limit/pad mode line lengths.
	(gnus-set-mode-line): Supply new values for the mode string
	variables.
	(gnus-summary-remove-lines-marked-with): Put point on the current
	article after expunging lines.

Thu Dec 14 00:08:10 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el: Fix completely broken changes of 4 Feb 95 by
	brat@htilbom.ernet.in, which were obviously never tested or even
	examined closely before being installed.
	(find-tag-file-order): Variable removed.
	(find-tag-noselect): Remove gratuitously added variable SEARCH-TAG and
	bogus clobbering of find-tag-order for patterns ending in dot (serious
	braindamage here).
	(find-tag-in-order): Remove gratuitously added variable
	TAGS-TABLE-FILE.  Remove variable MATCH-TYPE and code testing it
	for stupid special case.
	(etags-recognize-tags-table): Put tag-exact-file-name-match-p first in
	find-tag-tag-order list.  Don't set bogus find-tag-file-order variable.
	(etags-snarf-tag): Notice file name match and return tag info with t
	in place of tag text.
	(etags-goto-tag-location): If (car TAG-INFO) is t, go directly to
	the specified location.
	(tag-exact-file-name-match-p): Renamed from tag-filename-match-p,
	and fixed.
	(tags-table-files): Doc fix: names are returned unexpanded.
	(etags-tags-table-files): Don't expand file names.
	(tags-table-including, next-file): Expand result of (tags-table-files).
	(tags-complete-tags-table-file): New function, helper for interactive
	spec of list-tags.
	(list-tags): Revert to original code, but use that function to lazify
	the completion table.
	(tags-list-functions-in-file, tags-locate-file-in-tags-table):
	Functions removed.

	* autoload.el (generate-file-autoloads): If no buffer visiting
	FILE exists, read it into a temp buffer for processing without
	visiting it.

Wed Dec 13 15:20:09 1995  Stefan Schoef  <schoef@OFFIS.Uni-Oldenburg.DE>

	* bibtex.el (bibtex-auto-fill-function): Adapted for use with
	changed autofill policy of emacs-19.30 (uses now fill-prefix
	instead of indent-line-function).
	(bibtex-indent-line-function): Removed (not used any more).

	* bibtex.el (bibtex-make-field): Was broken when called
	non-interactively.

	* bibtex.el (bibtex-make-field): Point is now placed on closing
	brace or quote (suggested by Karl Eichwalder <ke@ke.Central.DE>).

	* bibtex.el (bibtex-clean-entry): Comma after last field isn't
	deleted anymore (new standard in BibTeX 0.99 and 1.xx).
	(bibtex-enclosing-reference-maybe-empty-head): Works with entries
	with comma after last field.
	(bibtex-reference): Permits entries with comma after last field.
	(bibtex-font-lock-keywords): Enhanced to support new field-name
	characters (suggested by Martin Maechler
	<maechler@stat.math.ethz.ch>).

	(bibtex-field-name): Now numbers (not as the first sign), dashes,
	and underscores are allowed (suggested by Martin Maechler
	<maechler@stat.math.ethz.ch> and Oren Patashnik
	<opbibtex@labrea.Stanford.EDU>).

	* bibtex.el (bibtex-make-field): Was broken on lines containing
	non-parenthesized entries (reported by Karl Eichwalder
	<ke@ke.Central.DE>).

	* bibtex.el (bibtex-validate-buffer): Changed so that preamble
	references are ignored (same as string entries) (reported by
	Martin Maechler <maechler@stat.math.ethz.ch>).

	* bibtex.el (bibtex-enclosing-reference-maybe-empty-head):
	New function to be used in case reference head may be empty.
	(bibtex-clean-entry, bibtex-pop-previous, bibtex-pop-next): Uses
	now bibtex-enclosing-reference-maybe-empty-head.
	(bibtex-mode): Added support for font-lock mode.
	(bibtex-font-lock-keywords): New variable with font-lock keywords
	for BibTeX mode.

	* bibtex.el (bibtex-make-optional-field): Not longer interactive
	(suggested by Karl Eichwalder <karl@pertron.central.de>).

	* bibtex.el (bibtex-maintain-sorted-entries): Set to nil, since it
	requires more user attention and more restricted files to have
	this set to t.
	(bibtex-maintain-sorted-entries,
	bibtex-sort-ignore-string-entries): Made buffer local, since it
	may depend on the buffer which preferences to use.
	(bibtex-validate-buffer): Looking for correct sort order only when
	bibtex-maintain-sorted-entries is non-nil.
	Put a comment in the `KNOWN BUGS' section about the
	quote-inside-quotes problem.
	(whole file): Changed string `true' in some documentation strings
	to `non-nil' (e.g. `if variable has a true/non-nil value').
	(bibtex-mode-map): Changed `move/edit' to `bibtex-edit'.

	* bibtex.el (bibtex-sort-entries): Now works correctly with
	`@String' entries inside BibTeX files (i.e. after the occurence of
	other references).
	(bibtex-validate-buffer): Inserted code which looks if entries are
	balanced (a single non-escaped quote inside braces was not
	detected till now, but bibtex-sort-entries stumbles about it).

	* bibtex.el (bibtex-entry): bibtex-move-outside-of-entry is only
	called when bibtex-maintain-sorted-entries is nil (otherwise
	bibtex-find-entry-location determines the correct location).
	(bibtex-find-entry-location): Now uses binary search. As before,
	it assumes that the buffer is sorted without duplicates (but as
	before it is only called when bibtex-maintain-sorted-entries is
	t). Ignores `@String' entries if told so via variable
	bibtex-sort-ignore-string-entries.

	* bibtex.el (bibtex-clean-entry): Respect
	bibtex-maintain-sorted-entries when inserting autokey.
	(bibtex-validate-buffer): Searching whole buffer for duplicates
	and correct order is now done directly instead of calling
	bibtex-find-entry-location (since this is to be reprogrammed to
	use a binary search instead a sequential one).

	* bibtex.el (bibtex-parse-keys): May now be called with an
	optional parameter which (if t) tells bibtex-parse-keys that it
	should abort if input is pending.
	(bibtex-mode): The instance of bibtex-parse-keys called in
	auto-save-mode-hook is now called with this new parameter set to
	t, so an auto-save caused by exceeding auto-save-interval is now
	aborted immediately if user is still typing.

	* bibtex.el (bibtex-print-help-message, bibtex-clean-entry): Use
	now constant strings instead of custom ones.

	* bibtex.el (bibtex-clean-entry): Changed the call of
	bibtex-enclosing-reference to a more specific call so entries
	without a key (here allowed) can be handled.
	(bibtex-reference-key): Cleared off parentheses (caused string
	entries enclosed by parentheses instead of braces to be not added
	to bibtex-completion-candidates).
	(bibtex-complete-string): Made it use bibtex-string.

	* bibtex.el (bibtex-keys,
	bibtex-buffer-last-parsed-for-keys-tick): New buffer-local
	variables to make parsing of BibTeX buffer for reference keys
	(needed by TAB completion in minibuffer when entering key) more
	occasional.
	(bibtex-parse-keys): New function to parse for keys (functionality
	was partially included in bibtex-entry).
	(bibtex-entry): Changed to use bibtex-parse-keys.
	(bibtex-mode): Installs bibtex-parse-keys as an
	auto-save-mode-hook, so whole buffer is parsed at most when it is
	autosaved.
	(bibtex-clean-entry): Calls bibtex-parse-keys on the new entry, so
	bibtex-keys remains consistent for new entries that are finished
	by calling this function (most should).

	* bibtex.el (bibtex-inside-field): Be independent on current
	setting of bibtex-field-right-delimiter (allows more intermixing
	between quotes and braces).
	(bibtex-make-field): Last change didn't make it work correctly
	when called non-interactively by bibtex-entry (fixed).

Wed Dec 13 14:41:20 1995  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired.el (dired-flag-backup-files): Under MS-DOS, search for
	possible backup files by checking for filenames which end with a
	`k' (the backup extension is `.bak').

Wed Dec 13 10:07:54 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* faces.el (modify-face): Take extra optional arg FRAME.
	Use face-try-color-list to change foreground and background colours.
	If BOLD-P, ITALIC-P or UNDERLINE-P not nil or t, don't change the
	display attribute corresponding to that arg.  Doc fix.

Tue Dec 12 21:18:33 1995  David K}gedal  <davidk@lysator.liu.se>

	* sendmail.el (sendmail-send-it): Added support for Resent-CC and
	Resent-BCC headers.

Tue Dec 12 20:37:04 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* rmail.el (rmail-forward): Delete trailing blank lines.

	* fill.el (fill-context-prefix): Doc fix.

	* sh-script.el: Provide sh-script.

Tue Dec 12 20:35:19 1995  Karl Eichwalder  <ke@ke.Central.DE>

	* add-log.el (change-log-mode): Defaults for `indent-tabs-mode'
	and `tab-width'.

Tue Dec 12 20:20:55 1995  Daniel Pfeiffer  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* sh-script.el (sh-mode-map): Make the code more legible.
	(sh-font-lock-keywords-1): Allow keyword `in' at eol too.
	(sh-font-lock-keywords-only): New variable to prevent an apostrophe
	in comment from misfontifying buffer, but to allow users who don't
	have such to get strings fontified.
	(sh-mode): Use it.

Tue Dec 12 03:19:38 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* faces.el (x-frob-font-weight, x-frob-font-slant): Make sure
	case-fold-search is bound to t.

Mon Dec 11 08:37:52 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* comint.el (send-invisible): Send string using comint-input-sender.

Sat Dec  9 11:36:34 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-mode): Don't turn on in any buffer with
	a leading space in its name, and widen when unfontifying.  Doc fix.
	(font-lock-fontify-buffer): Widen when fontifying.
	(font-lock-fontify-window): New command.  Bind to C-S-l.
	(font-lock-fontify-region, font-lock-unfontify-region): Bind both
	change hooks to nil while changing text properties.

Sat Dec  9 03:49:03 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-simplify-mode-line): New function to simplify the
	mode line in a safer manner.
	(gnus-group-mode, gnus-browse-mode, gnus-summary-mode,
	gnus-article-mode, gnus-server-mode): Use the function.

Fri Dec  8 00:09:26 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-group-set-mode-line): Allow user defined specs in
	the group format mode line.

Wed Dec  6 16:13:34 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-parse-headers-hook): New hook.
	(gnus-get-newsgroup-headers): Call it.
	(gnus-get-newsgroup-headers-xover): Call it.
	(gnus-group-mode-map): Moved `gnus-group-fetch-faq' from `M-f' to
	`H f'.
	(gnus-summary-copy-article): Allow respooling to any backend.
	(gnus-summary-set-process-mark): Make sure each article can only
	be process marked once.
	(gnus-summary-remove-lines-marked-with): Put point on a valid
	article after removing lines.
	(gnus-summary-sort-by-author): Didn't allow sorting when
	pseudo-articles were present.
	(gnus-summary-sort-by-subject): Ditto.

Wed Dec  6 06:58:24 1995  Erik Naggum  <erik@naggum.no>

	* files.el (recover-file): Also recover new, unsaved files.

Tue Dec  5 17:55:31 1995  Ed Reingold  <reingold@mole.gnu.ai.mit.edu>

	* cal-menu.el (calendar-mode-map): Undefine search button.
	Many places: Use correct names of functions.

	* diary-lib.el: Changed all occurrences of buffer-substring to
	buffer-substring-no-properties.
	(diary-iso-date): Autoload it.

	* cal-dst.el (dst-in-effect): Fixed calculations for southern
	hemisphere and made the doc string clearer.

Sun Dec  3 15:40:23 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* copyright.el (copyright-regexp): Recognize ISO copyright symbol.
	(copyright-update): Pattern is now match #2, not #1.

Sat Dec  2 20:53:05 1995  Erik Naggum  <erik@naggum.no>

	* disp-table.el (display-table-slot,set-display-table-slot):
	Document the slot names.

Fri Dec  1 13:13:40 1995  Francesco Potorti` <pot@cnuce.cnr.it>

	* gud.el (gud-sdb-marker-filter): start may be nil, so check it
	with numberp before using it.

	* isearch.el (isearch-edit-string): Consider the case when
	isearch-string is empty and so are the search rings.

Thu Nov 30 23:46:14 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gnus-msg.el (gnus-post-news): Add autoload.

Wed Nov 29 22:25:04 1995  Paul Eggert  <eggert@twinsun.com>

	* cal-chinese.el (calendar-chinese-sexagesimal-name): Renamed from
	calendar-chinese-sexagisimal-name to fix misspelling.
	* cal-hebrew.el (holiday-rosh-hashanah-etc): Fix misspelled var.
	* holidays.el (holiday-easter-etc): Fix misspelling of "Whitmonday".
	* calendar.el (calendar-setup, calendar-basic-setup,
	calendar-next-calendar-round-date,
	calendar-previous-calendar-round-date, cal-tex-cursor-year),
	cal-julian.el (calendar-absolute-from-astro),
	cal-mayan.el: (calendar-next-calendar-round-date,
	calendar-previous-calendar-round-date),
	diary-lib.el (list-sexp-diary-entries),
	solar.el (solar-longitude): Doc fixes to fix misspellings.

Wed Nov 29 01:18:29 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Don't purecopy the alist elts.

	* saveplace.el (save-place-limit): New variable.
	(load-save-place-alist-from-file): Obey it.
	Fix "done" message.
	(save-place-alist-to-file): Fix "done" message.

Tue Nov 28 10:16:22 1995  Gary Oberbrunner  <garyo@darkstar.avs.com>

	* gud.el (gud-dbx-find-file): Find correct source file.

Mon Nov 27 02:59:54 1995  Erik Naggum  <erik@naggum.no>

	* apropos.el (apropos-follow): Rewrite to use whole line as target
 	of reference.

Mon Nov 27 00:40:25 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* apropos.el (apropos-mouse-follow): Do save-excursion.
	Error if not adjacent to a mouse-face property.

Sun Nov 26 22:13:24 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-get-new-mail): Don't call
	rmail-summary-goto-msg if msg is 0.

Fri Nov 24 11:57:11 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* mailalias.el (build-mail-aliases): Use buffer-substring-no-properties
	not buffer-substring.

Fri Nov 24 17:58:03 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.30 released.

	* diary-lib.el: Renamed from diary.el.
	* calendar.el, cal-tex.el: Use new name diary-lib.

	* cc-mode.el (c++-mode, objc-mode, c-mode): Doc fix.

	* font-lock.el (font-lock-make-faces): Add special code for ms-dos.

	* view.el (view-mode, view-mode-enter): Doc changes.
	(view-mode-map): Change h and ? to use describe-mode.
	Delete binding of help char.
	(view-mode-enter): Use describe-mode in message.

Thu Nov 23 12:40:47 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* ediff-mult.el (ediff-intersect-directories): Quote symbols
	starting with `:'.

	* view.el (view-mode-enter): Replace Help-helper by help-command
	in doc string and message.

	* sort.el (sort-regexp-fields): Doc fix.
	* inf-lisp.el (inferior-lisp-load-command): Doc fix.
	* imenu.el (imenu-generic-expression, imenu--generic-function):
	Doc fix.

	* add-log.el (add-change-log-entry): Initialize add-log-full-name
	and add-log-mailing-address before prompting.

Thu Nov 23 00:56:16 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* completion.el (cmpl-make-standard-completion-syntax-table)
	(cmpl-make-c-def-completion-syntax-table): Use make-syntax-table.
	(completion-c-mode-hook): Encapsulate C-mode changes in new function.
	Either call it now or put it on c-mode-hook.

Wed Nov 22 14:55:12 1995  Barry Warsaw  <bwarsaw@anthem (Barry Warsaw)>

	* cc-mode.el (c-beginning-of-statement-1): CASE 3, can't just
	return t at end of let clause since this will break
	arglist-cont-nonempty lines.

Wed Nov 22 14:03:08 1995  Geoff Voelker  <voelker@cs.washington.edu>

	* makefile.nt (install, clean): Don't use switches to del not
	supported by Windows 95.

Tue Nov 21 00:12:36 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* man.el (Man-fontify-manpage, Man-cleanup-manpage):
	Convert \255 to a dash.

	* apropos.el (apropos-print): Put the item property
	on the whole printed symbol.
	(apropos-follow): Look for the item property only adjacent to point.
	Signal an error if there is none.

Mon Nov 20 00:39:01 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* apropos.el (apropos-print): Use apropos-local-map as buffer's map,
	not as a text property.

	* ediff-hook.el (menu-bar-epatch-menu, menu-bar-ediff-merge-menu)
	(menu-bar-ediff-menu): Give names to the menus.

	* ediff-mult.el: Renamed from ediff-meta.el.  Changed provide.
	* ediff.el, ediff-util.el: Require ediff-mult.
	* ediff-hook.el (ediff-show-registry): Use renamed file ediff-mult.el.

	* array.el (array-mode): Set overwrite-mode to overwrite-mode-textual.

	* term/pc-win.el (msdos-color-aliases): Add more aliases.
	(msdos-face-setup): Change colors for bold, bold-italic, underline.
	(x-frob-font-slant): Define as no-op.

	* saveplace.el (save-place-to-alist): Handle hexl-mode specially.

Sun Nov 19 18:24:58 1995  Erik Naggum  <erik@naggum.no>

	* calendar.el (cal-tex-cursor-week-iso): Doc fix.

Sun Nov 19 15:39:49 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* calendar.el:
	(cal-tex-cursor-filofax-week): Renamed from cal-tex-cursor-week6.
	(cal-tex-cursor-filofax-2week): Renamed from cal-tex-cursor-week5.
	(cal-tex-cursor-week-monday): Renamed from cal-tex-cursor-week4.
	(cal-tex-cursor-week-iso): Renamed from cal-tex-cursor-week3.

	* cal-tex.el (cal-tex-version): Deleted.
	(cal-tex-cursor-year-landscape): Doc fix.
	(cal-tex-cursor-filofax-week): Renamed from cal-tex-cursor-week6.
	(cal-tex-cursor-filofax-2week): Renamed from cal-tex-cursor-week5.
	(cal-tex-cursor-week-monday): Renamed from cal-tex-cursor-week4.
	(cal-tex-cursor-week-iso): Renamed from cal-tex-cursor-week3.

	* info.el (Info-directory-list): Use source-directory.

Sat Nov 18 10:49:47 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* calendar.el (calendar-goto-info-node): Don't let
	same-window-buffer-names do its usual job--force *info* buffer
	into another window.

	* simple.el (do-auto-fill): Look at 2nd line for fill prefix
	even when on the first line.  Don't accept non-whitespace prefix
	from the first line.

	* fill.el (fill-context-prefix): New arg first-line-regexp.

	* finder.el (finder-known-keywords): Delete `debugging'.

Sat Nov 18 03:09:37 1995  Lars Magne Ingebrigtsen  <larsi@surt.ifi.uio.no>

	* nntp.el (nntp-open-server): Accept a second optional parameter
	for just changing virtual server.  Doc fix.
	(nntp-possibly-change-server): Use it.
	(nntp-close-server): Ditto.

Fri Nov 17 21:39:30 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cc-mode.el (c-guess-basic-syntax, c-beginning-of-statement-1):
	Do not check for c-conditional-key when skipping backwards over
	statements that look sort of like conditionals.  This makes
	statements following nested functions indent correctly.  CASE 9B.3
	(unknown catchall) now gets triggered by the brace that opens a
	nested function.  Also, this changes the relpos for top-level
	defun-open braces, but that will be very hard to fix, and it may
	break backward compatibility.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 5H, inclass relpos should be relative to
	boi of the open brace, not the beginning of the class keyword.

	* cc-mode.el (c-fill-paragraph): Doc fix.

Fri Nov 17 20:51:54 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* gnus.el (gnus-group-quit-config): Return the quit-config instead
	of a list containing the quit-config.

Fri Nov 17 17:34:13 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* mail-utils.el (rmail-dont-reply-to): Preserve whitespace after comma.

Fri Nov 17 13:36:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* etags.el (next-file): Make interactive arg t if had any prefix arg.

	* faces.el (face-color-supported-p): Return nil if no window system.

Fri Nov 17 12:39:59 1995  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* cal-coptic.el: Fix epoch of Ethiopiac calendar.

	* cal-chinese.el: Minor fixes.

Fri Nov 17 11:03:20 1995  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* indent.el (move-to-left-margin): Removed left-over code that
 	made it fail on right-justified and centered text.

	* fill.el (fill-region-as-paragraph): Remove redundant "setq from".
	Don't add extra newline at end if there is no text in paragraph --
	doing so can make fill-region loop.
	When testing for indentation exceeding fill-column, skip back over
	tabs too.

Fri Nov 17 03:19:45 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* rmail.el (rmail-retry-failure): Add missing colons in regexp.
	Use " +", not " *", to check for indented text.
	Don't make a temp buffer; just record the indent amount.  Simplify.

Fri Nov 17 00:26:48 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (do-auto-fill): Ignore the result of fill-context-prefix
	if it is empty.

	* cc-mode.el (c-common-init): Set adaptive-fill-regexp to nil.

	* fill.el (fill-context-prefix): Use adaptive-fill-regexp only if non-nil.

Thu Nov 16 16:49:56 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* calendar.el (calendar-julian-date-string): Autoload this.

Thu Nov 16 17:23:03 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-process-handle-hash): If
	ange-ftp-hash-mark-unit is nil, don't display a message.
	(ange-ftp-process-filter): Call ange-ftp-process-handle-hash even
	if ange-ftp-hash-mark-unit is nil.

Thu Nov 16 15:06:51 1995  Johan Vromans  <jvromans@squirrel.nl>

	* forms.el: Use `buffer-substring-no-properties' instead of
 	`buffer-substring' to avoid the properties being copied.

Thu Nov 16 12:22:11 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cc-mode.el (c-beginning-of-statement, c-end-of-statement):
	New arg sentence-flag.  Use that instead of interactive-p.
	(c-mode-help-address): Send bug reports to bug-gnu-emacs too.

	* fill.el (fill-context-prefix): Check adaptive-fill-function non-nil.

Thu Nov 16 15:38:58 1995  Per Abrahamsen  <abraham@dina.kvl.dk>

	* menu-bar.el (minibuffer maps): Delete extra quote.

Thu Nov 16 11:31:46 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-complete-menu-item): Don't treat `* Menu:'
	as a menu item.

Wed Nov 15 12:24:00 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* nntp.el (nntp-close-server-internal):
	Don't call nntp-possibly-change-server.

	* cplus-md.el (c++-mode): Remove autoload cookie.

	* mouse-sel.el (mouse-sel-lost-selection-hook): Undo prev change.

	* tmm.el (tmm-prompt): Delete tmm-add-prompt if we fail.
	Don't switch to *Completions* if it wasn't created.

	* startup.el (command-line-1): Mention F10.

Tue Nov 14 12:34:00 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (fill-individual-paragraphs): Advance 1 line in inner loop.
	(fill-region-as-paragraph): Handle left margin extending to or past
	fill-column.

	* mouse-sel.el (mouse-sel-lost-selection-hook): Use (car selection).

	* indent.el (indent-line-to): Delete spaces before inserting a tab.

	* calendar.el (calendar-julian-from-absolute): Autoload it.

	* goto-addr.el (goto-address): Use S-mouse-2, not S-mouse-1.
	Add autoload cookie.

	* startup.el (command-line-1): Reorganize the initial help output.

	* hexl.el (hexl-mode): Set require-final-newline to nil.
	If point was at end of buffer, move it back one byte.

Tue Nov 14 20:25:01 1995  Eric Ding  <ericding@mit.edu>

	* goto-addr.el (goto-address-highlight-p): New variable.
	(goto-address-fontify): Removed check for invisible text,
	set inhibit-point-motion-hooks instead

Mon Nov 13 15:20:42 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc-hooks.el (vc-locking-user): In CVS case, convert
	user number to a string.

	* vc.el (vc-directory): Require dired.
	(vc-revert-buffer): Ignore vc-suppress-confirm.

Mon Nov 13 13:10:12 1995  Morten Welinder  <terra@diku.dk>

	* arc-mode.el (archive-remote-regexp): Doc fix.

Sun Nov 12 16:54:33 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* compile.el (compilation-sentinel): Use the local value of
	compilation-exit-message-function in the process buffer.

Sun Nov 12 14:33:59 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tmm.el (tmm-define-keys): Don't define ESC ESC.

	* ffap.el: New file.

	* info.el (info-insert-file-contents-1): Various rewrites.
	Compute EXT-LEFT after removing the dot from SUFFIX.

Sat Nov 11 00:24:12 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* window.el (balance-windows): Don't count the menu bar's lines
	in the frame height.

	* menu-bar.el (delete-frame): Don't use delete-frame as event name.

	* startup.el (command-line): Don't reject unknown args here.
	(command-line-1): Detect it here.

	* dabbrev.el (dabbrev-case-replace): Doc fix.

Fri Nov 10 19:30:48 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tmm.el: Define menu-bar mouse-1 as tmm-menubar.

	* simple.el (universal-argument-other-key): Add to existing
	unread-command-events value.

Fri Nov 10 19:34:15 1995  Per Abrahamsen  <abraham@dina.kvl.dk>

	* xt-mouse.el (global-map): Removed bindings of down events to ignore.
	(xterm-mouse-translate): Only generate down event when bound.
	Cleanup.  Support for mode line and vertical bar dragging, and
	menu-bar events.
	(xterm-mouse-x): New variable.
	(xterm-mouse-y): New variable.
	(mouse-position): Advice to use above variables.
	(xterm-mouse-event): Support menu-bar.  Set xterm-mouse-x and
	xterm-mouse-y.

Fri Nov 10 10:29:12 1995  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* add-log.el (change-log-mode): Remove incorrect "^" anchors from
 	paragraph-start and -separate.
 	(change-log-fill-paragraph): Use regular value of paragraph-start
 	to bound paragraph to be filled, modified values only to do the
 	filling.  Make lines beginning with parentheses
 	paragraph-starters, but not paragraph-separators.

	* cc-mode.el (c-common-init): Remove "^" from paragraph-start and
 	paragraph-separate.  Moved page-delimiter first in case it has a
 	"^" also.

	* lisp-mode.el (lisp-mode-variables, lisp-fill-paragraph): Remove
	"^" from paragraph-start and paragraph-separate.  Moved
	page-delimiter first in case it has a "^" also.

	* sh-script.el (sh-mode): as above.  Use page-delimiter rather than
 	literal "^L".

	* fill.el (fill-region-as-paragraph): Since adaptive-fill-regexp
 	is supposed to match text STARTING at the left margin, use
 	`looking-at' rather than `re-search-forward'.
	(fill-individual-paragraphs): Match fill-prefixes starting at
 	left-margin.

Fri Nov 10 04:55:12 1995  Erik Naggum  <erik@naggum.no>

	* view.el (View-scroll-lines-forward): Don't recenter at end.

Fri Nov 10 14:11:43 1995  Kevin Rodgers <kevinr@ihs.com>

	* files.el (find-file-noselect): Respect the value of
	find-file-visit-truename when FILENAME is a directory and
	find-file-run-dired is non-nil.

Fri Nov 10 13:55:55 1995  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* facemenu.el (facemenu-unlisted-faces): Remove font-lock faces from
 	the default list.  The list of face names was out of sync; to
 	prevent this from happenning again I made font-lock.el, and other
	packages that create "private" faces, put them on the list
	themselves.  This should give them a better chance of being
	updated when the packages are changed.

	* calendar.el (holiday-face, calendar-today-face, diary-face): Add
 	faces to facemenu-unlisted-faces before creating so that facemenu
	won't list them as faces to be added interactively.

	* viper.el: Don't list any faces in menu.

	* paren.el (show-paren-command-hook): Don't list `paren-mismatch'
 	face in menu.

	* make-mode.el (makefile-space-face): Don't list in facemenu.

	* ediff-init.el: All faces added to facemenu-unlisted-faces list.

	* facemenu.el (facemenu-active-faces): Replaces function
	`facemenu-discard-redundant-faces'.  This version, written by
	Simon Marshall, is faster and does not require optional
	argument for recursive re-entry.  New argument FRAME allows
	check to be done relative to face definitions in any frame.

Fri Nov 10 12:58:36 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* enriched.el (enriched-next-annotation): Doc fix.

	* dos-fns.el: Fix previous change.

Thu Nov  9 23:27:08 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-mode.el (makefile-mode): Call makefile-define-space-face
	only if it is defined.
	(makefile-define-space-face): Create the face unconditionally;
	alter it only if have X.

	* cal-x.el: Require calendar.

Thu Nov  9 12:40:50 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* simple.el (do-auto-fill): Use fill-context-prefix.

	* fill.el (fill-region-as-paragraph): Use fill-context-prefix.
	(fill-context-prefix): New function.

Thu Nov  9 03:20:51 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-mode): Use make-local-hook.
	(font-lock-fontify-buffer): Don't preserve buffer modification here,
	it is done elsewhere, but do preserve match-data.
	(font-lock-fontify-syntactically-region,
	font-lock-fontify-keywords-region): Don't preserve buffer modification
	and temporarily install font-lock-syntax-table here.
	(font-lock-fontify-region): Do it here instead.
	(font-lock-fontify-anchored-keywords): Ensure LIMIT is end of line.
	(font-lock-match-c++-style-declaration-item-and-skip-to-next): No need
	to do end-of-line here now.
	(font-lock-keywords): Doc fix.
	(font-lock-make-face): Add the face to facemenu-unlisted-faces, from
	Boris Goldowsky <boris@gnu.ai.mit.edu>.

	* compile.el (compilation-mode-font-lock-keywords): No leading spaces.

Wed Nov  8 05:59:35 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* apropos.el (apropos-print): Use buffer *Apropos*, not *Help*.
	(apropos-follow): Don't print a "how to get back" message.

	* awk-mode.el (awk-mode): Require cc-mode.

	* term/pc-win.el (x-display-color-p): Accept optional arg.

	* dos-fns.el (mode-line-format): Modify it, don't override it entirely.

	* startup.el (command-line): Complain about unknown options.

Tue Nov  7 14:47:02 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): Use region-beginning
	and region-end, to put them in the command history.

Tue Nov  7 02:46:06 1995  Kevin Gallo  <kgallo@microsoft.com>

	* term/win32-win.el: New file.

	* startup.el [win32] (normal-top-level, command-line, command-line-1):
	* mouse.el [win32] (mouse-set-region):
	* faces.el [win32] (make-face, make-face-x-resource-internal):
	* facemenu.el [win32] (face-menu-read-color, list-colors-display,
		facemenu-color-equal, face-menu-get-face):
	Test for 'win32 window system as well as 'x.

	* makefile.nt (install): Change same-dir test to create test file in
	installation tree and thereby support read-only shares.

Mon Nov  6 15:37:54 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* apropos.el (apropos-follow): Fix error message.

	* startup.el (command-line): Handle = in option only if starts with --.

	* tmm.el (tmm-define-keys): New subroutine.
	(tmm-add-prompt): Use that to define keys in both maps separately.

	* term/internal.el: Rewrite for new case tables.

Mon Nov  6 11:03:34 1995  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* fill.el (fill-region-as-paragraph): Don't insert extra space
	at end of filled region.

Mon Nov  6 08:27:45 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* bytecomp.el (byte-force-recompile): Make suitably interactive.

Sat Nov  4 13:57:09 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* tmm.el: Use f10 as well as M-`.

	* menu-bar.el (menu-bar-tools-menu): Always define GNUS entry.

	* bytecomp.el (byte-compile-associative): Do operations left to right.

Sat Nov  4 23:36:01 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-mode.el (makefile-define-space-face): Don't make face if non-X.

Sat Nov  4 01:22:21 1995  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* nnvirtual.el, nntp.el, nnspool.el, nnml.el, nnmh.el, nnmbox.el,
	* nnmail.el, nnkiboze.el, nnheader.el, nnfolder.el, nneething.el,
	* nndoc.el, nndir.el, nnbabyl.el, gnus.el, gnus-vm.el,
	* gnus-vis.el, gnus-uu.el, gnus-score.el, gnus-msg.el, gnus-mh.el,
	* gnus-kill.el, gnus-ems.el, gnus-edit.el, gnus-cite.el,
	* gnus-cache.el, custom.el: New files.

Fri Nov  3 21:18:13 1995  Erik Naggum  <erik@naggum.no>

	* gnus.el, gnusmail.el, gnuspost.el, gnusmisc.el, gnus-uu.el,
 	* mhspool.el, nnspool.el, nntp.el: GNUS release 4 files deleted.

	* hilit19.el: Removed old gnus hooks.
	(gnus-group-mode): Adapt to new Gnus.
	(gnus-summary-mode): Removed.

Fri Nov  3 18:11:32 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* sendmail.el (mail): Don't change directory for *mail* buffer.
	(sendmail-send-it, mail-recover): Instead, temporarily change to a
	safe directory for just the subprocess.

	* tex-mode.el (tex-send-command): Give meaningful error message.

Fri Nov  3 12:26:02 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* sendmail.el (mail-yank-clear-headers): Do nothing if
	mail-yank-ignored-headers is nil.

	* pc-select.el (pc-selection-mode): Don't mess with c-mode-map.

	* startup.el (user-mail-address): Doc fix.

	* view.el (view-mode-map): Use ordinary Help command.

Thu Nov  2 21:58:56 1995  Daniel Pfeiffer <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* sh-script.el (sh-shells): Eliminated variable redundant with
	`interpreter-mode-alist'.
	(sh-beginning-of-command): Take into account \quoted newline.
	(sh-builtins, sh-leading-keywords, sh-other-keywords): Now three
	distinct sets for font-locking.
	(sh-font-lock-keywords-1, sh-font-lock-keywords-2): New variables
	and functions to give the user finer control over how much to fontify,
	including new distinction between keywords and builtins.
	(sh-mode): Use new features of `font-lock-defaults' and adaptation
	to skeleton changes.
	(sh-while): Fix csh, es & rc skeletons.

	* skeleton.el (skeleton-end-hook): Now defvared and responsible for
	pushing out anything following skeleton to next line.  Thus this
	behaviour can now be controlled by modes.
	(skeleton-insert): Parameter `no-newline' removed.
	(skeleton-read): Take this into account.
	(skeleton-internal-1): Less spurious empty lines when wrapping.

	* sh-script.el (sh-remember-variable): Set variable to empty string,
	so as not to mess up subprocesses' environment.  Not so nice for
	completion.

	* two-column.el (minor-mode-map-alist): Use substitute-key-definition
	to find the appropriate bindings for window enlarge/shrink.
	(2C-shrink-window-horizontally, 2C-enlarge-window-horizontally):
	Renamed from shrink-window-horizontally, enlarge-window-horizontally
	to avoid redefining the standard functions.

Thu Nov  2 21:27:35 1995  Stephen Gildea <gildea@x.org>

	* mh-e.el (mh-make-folder-mode-line): support mh-msg-count.
	(mh-delete-scan-msgs): use fast new mh-goto-msg.
	* mh-utils.el (mh-goto-msg): binary search (much faster!).
	(mh-prompt-for-folder): error if regular file.
	* mh-comp.el: reporter.el support.

Thu Nov  2 15:53:02 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* rmail.el (rmail-delete-message-hook): New hook.
	(rmail-delete-message, rmail-delete-forward): Run the hook.

	* rmail.el (rmail-mode-hook, rmail-get-new-mail-hook): Add defvars.
	(rmail-show-message-hook): Likewise.

	* simple.el (do-auto-fill): When choosing fill-prefix,
	don't include the left-margin indentation.

	* fill.el (fill-individual-paragraphs): Insist on nonempty header name,
	in the special mailp case.

Thu Nov  2 15:29:22 1995  Erik Naggum  <erik@naggum.no>

	* ehelp.el (with-electric-help): Add missing argument MINHEIGHT.

Thu Nov  2 04:31:32 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el (vc-utc-string): Use timezone of TIMEVAL for the
	correction, not the current one.
	(vc-rcsdiff-knows-brief): New variable.
	(vc-rcs-lock-from-diff): Use it.

	* vc.el (vc-backend-diff): Use new variable vc-rcsdiff-knows-brief.

Wed Nov  1 23:30:20 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-mode.el: Renamed from makefile.el.

	* term/x-win.el: Don't require initial whitespace in vendor name.

	* tpu-edt.el (tpu-set-mode-line): Add element for column number.

Tue Oct 31 19:44:58 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* cc-mode.el (c-recognize-knr-p): Default now t.

	* server.el (server-log): Record the current time.
	End with newline whenever STRING doesn't end with one.

	* sh-script.el (sh-mode-map): Put sh-execute-region on C-M-x.
	Put executable-interpret on C-c C-x.

Tue Oct 31 00:24:32 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* loadup.el: Always load menu-bar.

	* msb.el (msb--toggle-menu-type): Pass t as arg.

	* startup.el (command-line-1): Say how to invoke menu bar, if not X.

	* jka-compr.el (auto-compression-mode): Make arg optional.

	* loadup.el: Fix previous change.

Mon Oct 30 19:25:42 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mailabbrev.el (mail-abbrev-syntax-table): Fix initialization.

	* startup.el (command-line): If not X, do enable menu bar.

Mon Oct 30 19:00:50 1995  Stephen Gildea  <gildea@x.org>

	* time-stamp.el: Update some doc strings.
	(time-stamp-strftime): Ignore some additional chars we might want
	to use in the future for additional controls or parameters.
	(time-stamp): Minor optimizations.

Mon Oct 30 12:38:27 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (describe-function): Call documentation just once.
	(describe-key): Likewise.

	* files.el (set-auto-mode): If mode cmds move point, obey them.

	* help.el (describe-variable): Don't call substitute-command-keys.

	* rmailsum.el (rmail-summary-overlay): Make it a permanent local.

	* vmsx.el: File deleted.

Mon Oct 30 03:31:21 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* makefile.el (makefile-define-space-face): Use frame-parameters for
	frame and display attributes.

Sun Oct 29 17:22:51 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* loadup.el (finding existing executable versions):
	Add a period to the end of BASE.

	* arc-mode.el (archive-zoo-summarize): Handle archives
	with long file names.

	* disass.el (disassemble-internal): Handle lazy-loaded doc strings.
	(disassemble-1): Handle lazy-loaded bytecode objects.

	* etags.el (select-tags-table): Don't modify the value of
	tags-table-list.

Sun Oct 29 15:21:43 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tmm.el (tmm-old-mb-map): Initialize to nil.
	(tmm-delete-map): Don't use tmm-old-mb-map if nil.
	(tmm-add-prompt): Bind C-n and C-p.
	Put only the shortcuts into the completion buffer's map.
	Produce the completion list by hand so as not to sort it.
	(tmm-prompt): Start at the first item in the menu.
	Don't reverse tmm-km-list; reverse compl-list instead.
	Use try-completion in last-ditch attempt to find a match.
	Rename compl-list to history.
	(tmm-get-keybind): Put more local bindings last in a menu.
	Major rewrite.
	(tmm-menubar): Handle menu-bar-final-items.
	(tmm-remove-shortcuts): Function deleted.
	(tmm-add-shortcuts): If we can't find a letter shortcut,
	use a numeric shortcut.

	* simple.el (column-number-mode): Make default value nil.

	* cc-mode.el (c-guess-basic-syntax): Verify c-access-key is non-nil
	before looking for it.

	* bytecomp.el (byte-recompile-directory): New arg FORCE.
	(byte-force-recompile): New function.

	* case-table.el (describe-buffer-case-table): Use set-char-table-range.

Sat Oct 28 02:19:32 1995  Erik Naggum  <erik@naggum.no>

	* iso02-syn.el: Adapt to new char-table implementation.  Fix name
 	of file in the first line, part number syntax of ISO standards,
 	and `provide' clause.  Register file with RCS.

	* ange-ftp.el (ange-ftp-ftp-name,ange-ftp-replace-name-component):
 	Use posix-string-match for complex regexp in `ange-ftp-name-format'.
	(ange-ftp-process-sentinel): Quote final * in buffer name match.

Fri Oct 27 17:40:51 1995  Noah Friedman  <friedman@prep.ai.mit.edu>

	* rlogin.el (rlogin): If `buffer' arg is a buffer object,
	initialize `buffer-name' to the buffer name.
	Set `buffer' to buffer actually created or returned by
	get-buffer-create.
	Set `proc' to the process actually in the new buffer, not the
	process with the name buffer-name; they may not be the same if
	buffers have been renamed.

Thu Oct 26 18:38:26 1995  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* cal-chinese.el (calendar-chinese-sexagisimal-name): New
	function.
	(holiday-chinese-new-year,calendar-chinese-date-string): Use it.

Thu Oct 26 14:21:26 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (set-visited-file-name, basic-save-buffer):
	Set buffer-file-number consistently with find-file-noselect.

Thu Oct 26 09:52:51 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el: General reorganisation.
	(font-lock-fontify-syntactically-region): Renamed from
 	font-lock-fontify-region.  Assume that region end-points are at bol.
	Don't bother wrapping with save-excursion; caller does this.
	(font-lock-fontify-keywords-region): Renamed from
	font-lock-hack-keywords.  Call font-lock-fontify-anchored-keywords if
	car of HIGHLIGHT is not a number (i.e., is another MATCHER, not a
	MATCH), for new MATCH-ANCHORED font-lock-keywords structure.
	(font-lock-fontify-region): Use them.
	(font-lock-after-change-function): Use it.  Don't bother invalidating
	font-lock-cache-position; called function does this.
	(font-lock-keywords-only): Renamed from font-lock-no-comments.
	(font-lock-maximum-decoration, font-lock-maximum-size): Doc fix for new
	functionality.
	(font-lock-set-defaults, font-lock-mode): Cope if they are lists.
	(font-lock-keywords): Doc fix for new MATCH-ANCHORED structure and
	new OVERRIDE values.
	(font-lock-fontify-anchored-keywords): New function for processing the
	new MATCH-ANCHORED structure.
	(font-lock-fillin-text-property, font-lock-prepend-text-property,
	font-lock-append-text-property): New text property functions.
	(font-lock-apply-highlight): Use them for new OVERRIDE values.
	(scheme-font-lock-keywords): New variable.
	(c-font-lock-keywords-3, c++-font-lock-keywords-3): New variables.
	(font-lock-defaults-alist): Use them for Scheme, C and C++ modes.

	* fast-lock.el (fast-lock-read-cache): Set fast-lock-cache-filename.
	(fast-lock-cache-data): Don't set it here via caller's local variable.

	* fortran.el (fortran-mode): Addition for font-lock-defaults.
	(fortran-font-lock-keywords-3): Rewrite using MATCH-ANCHORED structure.

	* rmail.el (rmail-font-lock-keywords): Better citation regexp.

	* sendmail.el (mail-font-lock-keywords): Likewise.

Thu Oct 26 02:39:28 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* morse.el: New file.

Wed Oct 25 15:23:31 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cc-mode.el (c-mode): Add autoload.

	* loadup.el: Don't load c-mode.
	* loaddefs.el: Get rid of cplus-md.el; add cc-mode.el.

	* cmacexp.el: Require cc-mode.

	* hideif.el: Provide hideif; require cc-mode.

	* help.el (describe-key, describe-key-briefly): For a mouse click,
 	go to its buffer and position before looking up the key.

Wed Oct 25 13:01:36 1995  Gregor Schmid  <gs@ivu-berlin.de>

	* tcl-mode.el: Add support for imenu.
	Add support for font-lock-mode (thanks to <simonm@mail.esrin.esa.it>).

Tue Oct 24 12:38:43 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (set-visited-file-name): Abbreviate buffer-file-name.

	* mouse.el (mouse-drag-region): Set end-of-range after
	calling mouse-scroll-subr.
	(mouse-set-region): Don't do the sit-for on a pc frame.

Tue Oct 24 10:29:59 1995 Brian D. Carlstrom  <bdc@ai.mit.edu>

	* gud.el (gud-dbx-directories): New variable.
	(gud-dbx-massage-args): Use gud-dbx-directories.
	(gud-dbx-file-name): New function.
	(gud-irixdbx-marker-filter): Use gud-dbx-file-name.
	(gud-dbx-file-file): Use gud-dbx-file-name.

	* gud.el (gud-filter): Fix previous change.

Tue Oct 24 11:44:45 1995  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* cal-menu.el (calendar-mouse-print-dates): Fix entry for Chinese
	calendar.

	* cal-chinese.el: Completely rewritten!

Tue Oct 24 00:06:14 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* add-log.el (get-method-definition, get-method-definition-1):
	Rename var md to get-method-definition-md and defvar it.

Mon Oct 23 12:50:38 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ange-ftp.el (internal-ange-ftp-mode):
	Set comint-password-prompt-regexp locally to not match anything.

	* informat.el (Info-validate, Info-validate-node-name):
	Use buffer-substring-no-properties.
	(Info-tagify, batch-info-validate, Info-validate-tags-table): Likewise.

	* informat.el (Info-validate-tags-table): Change handling
	of newline in the loop reading node names.

	* info.el (Info-following-node-name, Info-extract-menu-node-name)
	(Info-select-node): Use buffer-substring-no-properties.

Sun Oct 22 12:30:46 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* case-table.el (copy-case-table): New function.
	(set-case-syntax-delims, set-case-syntax-pair, set-case-syntax):
	Clear out the three extra slots.

Sun Oct 22 02:28:11 1995  Erik Naggum  <erik@naggum.no>

	* derived.el (derived-mode-init-mode-variables): Make proper
 	syntax-table.

	* iso-syntax.el: Handle new case-table implementation.

Sat Oct 21 13:31:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* msb.el: Require cl only when compiling.

Sat Oct 21 13:31:39 1995  Axel Boldt  <boldt@math.ucsb.edu>

	* electric.el (Electric-command-loop): Don't display a prompt
	if 2nd arg equals or returns 'noprompt.

	* ehelp.el: Fix key bindings.
	(electric-help-mode): Use mouse-leave-buffer-hook.
	(electric-help-retain): Remove mouse-leave-buffer-hook.
	(with-electric-help): New argument minheight.
	(electric-help-execute-extended): New function.
	(electric-help-ctrl-x-prefix): New function.
	(electric-help-command-loop): Make messages more consistent.
	Include strategic sit-for 0, so that
	pos-visible-in-window-p will return the right thing.
	Make 2nd arg of Electric-command-loop return 'noprompt if we
	are in isearch-mode.
	Eval to-be-executed at the very end.
	(ehelp-map): Electrify apropos too.

Fri Oct 20 15:34:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* noutline.el (outline-view-change-hook): New hook variable.
	(outline-flag-region): Run the hook.

	* informat.el (Info-validate-tags-table): Fix the scan of the
	tags table checking that the positions are right.
	(Info-validate): Use buffer-substring-no-properties.

	* dabbrev.el (dabbrev-expand): When no more expansions,
	Put back the original abbrev with its original case pattern.
	(dabbrev--find-expansion): Move buffers that are visible on the screen
	to the front of the list to be searched.

	* startup.el (normal-top-level): Set auto-save-list-file-name later,
	after calling command-line.

Fri Oct 20 15:08:22 1995  Erik Naggum  <erik@naggum.no>

	* comint.el (comint-exec-1): Fix previous change.

Fri Oct 20 11:22:25 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* add-log.el (add-log-current-defun):
	Handle `private', `public' in C++ class definitions.

Thu Oct 19 01:14:59 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* isearch.el (isearch-message-prefix):
	Change "wrapped" to "overwrapped" when past original start point.

	* comint.el (comint-exec-1): Don't alter EMACS envvar
	if it's already defined.

	* cplus-md.el (calculate-c++-indent): Skip over paren-group
	when looking back to determine context of a top-level line.
	Don't treat a line starting with } as a continuation.

Wed Oct 18 21:06:59 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* emacsbug.el (report-emacs-bug): Don't mention
	system-configuration-options if it is empty.
	Make it clearer what that text is.

Tue Oct 17 14:10:19 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (tex-start-of-header): Now a regexp.
	(tex-end-of-header): Likewise.
	(plain-tex-mode, latex-mode, slitex-mode, tex-region):
	Changed accordingly.

	* pc-select.el (pc-selection-mode): Add autoload cookie.

	* pc-select.el: New file.

Mon Oct 16 22:21:38 1995  Rolf Ebert  <re@waporo.muc.de>

	* ada-mode.el:
	All doc strings changed to comply with standard Emacs conventions.
	(ada-mode): Support new font-lock-mode.
	(ada-format-paramlist): Changed all `accept' to `access'.
	(ada-insert-paramlist): Changed all `accept' to `access'.
	(ada-in-comment-p): Use standard Emacs way `parse-partial-sexp'.
	(ada-font-lock-keywords-1): Change order of some alternatives.

Mon Oct 16 17:45:22 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cc-mode.el (c-emacs-features): Don't expect integer in syntax table.

	* flow-ctrl.el (enable-flow-control): Use a char-table.

Sun Oct 15 04:53:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mailabbrev.el (mail-abbrev-syntax-table): Rewrite using
	map-char-table.

	* derived.el (derived-mode-merge-syntax-tables): Rewrite using
	map-char-table.

	* hippie-exp.el (he-transfer-case): Fix typo in prev change.

Fri Oct 13 23:14:10 1995  Michael Kifer  <Michael Kifer <kifer@cs.sunysb.edu>>

	* ediff.el (ediff-version): is now autoloaded.
	* ediff-init.el: Moved defsubsts up.
	* ediff-hook.el: Now defines [window] in menu-bar-ediff-menu.

Fri Oct 13 20:14:10 1995  Michael Kifer  <Michael Kifer <kifer@cs.sunysb.edu>>

	* viper.el (vip-set-hooks): Use view-mode-hook in emacs and view
	hook in xemacs.
	(vip-read-string-with-history): minibuffer-setup-hook no longer
	waits for the user to type, if there are unread events.
	Added (vip-leave-region-active) to all simple movement commands.
	Viper now understands syntactic tables.
	Harnessed view-minor-mode.
	(vip-read-string-with-history,vip-search): won't pause inside
	macros any more.
	* viper-mous.el (vip-surrounding-word): modified to understand
	tripple clicks.
	* viper-util.el (vip-leave-region-active): new function.
	* viper-ex.el (ex-write): uses better defaults.
	* viper-macs.el (vip-record-kbd-macro): correctly escapes `.' and
	`[' now.

Fri Oct 13 15:17:28 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (variable-at-point, function-called-at-point):
	Switch temporarily to emacs-lisp-mode-syntax-table.

	* goto-addr.el: New file.
	* browse-url.el: New file.

Fri Oct 13 1995  Anders Holst (aho@nada.kth.se)

	* hippie-exp.el:
	(hippie-expand): Removed bug - don't undo from another buffer.
	(he-reset-string): Removed bug - don't move markers.
	(he-capitalize-first): New function, defining new "case".
	(he-transfer-case): New function.
	(he-transfer-case-ok): Function removed.
	(he-substitute-string,he-ordinary-case-p,he-string-member): Use the
	new functions above, for the new case handling.
	(he-file-name-chars): New variable.
	(he-file-name-beg): Use `he-file-name-chars'.
	(he-file-name-nondirectory,he-file-name-directory,
	he-file-directory-p,he-concat-directory-file-name): New functions
	to handle VMS and PC filename formats more accurately.
	(try-complete-file-name,try-complete-file-name-partially): Use the
	new functions above.
	(try-expand-line-all-buffers,try-expand-list-all-buffers,
	try-expand-dabbrev-all-buffers): Use `case-fold-search' from the
	original buffer.
	(he-line-beg): Removed bug that made point move.
	(try-expand-all-abbrevs): Check that abbrev tables exist before use.
	(try-expand-dabbrev-visible): New try function.
	(he-search-window): New variable used by `try-expand-dabbrev-visible'.
	(he-dab-search-regexp): Function removed.
	(he-dab-search): Renamed to `he-dabbrev-search'.
	(he-dabbrev-search): Find only whole matching symbols.
	(he-dabbrev-skip-space): New variable.
	(he-dabbrev-beg): Use `he-dabbrev-skip-space'.
	(try-expand-dabbrev-from-kill,he-dabbrev-kill-search): New try
	function, with requisites.
	(try-expand-whole-kill,he-whole-kill-search,he-kill-beg): New try
	function, with requisites.
	(he-search-loc2): New variable, used by `try-expand-whole-kill'
	and `try-expand-dabbrev-from-kill'.
	(hippie-expand-try-functions-list): Added the try functions
	`try-complete-file-name-partially', `try-expand-dabbrev-from-kill'
	and `try-complete-lisp-symbol-partially'.
	(Several functions): Adjusted and corrected use of `he-tried-table'.

Fri Oct 13 09:06:37 1995  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* cal-tex.el: Minor fixes to doc strings and other small changes.

Thu Oct 12 13:55:26 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (variable-at-point, function-called-at-point):
	Fix revious changes.

	* iso-transl.el: Handle aliases dead-acute,...

Thu Oct 12 11:28:50 1995  Ed Reingold  <reingold@cs.uiuc.edu>

	* cal-tex.el: New file.

	* calendar.el: Add autoloads and key definitions for cal-tex.el.

	* cal-menu.el: Add menu items for cal-tex.el.

Wed Oct 11 14:26:34 1995  Robert J. Chassell  <bob@hill.gnu.ai.mit.edu>

	* texinfmt.el (texinfo-unsupported): Handle commands in all capitals.

Wed Oct 11 11:38:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (find-alternate-file-other-window): New function.

Wed Oct 11 01:23:31 1995  Michael Kifer  <kifer@cs.sunysb.edu>

	* menu-bar.el: Moved (define-key menu-bar-ediff-menu ...) to
	ediff-hook.el, as menu-bar-ediff-menu is not defined yet.

Wed Oct 11 00:59:00 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (adaptive-fill-function): Change defun to defvar.

Tue Oct 10 12:52:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (next-completion): Specify the LIMIT arg when
	searching for text properties.

	* help.el (function-called-at-point, variable-at-point):
	Don't back up if we start at the beginning of a symbol.

	* disp-table.el (display-table-slot, set-display-table-slot):
	Get slot number from a property of its name.
	Eliminate the type-checking.
	(make-display-table): Call make-char-table the new way.
	(describe-display-table): Use slot names to access slots.
	(display-table): Give it the char-table-extra-slots property.
	(display-table-char-p, display-table-vector-p): Functions deleted.
	(display-table-slot-name-alist): Variable deleted.

Mon Oct  9 22:30:42 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* mail-utils.el (mail-strip-quoted-names): Preserve white space
 	after comma when stripping text outside of <> delims.

Mon Oct  9 15:41:18 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* view.el: Doc fixes.
	(view-highlight-face): New variable.
	(view-search): Use that variable.

Mon Oct  9 14:01:04 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-table-check-computed-list): Map
	 tags-expand-table-name over lists of included tables.

Mon Oct  9 13:44:43 1995  Erik Naggum  <erik@naggum.no>

	* disp-table.el: New implementation with char-tables.

Mon Oct  9 13:08:04 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xt-mouse.el: New file.

Mon Oct  9 00:49:37 1995  Noah Friedman  <friedman@prep.ai.mit.edu>

	* mailabbrev.el (mail-abbrev-syntax-table): Use `equal' instead of
	`=', in case elts of syntax table are lists, not integers.

Sun Oct  8 15:58:21 1995  Erik Naggum  <erik@naggum.no>

	* ada-mode.el (ada-gen-treat-proc): Bind `procname' and `functype'.

	* view.el (view-exit): Delete view-overlay only if it exists.

Sun Oct  8 14:56:12 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* server.el (server-start): Try both full hostname and shortened
	hostname when deleting the socket file.

	* gud.el (gud-filter): Move the gud-display-frame call
	outside of the save-excursion.  New var process-window
	controls which window to do it in.

Sat Oct  7 00:08:29 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* subr.el (make-syntax-table): Use nil for "inherit".

Fri Oct  6 11:11:31 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-from-buffer): Bind print-level.

	* simple.el (newline): Call barf-if-buffer-read-only.

	* iso-acc.el: Fix typo calling iso-accents-customize.
	(iso-accents-compose): If this-command is non-nil, do prompt.

Thu Oct 5  20:54:29 1995  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-meta.el: new file.
	* ediff-hook.el: new file.
	* ediff.el: Moved menubar definitions to a new file, ediff-hook.el
	(ediff-files,ediff-merge-files): better file-name defaults.
	(ediff-split-string): new function.
	(ediff-exec-process): now handles diff args separated by space.
	(ediff-backup-extension): new variable.
	Replaced -hooks with -hook.
	(ediff-revision-key): variable deleted.
	* ediff-util.el (ediff-toggle-read-only,ediff-read-file-name):
	replaced abbreviate-file-name with ediff-abbreviate-file-name.
	(ediff-documentation): bug fix.
	(ediff-setup,ediff-really-quit): modified to work with Ediff
	session groups.
	(ediff-quit,ediff-really-quit): now ask if the user wants to delete
	buffers.
	* ediff-init.el (ediff-abbreviate-file-name): function modified.
	(ediff-truncate-string-left): new function.
	(ediff-strip-last-dir,ediff-key-press-event-p,ediff-event-point,
	ediff-event-buffer): new functions.
	(ediff-frame-has-menubar,ediff-protect-meta-chars): functions deleted.
	* ediff-wind.el (ediff-make-frame-position): fixed bugs.
	(ediff-control-frame-parameters): fixed defaults.
	* ediff-diff.el (ediff-setup-diff-regions,ediff-setup-diff-regions3,
	ediff-setup-fine-diff-regions): functions modified.
	(ediff-shell-command,ediff-shell-command-sentinel,
	ediff-shell-command-filter): deleted.
	(ediff-exec-process,ediff-process-sentinel,ediff-process-filter): new.

Thu Oct  5 18:24:01 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* appt.el (appt-disp-window): Call raise-frame.

	* view.el (View-search-regexp-forward, View-search-regexp-backward):
	If arg is empty, use view-last-regexp.
	(view-overlay): New variable, local in all buffers.
	(view-search): Highlight the match using view-overlay.
	(view-exit): Delete view-overlay.

Wed Oct  4 11:59:54 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* desktop.el (desktop-outvar): Support truncation.
	(desktop-globals-to-save): Doc fix.

	* startup.el (command-line): Init user-mail-address here,
	after reading init file.
	(normal-top-level): Not here.

	* gnuspost.el (gnus-inews-do-fcc): Use mail-file-babyl-p.

	* gnus.el (gnus-summary-save-in-mail): Use mail-file-babyl-p.

	* startup.el (auto-save-list-file-prefix): New variable.
	(normal-top-level): Use it.

	* files.el (recover-session): Use auto-save-list-file-prefix.

	* sendmail.el (mail-signature-file): New variable.
	Fix various doc strings to mention it.
	(mail-signature): Use mail-signature-file.

	* unrmail.el (unrmail): Call rmail-toggle-header.

	* isearch.el (isearch-forward): Doc fix.

Wed Oct  4 11:15:40 1995  Andre Spiegel  <spiegel@pogo.gnu.ai.mit.edu>

	* vc.el (vc-next-action-on-file): When locking the latest trunk
	version, use empty version number.

Sun Oct  1 16:33:43 1995  Noah Friedman  <friedman@prep.ai.mit.edu>

	* terminal.el (te-escape): Remove spurious partial duplicate
	definition.

Sun Oct  1 13:59:29 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (recover-session-finish): Ask only about files that
 	have auto-save files now.  Don't put "temp" into temp file names.

Sat Sep 30 12:35:24 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* files.el (cd): Fix interactive spec to require match if there is
	no CDPATH.

Thu Sep 28 23:48:41 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* comint.el (comint-password-prompt-regexp): Recognize
	Old Password and New password.

Thu Sep 28 16:36:14 1995  Michael Ernst  <mernst@rice.edu>

	* ispell.el (ispell-message-text-end): Match reporter.el bug reports.

Thu Sep 28 15:18:50 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (print-help-return-message): Handle lists in
	special-display-regexps and same-window-regexps.  Also in
 	special-display-buffer-names and same-window-buffer-names

	* files.el (interpreter-mode-alist): Handle nawk.

Wed Sep 27 11:25:56 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* sendmail.el (sendmail-send-it): Handle FCC after all text changes.
	(mail-do-fcc): Don't add From field here.

	* undigest.el (undigestify-rmail-message): Better error messages.

Tue Sep 26 15:33:27 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-dumb-unix-host): Avoid error if HOST is nil.

Mon Sep 25 18:14:51 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* add-log.el (add-log-current-defun): Ignore quotes before fcn name.

Mon Sep 25 14:53:24 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* info.el (Info-title-face-alist): New var.
	(Info-fontify-node): Check for headings that are `underlined' with
	characters on the following line.

Mon Sep 25 10:53:57 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* help.el (help-mode): Call view-mode.

	* diary.el (mark-sexp-diary-entries): Add \ for C-M-f's sake.

	* view.el (view-mode-enter): Renamed from view-mode.  Callers changed.
	Don't create local vars here.  Set view-mode-auto-exit.
	Don't change local map--just set view-mode.
	(view-mode): New function toggles minor mode in the usual way.
	(view-mode-map): Put this on minor-mode-map-alist.
	(view-mode-exit): Do the exit actions only if view-mode-auto-exit.
	(View-scroll-lines-forward): Exit only if view-scroll-lines-forward.
 	(view-mode-auto-exit, view-old-buffer-read-only)
	(view-old-Helper-return-blurb, view-scroll-size, view-last-regexp)
	(view-exit-action, view-return-here, view-exit-position):
	Defvar them and make them always-local.

Mon Sep 25 06:53:32 1995  Erik Naggum  <erik@naggum.no>

	* startup.el (command-line-1): --eval: Don't print the value.
	(command-line-1): --insert: Don't complain on --insert=file.

Sun Sep 24 19:24:35 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* replace.el (occur): Indent better for matches that contain newlines.

Sat Sep 23 23:49:25 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* jka-compr.el (auto-compression-mode): Add autoload cookie.
	Renamed from toggle-auto-compression.
	(toggle-auto-compression): Define as alias.

Fri Sep 22 17:51:48 1995  Erik Naggum  <erik@naggum.no>

	* cl-macs.el (get-setf-method): Protect caller's match-data from
	string-match.

Fri Sep 22 17:33:18 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* edt.el (edt-setup-default-bindings): Revert function is
	revert-buffer, not revert-file.

Fri Sep 22 17:31:07 1995  Torbjorn Einarsson <T.Einarsson@clab.ericsson.se>

	* f90.el: Major revision.
	Much improved and quicker highlighting using font-lock.
	Support for hilit19 removed.
	Support for imenu added.
	Changed indentation for continue statements.
	Added treatment of preprocessor directives.
	(f90-directive-comment-re) is now a regular expression.
	Many bug fixes.

Fri Sep 22 15:36:23 1995  Ed Reingold  <reingold@spiff.gnu.ai.mit.edu>

	* cal-menu.el (calendar-mouse-chinese-date): New function.
	(calendar-mouse-print-dates): Use it.

Thu Sep 21 21:38:19 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* sendmail.el (mail-do-fcc): Erase the ` mail-temp' buffer.
	(mail-do-fcc): Clear read-only flag in ` mail-temp' buffer.

	* undigest.el (undigestify-rmail-message): Scan back as far as start
	of message, to find end of digest.

	* rmailout.el (rmail-file-p): Function moved to mail-utils.el
	ad renamed to mail-file-babyl-p.
	(rmail-output, rmail-output-to-rmail-file): Use new name.
	* mail-utils.el (mail-file-babyl-p): Function moved from
	rmail.el and renamed.

	* sendmail.el (mail-file-babyl-p): Function deleted.
	(sendmail-send-it): Load mail-utils first thing.

Thu Sep 21 18:01:48 1995  Erik Naggum  <erik@naggum.no>

	* byte-opt.el (byte-boolean-vars): Update list to reflect actual
 	DEFVAR_BOOL symbols in the C code.

Thu Sep 21 16:53:08 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* edt.el (edt-set-screen-width-80, edt-set-screen-width-132):
	If a terminal-specific function exists, call it.
	* edt-vt100.el (edt-set-term-width-80, edt-set-term-width-132):
	Terminal-specific functions.
	Don't redefine edt-set-screen-width-80 and edt-set-screen-width-132.

	* terminal.el (te-escape, te-escape-help): Handle non-ASCII events.

Tue Sep 19 16:02:37 1995  Edward M. Reingold  <reingold@emr.cs.uiuc.edu>

	* cal-chinese.el: New file.

	* cal-coptic.el: New file.

	* cal-julian.el: New file.  All Julian calendar related code moved here
	from calendar.el, holidays.el, and diary-lib.el.

	* cal-iso.el: New file.  All ISO calendar related code moved here
	from calendar.el and diary-lib.el.

	* cal-islamic.el: New file. All Islamic calendar related code
	moved here from calendar.el, holiday.el, diary-lib.el, and
 	diary-ins.el.

	* cal-hebrew.el: New file. All Hebrew calendar related code
	moved here from calendar.el, holiday.el, diary-lib.el, and
 	diary-ins.el.

	* cal-move.el: New file.  All functions related to movement in the
	calendar moved here from calendar.el.

	* diary.el: New file.  Functions related to the diary moved from
	diary-lib.el and diary-ins.el.

	* holidays.el (holiday-hebrew):  Moved to cal-hebrew.
	(holiday-islamic): Moved to cal-islamic.
	(holiday-julian): Moved to cal-julian.

	* cal-x.el (calendar-setup):  Moved to calendar.el.

	* diary-lib.el: Deleted.
 	(diary-date, diary-remind): New functions.
  	(list-sexp-diary-entries): Mention them in doc string.
  	(diary-remind-message, marking-diary-entries,
	marking-diary-entry): New variables.
  	(diary-mark-sexp-diary-entries, mark-diary-entries): Rewritten to
 	accomodate marking-diary-entries.
	(diary-sexp-entry): Fix indentation.
	(diary-chinese-date, diary-coptic-date, diary-ethiopic-date):
	Do autoloads.
	(diary-islamic-date, list-islamic-diary-entries,
	mark-islamic-diary-entries, mark-islamic-calendar-date-pattern):
	Moved to cal-islamic.el.
	(diary-hebrew-date, list-hebrew-diary-entries,
	mark-hebrew-diary-entries, mark-hebrew-calendar-date-pattern):
	Moved to cal-hebrew.el.
	Everything else moved to diary.el.

	* diary-ins.el: Deleted.
	(insert-islamic-diary-entry, insert-monthly-islamic-diary-entry,
 	insert-yearly-islamic-diary-entry): Moved to cal-islamic.el.
  	(insert-hebrew-diary-entry, insert-monthly-hebrew-diary-entry,
 	insert-yearly-hebrew-diary-entry): Moved to cal-hebrew.el.
  	Everything else moved to diary.el.

	* cal-menu.el (calendar-mouse-print-dates): Add Chinese and Coptic
	dates; fix astro date message.
	(calendar-mouse-2-date-menu): Add dayname to menu.

	* cal-french.el (french-calendar-special-days-array,
 	calendar-french-date-string): Fix accents.
	(calendar-goto-french-date): Use reverse instead of nreverse; fix
	accents.
	(french-calendar-epoch): New variable.
	(calendar-french-from-absolute, calendar-absolute-from-french): Use it.

	* cal-dst.el: Fix commentary.
	(dst-adjust-time): Moved and renamed from solar.el.
	(dst-in-effect): New function.

	* solar.el (solar-equinoxes-solstices, solar-ephemeris-correction,
	solar-equinoxes/solstices): Rewritten.
	(solar-apparent-longitude-of-sun): Deleted.
	(solar-longitude, solar-date-next-longitude): New functions.
	(solar-adj-time-for-dst): Renamed dst-adjust-time and moved to
	cal-dst.el.
	(solar-sin-degrees, solar-cosine-degrees, solar-tangent-degrees):
	Take angle mod 360.0.
	(solar-tangent-degrees): Change to macro.

	* calendar.el (calendar-mod, calendar-absolute-from-astro,
 	calendar-astro-from-absolute): New functions.
  	(calendar-astro-date-string, calendar-goto-astro-day-number): Use
 	them.  Autoload holiday-chinese-new-year,
 	calendar-goto-chinese-date, calendar-print-chinese-date,
 	calendar-chinese-date-string, calendar-goto-coptic-date,
 	calendar-print-coptic-date, calendar-coptic-date-string,
 	calendar-goto-ethiopic-date, calendar-print-ethiopic-date,
 	calendar-ethiopic-date-string, calendar-one-frame-setup, and
 	calendar-two-frame-setup.  (oriental-holidays): New variable for
 	Chinese New Year.  (calendar-mode-map): Put Chinese and Coptic
 	calendar functions on keys.  (calendar-setup): Moved here from
 	cal-x.el.  (diary-file): Mention Chinese, Coptic, and Ethiopic
 	dates.  (calendar-goto-today, calendar-forward-month,
 	calendar-forward-year, calendar-backward-month,
 	calendar-backward-year, scroll-calendar-left,
 	scroll-calendar-right, scroll-calendar-left-three-months,
 	scroll-calendar-right-three-months,
 	calendar-cursor-to-nearest-date, calendar-forward-day,
 	calendar-backward-day, calendar-forward-week,
 	calendar-backward-week, calendar-beginning-of-week,
 	calendar-end-of-week, calendar-beginning-of-month,
 	calendar-end-of-month, calendar-beginning-of-year,
 	calendar-end-of-year, calendar-cursor-to-visible-date,
 	calendar-goto-date, calendar-goto-iso-date): Moved to cal-move.el.
  	(calendar-goto-julian-date): Moved to cal-julian.
  	(calendar-cursor-to-date, generate-calendar-month): Consider the
 	space next to a one-digit date as being on that date.

	* cal-mayan.el (calendar-mayan-tzolkin-from-absolute): Use them.
	(mayan-adjusted-mod): Moved to calendar.el and renamed calendar-mod.

	* lunar.el (lunar-new-moon-time, lunar-new-moon-on-or-after) New
	functions.


Mon Sep 18 10:45:24 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* subr.el (substitute-key-definition): Do recursively scan
	where KEYMAP has nothing at all.

	* mouse.el (C-down-mouse-1): Use buffer menu, not font menu.
	(S-down-mouse-1): Put font menu here.

	* mouse.el (mouse-drag-vertical-line): New function.
	(mouse-scroll-min-lines): New variable.
	(mouse-scroll-subr): Use it.

Sun Sep 17 10:11:08 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* files.el (find-alternate-file): Kill any preexisting ` **lose**' buf.

Thu Sep 14 10:44:41 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* dunnet.el (dun-climb): Handle unknown object name.
	(dun-objnames): Add "palm" as alias for "tree".

	* indent.el (indent-for-tab-command): Get the prefix arg
	and pass it along to indent-line-function if it isn't nil.

Thu Sep 14 03:25:26 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el (vc-fetch-master-properties): Call "cvs status"
	in the right directory, passing only the nondirectory part of
	the file name.
	(vc-find-cvs-master): Bind `mtime' locally instead of using it
	as a free variable.

Tue Sep 12 00:31:50 1995  Erik Naggum  <erik@naggum.no>

	* dired-x.el: Remove `dired-up-directory'.
	(dired-find-buffer-nocreate): Add optional argument `mode' like
	the function it redefines from dired.el.

	* dired.el (dired-up-directory): Add optional argument
	`other-window' to obviate the need to redefine it in dired-x.el.

Tue Sep 12 16:57:07 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): .pl is now Perl.

	* delsel.el (clipboard-yank): Add delete-selection property.

Mon Sep 11 19:33:17 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* server.el (server-process-filter): Ignore lines that don't start
	with `Error:' or `Client:'.

Fri Sep  8 16:43:10 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* dired.el (dired-internal-noselect): Set dired-directory
	when refreshing a buffer that displays a list of files.
	(dired-find-buffer-nocreate): Handle the case when
	dired-directory is a list.
	(dired-sort-other): Don't set mode-name if we are not in
	dired-mode.

	* vc.el (vc-dired-mode): Now a major mode derived from dired-mode.
	(vc-directory): Take DIRNAME as an argument.  Ask for it in
	the minibuffer.  Don't kill pre-existing vc-dired buffers
	(dired now re-uses the right one).
	(vc-file-tree-walk): New argument DIRNAME.  Updated all callers.
	(vc-dired-update): New function.  `g' in vc-dired-mode calls it.
	(vc-dired-reformat-line): Handle different ls -l formats.

	* vc-hooks.el (vc-locking-user): Fixed wrong parentheses.

Fri Sep  8 13:19:17 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* register.el: Rename all register-name args to `register'.

Thu Sep  7 06:12:50 1995  Paul Eggert  <eggert@twinsun.com>

	* env.el (setenv): Call set-time-zone-rule when setting TZ.

Thu Sep  7 00:14:51 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* text-mode.el (center-line): New arg NLINES.
	Do nothing for lines that are too wide.

	* hexl.el (hexl-current-address): New arg VALIDATE.
	Handle point values in the ASCII text section and in the addresses.
	(hexl-insert-char): Handle point located in the ASCII text.

Wed Sep  6 12:42:02 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-suffix-list): Add .inf to MSDOS list.

	* ange-ftp.el (ange-ftp-gwp-filter): Go to process buffer
	before getting text from it.

	* mouse.el (mouse-drag-region): Record where the mouse drag has reached
	and use that to adjust the drag event before replaying it.

	* gud.el (gud-filter): Save up text that arrives while processing
	previous text.

Wed Sep  6 14:28:03 1995  Fred Pierresteguy  <F.Pierresteguy@frcl.bull.fr>

	* rmailsum.el (rmail-summary-construct-io-menu): Use all of FILES.
	Also disable the menu instead of not displaying it, if FILES is empty.

Tue Sep  5 17:28:56 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* browse-url.el: New file.

Mon Sep  4 16:25:53 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mailabbrev.el (mail-interactive-insert-alias):
	Call mail-abbrev-expand-hook.

Sat Sep  2 12:27:45 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (info-insert-file-contents): Use info-insert-file-contents-1
	to set FULLNAME.  Use call-process-region to run the decode program.
	(Info-find-node): Use info-insert-file-contents-1.
	(info-insert-file-contents-1) [MSDOS]: Don't use the dot in SUFFIX
	if FILENAME already has one.

	* dired.el (dired-internal-noselect): New arg MODE.
	If it's non-nil, switch to that nil.
	(dired-find-buffer-nocreate): New arg MODE.

	* mouse.el (mouse-drag-region): Store the right end position
	in the drag-event before replaying it at the end.

	* files.el (auto-mode-alist): Handle .f90 files.

	* dired.el (dired-internal-noselect): Use dirname when finding
	existing buffer.

Thu Aug 31 19:48:44 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cc-compat.el: New file.

	* sendmail.el (sendmail-send-it): Use user-mail-address.

Thu Aug 31 23:41:21 1995  Barry Warsaw  <bwarsaw@anthem (Barry Warsaw)>

	* cc-mode.el (c-backslashify-current-line): Obsolete.
	(c-append-backslash, c-delete-backslash): Taken from c-mode.el.
	(c-backslash-region): Likewise.

	* cc-mode.el (c-indent-defun): Watch out for point being on the
	first top-level open brace in the buffer.

	* cc-mode.el (c-copy-tree, c-mapcar-defun): Define functions only
	available in XEmacs 19.12, or Emacs 19 + lucid.el.

	* cc-mode.el (c-lineup-ObjC-method-call): New implementation
	better handles 1. indentation of arguments to keyword parameters,
	2. multiline method calls.

	* cc-mode.el (c-electric-brace): Fixed preservation of
	no-whitespace before brace.

	* cc-mode.el (c-guess-basic-syntax): CASE 5A.1: Watch out for
	c-state-cache; it may or may not be in place, but it should be
	ignored.

	* cc-mode.el (c-electric-colon): In call to c-lookup-lists, fixed
	incorrect quoting of symbols in the quoted list.

	* cc-mode.el (c-search-uplist-for-classkey): Watch out for
	embedded c-class-key keywords.

	* cc-mode.el (c-common-init): Make a deep copy of c-offsets-alist
	so that changing the buffer-local value in one buffer doesn't
	affect the global value, or other buffers.

	* cc-mode.el (c-snug-do-while): forward-sexp call could fail;
	wrap it in a c-safe.

	* cc-mode.el (c++-mode, objc-mode): comment-multi-line must be nil
	if // is the default comment style.

Thu Aug 31 11:04:43 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-vms-sans-version): Accept extra args.

Wed Aug 30 12:01:14 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (kill-new): Compute 2nd arg to interprogram-cut-function
	based on REPLACE.

	* files.el (list-directory): Set default-directory.

Wed Aug 30 14:37:25 1995  Per Abrahamsen  <abraham@dina.kvl.dk>

	* mouse.el (mouse-skip-word): Skip complete symbol when over a
	character with symbol syntax.

Tue Aug 29 11:30:37 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired-aux.el (dired-byte-compile): Report failure if output file
	is not created.

	* term/x-win.el (function-key-map): Consistently map CLEAR to C-l.

Tue Aug 29 06:57:29 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el (vc-utc-string): New function.
	(vc-find-cvs-master): Use it to compare mtime and checkout time.
	(vc-locking-user): CVS case: *only* use checkout time.
	(vc-find-cvs-master): Don't attempt to find the RCS master file.
	Throw the full name of CVS/Entries.
	(vc-name): Doc change (special CVS case).
	(vc-after-save): Handle the case when a file is saved in the very
	second in which it was checked out.

	* vc.el (vc-dired-update-line): Don't use dired-do-redisplay.
	(vc-next-action-dired): Adjust default-directory before calling
	vc-next-action-on-file.
	(vc-next-action-on-file): Handle CVS merge in vc-dired-mode correctly.
	(vc-next-action): Ask for a check-in comment if there are "added"
	CVS files.  Don't special-case single files in vc-dired-mode.
	(vc-file-clear-masterprops): Typo fix.
	(vc-latest-on-branch-p): Always true for CVS.
	(vc-directory): Header change.  Do display the buffer, even if no
	locked/registered files were found.

Mon Aug 28 11:09:11 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (recover-session-finish): Catch erorr in recover-file.

	* makefile.el (makefile-font-lock-keywords): Highlight lines with
	tab followed by #, and initial spaces preceding tabs--not all
	initial spaces.

Sun Aug 27 03:19:50 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tmm.el: Fix typo in global-map define.

	* cl-seq.el (rassoc): Definition deleted.

	* mailabbrev.el (mail-mode-syntax-table): defvar deleted.

	* edebug.el: Delete redundant defvars of built-in variables.

	* edmacro.el: Load cl only during compilation.
	(edmacro-mismatch, edmacro-subseq): New functions.
	Use them instead of mismatch and subseq.

	* hideif.el (hide-ifdef-hiding): Delete duplicate defvar.

	* modula2.el (m2-execute-monitor-command): Renamed from
	execute-monitor-command.

Sat Aug 26 16:24:44 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* refer.el (refer-every): Renamed from every.
  	(refer-convert-string-to-list-of-strings): Renamed from
 	convert-string-to-list-of-strings.

	* levents.el (eventp): Duplicate definition deleted.

	* ws-mode.el (wordstar-center-line): Renamed from center-line.
	(wordstar-center-region): Renamed from center-region.
	(wordstar-center-paragraph): Renamed from center-paragraph.

	* x-menu.el: Doc fixes.
	(caar, cdar): Deleted--use (car (car ...)).

	* find-file.el (ada-spec-suffix): Definition deleted.
	(ada-make-filename-from-adaname): Delete autoload.
	(ff-special-constructs): Load ada-mode before referring to
	ada-spec-suffix and ada-make-filename-from-adaname.

	* life.el (abs): Function definition deleted.
	(goto-beginning-of-buffer): Macro deleted.  Use goto-char.
	(goto-end-of-buffer): Macro deleted.  Use goto-char.
	(maxint): Macro deleted.
	(life-increment): Renamed from increment.
	(life-initialized): New variable.
	(life): Do (random t) only once and only when `life' is called.

	* info.el (Info-default-directory-list): Duplicate defvar deleted.

Fri Aug 25 17:18:04 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* uniquify.el: New file.

	* mailabbrev.el (rebuild-mail-abbrevs): FILE defaults to visited file.

	* executable.el (executable-set-magic): Use make-local-hook
	for after-save-hook.

	* files.el (basic-save-buffer): Doc fix.
	(after-save-hook): Add defvar.

Fri Aug 25 14:39:29 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>
	* vc.el: Enhanced vc-dired-mode.
	(vc-directory): Kill existing vc-dired buffers for this directory.
	Provide a better header.  Corrected the check whether any files were
	found at all (don't display a listing in this case).  Under CVS,
	display cvs-status rather than vc-locking-user.
	(vc-next-action-on-file): When doing a check-in in vc-dired-mode, find
	the file in another window.
	(vc-next-action-dired): Update dired listing while processing the
	files.
	(vc-next-action): Check whether a check-in comment is really needed
	for this mass operation.
	(vc-checkout): Resynch the buffer, even if it's not current.
	(vc-dired-state-info, vc-dired-update-line): New functions.
	(vc-dired-prefix-map): Added local definition for `g' and `='.
	(vc-dired-reformat-line): Simplified.  Erase the hardlink count from
	the listing, because it doesn't relate to version control.

	* vc.el: Added functions to dispatch on backend release numbers.
	Under RCS, use this to find out whether new features can be used.
	(vc-rcs-release, vc-cvs-release, vc-sccs-release): New variables, may
	be set by the user.
	(vc-backend-release, vc-release-greater-or-equal,
	vc-backend-release-p): New Functions.
	(vc-do-command): Allow FILE to be nil.
	(vc-backend-checkin): When creating a branch, don't bother to unlock
	the old version if this is RCS 5.6.2 or higher.
	(vc-next-action-on-file): Allow lock-stealing only if RCS 5.6.2 or
	higher.
	(vc-backend-admin, vc-backend-checkin): If available, use ci -i
	and -j.  Updated Developer's Notes.

	* vc.el (vc-backend-diff): Handle the case of a locally added CVS
	file correctly.

	* vc-hooks.el (vc-fetch-master-properties): Count cvs status
	"Needs Patch" as `needs-checkout'.
	(vc-after-save): Clear the cvs status.

Fri Aug 25 12:39:51 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (next-file): Advance next-file-list before finding the
	file named in its car, in case finding signals an error.

Fri Aug 25 10:15:53 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (describe-function): Show file name for autoloaded fns.

	* simple.el (what-line): Print narrowed linenum with full buffer num.

Thu Aug 24 01:24:48 1995  Tom Tromey  <tromey@irish.colorado.edu>

	* makefile.el (makefile-mode-syntax-table): "]" is a close-paren.
	(makefile-add-log-defun): Avoid error at eob.

Wed Aug 23 19:40:22 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* makefile.el: Doc fixes.
	(makefile-font-lock-keywords): Highlight lines of just whitespace.

Tue Aug 22 16:24:49 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* edebug.el (edebug-outside-post-command-idle-hook)
	(post-command-idle-hook): New variables.
	(edebug-enter, edebug-outside-excursion): Use them.

	* avoid.el (mouse-avoidance-mode): Use post-command-idle-hook.
	Use remove-hook.

	* two-column.el (2C-mode): Use make-local-hook and add-hook.

	* icomplete.el (icomplete-minibuffer-setup): Use make-local-hook
	and add and remove hooks locally.

	* ediff-util.el (ediff-profile): Use make-local-hook
	and add and remove hooks locally.

Tue Aug 22 13:57:30 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* files.el (basic-save-buffer): Call vc-after-save, to
	support implicit locking in VC.

	* vc-hooks.el (vc-simple-command): New function.
	(vc-fetch-master-properties): CVS case: Use it.
	(vc-lock-from-permissions, vc-file-owner, vc-rcs-lock-from-diff):
	New functions.
	(vc-locking-user): Largely rewritten.  Uses the above, handles RCS
	non-strict locking.  Under CVS in CVSREAD-mode, learn the locking
	state from the permissions.
	(vc-find-cvs-master): Use vc-insert-file, rather than
	find-file-noselect. Greatly speeds up things.
	(vc-consult-rcs-headers): Bug fix, return status in all cases.

	* vc.el: Removed the comment that said we assume strict locking.
	(vc-next-action-dired): Don't switch to vc-parent-buffer, because
	that was already done.

Tue Aug 22 12:43:26 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sc.el: Provide sc.

Mon Aug 21 18:16:07 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-exit-message-function): New variable.
	(compilation-sentinel): If compilation-exit-message-function is
	non-nil, call it to produce messages for buffer and mode line.
	(grep): Use that variable to produce snazzier messages.

Mon Aug 21 17:59:43 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* paren.el: Use post-command-idle-hook.
 	(show-paren-command-hook): No need to test for idleness.

Mon Aug 21 15:28:47 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el (vc-fetch-master-properties): RCS case: get locking
	mode.  CVS case: new state `locally-added'.
	(vc-locking-user): Under RCS with non-strict locking, don't trust
	the file permissions.  CVS case: change which states count as
	"locked".
	(vc-consult-rcs-headers): Streamlined. Don't set vc-locking-user if
	this is called under CVS.  Under RCS, use a heuristic to find the
	value of vc-checkout-model without examining the master file.
	(vc-parse-locks): Set vc-checkout-model.
	(vc-status): Comment change.
	(vc-after-save-hook, vc-after-save): The former renamed to the
	latter. Now unconditionally called by `basic-save-buffer', determines
	whether the buffer should be "locked" or not.
	(vc-checkout-model): Values are now `manual' and `implicit'.  Derive
	the property on a per-file basis, supporting all possible modes.
	(vc-mode-line): No longer use dynamic after-save-hook. Changed
	references to `automatic' into `implicit'.

	* vc.el (vc-latest-on-branch-p): Under CVS, handle the case when
	the file is added, but not yet committed.
	(vc-backend-checkout): RCS case: In non-strict locking mode, force
	to overwrite the writable workfile. CVS case: Do the right thing in
	CVSREAD-mode.

Mon Aug 21 10:47:30 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Turn on use of makefile-mode.

	* rmailsum.el: Require rmail.
	(rmail-new-summary): Specify size in split-window.
	Call rmail-select-summary to force size to specified amount.

Mon Aug 21 08:15:47 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* fast-lock.el: New version 3.07 from author.
	(fast-lock-mode): Use buffer-file-truename, not buffer-file-name.
	(fast-lock-cache-directories, fast-lock-cache-name): Doc fixes.

Mon Aug 21 01:18:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* solar.el: Doc fixes.

Sun Aug 20 15:12:09 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* icon.el: Define user options with defvar, not defconst.

Sun Aug 20 01:05:26 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired.el (dired-string-replace-match): Simplify using replace-match.

	* dired-aux.el (dired-expand-newtext): Function deleted.

	* bytecomp.el (byte-compiler-base-file-name): New function.
	(byte-compile-dest-file): Call byte-compiler-base-file-name.

	* jka-compr.el (jka-compr-byte-compiler-base-file-name): New function.
	Use it to handle byte-compiler-base-file-name operation.

Sun Aug 20 00:34:10 1995  Michael Kifer  <Michael Kifer <kifer@cs.sunysb.edu>>

	* viper.el (vip-set-hooks): Use view-mode-hook in emacs and view
	hook in xemacs.
	(vip-read-string-with-history): minibuffer-setup-hook no longer
	waits for the user to type, if there are unread events.
	Harnessed view-minor-mode.
	Added (vip-leave-region-active) to all simple movement commands.
	* viper-mous.el (vip-surrounding-word): modified to understand
	tripple clicks.
	* viper-util.el (vip-leave-region-active): new function.

Sat Aug 19 12:38:16 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (file-regular-p-18): Fix test for whether to use this.

	* info.el (Info-find-emacs-command-nodes): Fix previous change.
	(Info-suffix-list): For MS-DOS, use gunzip as the only uncompressor,
	and don't include .info as suffix.
	(info-insert-file-contents-1): New function.
	(info-insert-file-contents): Use info-insert-file-contents-1.

	* macros.el (insert-kbd-macro): Express vector char modifiers with
	escape prefixes.  Express big basic char codes in octal.

Sat Aug 19 02:33:10 1995  Karl Heuer  <kwzh@gnu.ai.imt.edu>

	* hilit19.el (hilit-submit-feedback): New ftp site.

Sat Aug 19 00:37:47 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-file-list-for-emacs): New variable.
	(Info-find-emacs-command-nodes): Look in those files, if appropriate.

	* files.el (basic-save-buffer): Confirm for overwriting old file
	when a file name is specified.

Fri Aug 18 20:28:58 1995  Daniel Pfeiffer  <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* skeleton.el (skeleton-newline-indent-rigidly): New variable.
	(skeleton-internal-1): Use it for indenting after \n because previous
	behaviour was only useful for `sh-script.el' and old `ada.el'.  Other
	modes now get their own indentation.
	(skeleton, skeleton-modified, skeleton-point, skeleton-regions): `New'
	variables for passing between the mutually recursive functions of
	the skeleton engine.  Introduced to remove compiler warnings.
	(skeleton-proxy): New argument `str' to make this settable when calling
	a skeleton as a function.
	(skeleton-insert): New argument `str' to pass down.  Element `\n'
	now usually indents according to mode.  Subskeletons may also have
	a list of strings as iterator.  Earlier modification also removed
	meaning of `quit' -- I did not put it back in since it's useless.
	When quitting out of a subskeleton while still wrapping around text
	don't duplicate first line of that text.
	(skeleton-end-hook): New hook useful say for modes that leave a `;' on
	an empty line to indent right and then want to clean it up when doing
	a skeleton there.

	* sh-script.el (sh-newline-and-indent): Don't interpret prefix arg
	since `newline-and-indent' doesn't either.  Don't turn a trailing
	quoted tab into a space.
	(sh-mode): Use new `skeleton-newline-indent-rigidly'.
	(sh-set-shell): Make maximum font-locking also hightlight keywords
	after ``' and `!'.  (The latter is for ksh '93 but should't hurt other
	shells.)

Fri Aug 18 16:36:52 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc.el (vc-next-action-on-file): Changed doc string, CVS case.
	(vc-backend-checkin): Clear master properties before doing the
	check-in.  In the CVS case, catch error and display an appropriate
	message in the echo area.
	(vc-backend-revert): Clear master properties, because some might get
	outdated by the operation.
	(vc-backend-merge-news): Scan the output of "cvs update" and find out
	whether conflicts have occurred.

	* vc-hooks.el (vc-fetch-master-properties):
	Recognize cvs status "Unresolved Conflict".
	(vc-locking-user): Count cvs status `unresolved-conflict' as "locked".

	* vc.el (vc-finish-logentry):
	Delete the *VC-log* buffer *before* doing the
	actual check-in. That leads to a better display in case the check-in
	fails.

	* vc.el (vc-latest-on-branch-p): Defined it for CVS in the obvious way.
	(vc-next-action-on-file): Removed special CVS cases. At this level,
	CVS is now mostly handled like the other backends.
	(vc-backend-checkout): CVS case: Clear sticky tag as default when
	doing a verbose checkout. (This used to be done in
	vc-next-action-on-file.)

	* vc-hooks.el (vc-checkout-model):
	New property and access function (still simplistic).
	(vc-after-save-hook): New function.
	(vc-mode-line): When the file is locked by somebody else, make the
	buffer read-only.  (Formerly this was only done for root.)  Don't
	write-protect the buffer if the file is unlocked.  Instead, install
	vc-after-save-hook, which "locks" the file when modifications are
	saved.

Fri Aug 18 12:42:13 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* makefile.el (makefile-space-face): New variable.
	(makefile-define-space-face): New function.
	(makefile-tab-face): Variable deleted.
	(makefile-define-tab-face): Function deleted.
	(makefile-font-lock-keywords): Highlight leading spaces, not tabs.

Thu Aug 17 15:40:32 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* hilit19.el (hilit-submit-feedback): New bug-reporting address.

Thu Aug 17 08:46:53 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc.el (vc-next-action-on-file): Moved the setting of the default
	branch to vc-backend-checkout, where it belongs.
	(vc-backend-checkout): If an explicit version was specified, adjust
	the default branch accordingly.

	* vc-hooks.el (vc-top-version): Renamed to vc-master-workfile-version.
 	Updated all references.
	vc.el: Changed references to vc-top-version into
	vc-master-workfile-version.

	* vc.el (vc-next-action-on-file): Query when trying to lock
	non-latest version.

	* vc.el: Let vc-cancel-version handle branches correctly, and
	behave more comfortably in the `norevert' case.
	(vc-revert-buffer1): Split part of the function into vc-buffer-context
	and vc-restore-buffer-context, so we can use it also in other
	circumstances.
	(vc-buffer-context, vc-restore-buffer-context): New functions.
	(vc-clear-headers): New function, uses the above.
	(vc-cancel-version): When `norevert', locks the most recent remaining
	version.  Also, refuse to work on anything but the latest version of
	a branch.  Removed the check whether the version is the user's,
	because that is difficult to decide, now that multiple branches are
	possible.
	(vc-latest-on-branch-p): New function.
	(vc-head-version): New access function to the already existing
	property.
	(vc-trunk-p, vc-branch-part): Functions moved before first use.

Thu Aug  16 22:21:38 1995  Fred Pierresteguy  <F.Pierresteguy@frcl.bull.fr>

	* rmailsum.el (rmail-new-summary): Enable the Input/output menu.

Wed Aug 16 16:13:43 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* pascal.el (pascal-mode): Set comment-start.
	(pascal-toggle-completions): Doc fix.

Wed Aug 16 10:36:06 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (blink-matching-paren-dont-ignore-comments): New var.
	(blink-matching-open): Use it.
	Also, if the matching char hasn't paren syntax, call that mismatch.

	* inf-lisp.el (inferior-lisp): Use pop-to-buffer.
	Add *inferior-lisp* to same-window-buffer-names.

	* cmuscheme.el (run-scheme): Use pop-to-buffer.
	Add *scheme* to same-window-buffer-names.

	* xscheme.el (run-scheme): Use pop-to-buffer.

Tue Aug 15 16:02:34 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* sh-script.el (sh-mode-map): Use new name skeleton-pair-insert-maybe.
	(sh-mode): Use new names skeleton-pair-alist, skeleton-pair-filter.

Tue Aug 15 15:48:33 1995  Daniel Pfeiffer <Daniel.Pfeiffer@Informatik.START.dbp.de>

	* skeleton.el (skeleton-pair-insert-maybe): Plain insert in Ovwrt mode
	(skeleton-insert): If skeleton doesn't fit in window, put beginning
	at top before going to _ point.
	(skeleton-internal-list): Rewritten so that resume: sections pertain
	only to inferior skeletons and make str available there
	(skeleton-read): Don't quit and remove partial skeleton when empty
	string entered for outer iterator.  Added implicit argument `input'.
	(define-skeleton, skeleton-insert, skeleton-internal-list): Use `x
	rather than backquote's (` x) or own (list 'x)

	* sh-script.el (sh-test): New variable.
	(sh-if, sh-until, sh-while): Use it.
	(sh-while-getopts): Handle csh passably well.
	(sh-font-lock-keywords): Use `font-lock-variable-name-face'.
	(sh-set-shell): Respect `font-lock-maximum-decoration'.

Tue Aug 15 08:30:32 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* supercite.el (sc-attribs-extract-namestring): If name has <...>,
	treat everything before that as the full name.

Mon Aug 14 17:56:23 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* view.el: Rewrite as a minor mode.

	* viper.el (vip-set-hooks): Use view-mode-hook, not view-hook.

Mon Aug 14 13:21:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (basic-save-buffer-1): Pass new arg to write-region.

Mon Aug 14 12:01:33 1995  Erik Naggum  <erik@naggum.no>

	* files.el (insert-file-contents-literally): New function.
  	(find-file-noselect): Use it if new optional argument `rawfile' is
 	non-nil.

	* startup.el (command-line-1): Add option --eval to evalute an
	expression on the command line and print the result.

Mon Aug 14 02:17:09 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* paren.el (show-paren-command-hook): Do nothing if have unread events.

Sun Aug 13 11:45:09 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-drag-region): Unread the up-event
	rather than execute it here.

Sat Aug 12 05:20:56 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-convert-file): Look back for ^_ only at bol.

	* simple.el (shell-command-on-region): Don't examine order of
	point and mark; use order of START and END instead.
	Interactively pass point and mark, not region-beg and region-end.

Thu Aug 10 16:01:19 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* isearch.el (isearch-other-meta-char): Avoid bug checking whether
	a key is defined in the function key map.
	Call cancel-kbd-macro-events.

	* bytecomp.el (byte-compile-insert-header): Use 19.29, not 19.28.90
	as limit for where dynamic docstrings are allowed.

	* server.el (server-buffer-done): Pause between client commands,
	but not after the last one.

	* files.el (recover-file): It's ok if the visited file doesn't exist.
	(recover-session-finish): Compute "file name" from autosave file
	if no visited file.

Thu Aug 10 10:50:21 1995  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc.el (vc-dired-reformat-line): Display eight character user names
	correctly.

Thu Aug 10 09:57:30 1995  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-beginning-of-syntax-function): New variable.
	(font-lock-defaults-alist): New element to specify it.
	(font-lock-set-defaults): Set it.
	(font-lock-fontify-region): Use it when calculating the cache state.
	(font-lock-maximum-size): Add autoload cookie.
	(font-lock-fontify-region, font-lock-unfontify-region): Also wrap
	value of buffer-file-truename to avoid clash detection.
	(font-lock-hack-keywords): Likewise.  Also use a while loop, not
	mapcar, when applying keywords.
	(tex-font-lock-keywords): Rewritten again.
	(scheme-font-lock-keywords): New keywords.
	(font-lock-defaults-alist): Specify defaults for them.

	* fortran.el (fortran-font-lock-keywords-1): Fix column 72 comments.

	* texinfo.el (texinfo-font-lock-keywords): Rewritten.
	(texinfo-mode): Set up font-lock-defaults for keywords only.

	* help.el (help-font-lock-keywords): New keywords.
	(help-mode): Set up font-lock-defaults.

Wed Aug  9 18:09:15 1995  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-translate-references): Anchor the regexps.

Tue Aug  8 13:03:51 1995  Boris Goldowsky  <boris@gnu.ai.mit.edu>

	* forms.el (forms-check-number-of-fields): New vbl.
	(forms-mode): Don't issue warning if vbl says not to.

Tue Aug  8 01:14:27 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (vc-revert-buffer): In a dedicated solitary window,
	make the frame invisible instead of trying to delete window.

	* paragraphs.el (forward-paragraph): Don't overlook a paragraph-start
	line just because it ends at eob.

	* edebug.el (edebug-functionp): Return t for a bytecode function.

	* dired.el (dired-mode-map): Set up the map completely
	before storing it into dired-mode-map.

Mon Aug  7 04:44:30 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-insert-header): New args inbuffer and
 	outbuffer.  Test byte-compile-dynamic-docstrings in the initially
 	current buffer.
	(byte-compile-from-buffer): Add new args to byte-compile-insert-header.

